Introduction

LanFlow will help you create and maintain LAN, WAN, Network, Phone system diagrams or any similar type of diagram consisting of devices and their connections. The devices are generally refered to within this product as objects and their representations as figures. They are typically computers, workstations, servers, routers, hubs, and so on. The connectors can be cables, wires, power, or simply representations of logical connections such as workgroup links or communication paths. You will discover MANY different uses for these types of diagrams as you become familiar with the program.


What's New

New in V5.07

More Space Evenly Options

Space Evenly now supports spacing based on centers, edges, or gaps between objects.

Improved Export and Copy/Paste Quality

Graphic exports to Windows metafiles and enhanced metafiles have been improved to better handle the new gradient and high-resolution shadow features.

New in V5.06

Improved Display Quality

Display quality has been improved further. Graphics are displayed with fewer jagged edges (antialiasing) for all symbols and lines.

Improved Drop Shadows and Shading

Drop shadows and shading are dramatically improved with realistic blur and transparency effects. Each diagram has shadow properties that can be set from the Diagram Properties screen in the Shadows tab. These shadows appear for any node that has the Drop Shadow property set. The Drop Shadow property is a checkbox in Node Properties / Node Styles screen in the General tab. There is also a new toolbar button to toggle drop shadows for selected nodes.

Gradient (Shaded) Fills

Figures can now be filled with color gradients that blend from one color to another across the symbol, providing a smoother and more professional appearance to diagrams. Several options are provided to produce popular 3D effects. A new Fill tab in the Figure Properties and Figure Styles screens provides access to this feature.

New Diagram Wizard Operations

The New Diagram Wizard has been upgraded to permit you to set drop shadow and fill effects (gradients) for the diagram as you create it from a template.

New in V5.04

Improved Display Quality

Many shapes now display more clearly, especially at smaller sizes and lower resolutions. Also, imported clipart images (bitmap and vector) display much cleaner. This higher quality display may cause some diagrams to redraw more slowly. A new option has been added to allow you to disable high quality display for slower computers (see Tools Options General).

Improved Previews

Display quality of file preview images has been greatly improved. File previews that appear in File Open and File New screens will better represent the full size diagram. Note that previews are generated when a file is saved. The improved preview image will appear for files that have been saved with this version and later.

Improved Export

Exported bitmaps can now be antialiased to produce high quality (smoothed) images for screen display and web pages. An new option has been added to allow you to enable and disable this feature when you export to a bitmap format that supports antialiasing.

New in V5.01

Lateral Connector Labels

"Lateral" connector labels are positioned alongside a connector rather than "inline" as was previously the only way to label a connector.

Simpler Method of Changing End Symbols

Now you can simply right click on the end of a connector to bring up a selection of alternate end symbols (terminators such as different types of arrowheads). This capability has always been present but in prior versions you had to change end symbols through the connector's Properties dialog box.

Snap to Edges

You can now give figures a property that will allow their edges to snap to the grid rather than only their centers and width or height. This type of snapping is especially useful when creating diagrams consisting of figures that are not connected primarily from center to center, or for symbols such as containers that cover an area of the diagram. The new snap options are available in the Figure Properties/Style Dialog Box under the Behaviors tab. The new snap options are separate for vertical and horizontal edges named accordingly "Top and Bottom Edges Snap to Grid" and "Left and Right Edges Snap to Grid" and are mutally exclusive of the prior snap options "Height snaps to Grid" and "Width Snaps to Grid".

New in V5.0

Color Tinting Graphics

Imported graphics, clip-art, and greyscale symbols can be tinted with a fill color to bring full color capabilities to all diagrams, even those you produce with outside artwork.

Expanded Color Schemes

A variety of pre-defined color schemes have been added for the major diagram templates making it easy to start a diagram with a full set of color-coordinated symbols. In addition, a new Apply Color Scheme feature (under Tools) lets you change the color scheme of a whole diagram or part of a diagram without starting over from a new scheme.

New Graphics Format Support

You can now import clip-art from a variety of new graphics formats such as GIF, PNG, TIFF, and more. You can also export your diagram to a variety of new graphics formats as well.

Snip Connector Feature

Connectors can now be easily cut in half at any point.

Check for Updates

The Check for Updates feature (located in the Help menu) and the optional automatic reminders make it easy to keep up to date on future product releases. For your full confidence and peace of mind, these features never send or receive any information off of your computer unless you request it, and then ONLY information about the product version and how it is installed.

Revert to Last Saved Version

The Revert feature lets you easily abandon all changes since you last saved your diagram.

Curve Improvements

Curved connectors are more powerful. They now fully support connector labels and jogs. In prior versions, labels placed on curves could cause the curve to distort where it met the label. Because this has been fixed, you may notice that labeled curves created with prior versions may have moved slightly.

Connector Editing Improvements

Capabilities for editing and maintaining connectors have been improved. You can now reposition connector ends with greater flexibility including attaching to other connectors. In addition, junctions required to attach connectors to one another are now eliminated automatically when appropriate, keeping diagrams cleaner and easier to manage. Plus, you now have the ability to 'merge' two connectors by dragging their ends together.

Boundagon Improvements

When you import a graphic image or clip-art file, the contours of the symbol are traced to determine its approximate outline shape which is then used to draw it properly and attach connectors. This outline is nicknamed a 'boundagon' and its calculation has been improved to better reflect unusual shapes.

Universal URL Hyperlinks

Hyperlinks to web URLs are no longer restricted to looking like file names. This means you can use URLs that include fragments such as 'http://www.pacestar.com/edge/eddesc.htm#reqs' or query strings such as 'http://www.pacestar.com?id=1233'.

Minor Enhancements

  • An option has been added to suppress the splash screen upon start-up.
  • 'Clear' terminology has been replaced by the more conventional 'Delete'.
  • Individual objects can now be deselected using shift-click.
  • Print all lets you select a printer rather than restricting you only to the default printer.
  • Toolbar button support has been added for align and resize features.
  • The symbols in the style bar can now be displayed in full color.
  • Improved mouse wheel support. Shift scrolls horizontally, control zooms in and out.
For a detailed list of changes in this release and a history of changes in other versions, please visit the revision history page on our web site:
http:⁄⁄www.pacestar.com⁄lanflow⁄revision.htm


Basics

LanFlow Diagram Components

Styles and Properties

Using the Mouse

Using Controls

The Workspace

The Style Bar

The Tool Bar

The Property Bar

The Snap Grid

Modes


LanFlow Diagram Components

Figures are the primary components of a LanFlow diagram. They often represent steps in a process. A figure can have any shape or design such as a circle, square, or any illustration. A figure also has stylistic attributes such as color and border width. Additionally, a figure can contain one or more text areas in which you can add descriptive text.

Connectors are lines that connect two figure. They usually represent a path between two figure or a “flow” of control. Connectors can be straight, curved, smoothed, or rounded. Each end of a connector can have an attached shape such as an arrowhead.

Junctions are the points at which multiple segments of a connector meet. They often form a vertex for a line or a control point for a curve. Junctions make it possible for a connector to bend around corners, wrap around figure, and connect to other connectors.

Labels are stand-alone text objects that serve as titles, annotations, and paragraphs. You can place any number of labels anywhere on a LanFlow diagram.

Connector labels are special labels that attach themselves to a connector and remain attached when you move the connector. They can be in-line (as shown), or lateral (alongside) the path.

Figure labels are special labels that attach themselves to a figure and remain attached when you move the figure.

Flow labels are special labels that attach themselves to a flow point where a connector meets a figure. If either the figure or the connector moves, the flow label moves accordingly. Flow labels can identify conditional branches (true and false, yes or no) or further describe relationships defined by connectors.


Styles and Properties

Styles

Objects start from an object style - a set of default properties and characteristics. Styles are a lot like paragraph styles in word processors. Rather than describing paragraphs, they describe figures, labels, and connectors.

One thing to remember about styles is that they are stored in every diagram. Don't be afraid to change them because if you do and you mess up, your changes only affect that diagram. To make a style change that will affect future diagrams, you must change a template file (see below).

Diagram templates

The purpose of diagram templates is similar to the purpose of word processor template files, to group together a collection of styles that form the foundation of a diagram type. When you create a New diagram, you usually start from a template, such as from a template that contains the basic styles of a LanFlow diagram.

Figure styles

The purpose of diagram templates is similar to the purpose of word processor template files, to group together a collection of styles that form the foundation of a diagram type. When you create a New diagram, you usually start from a template, such as from a template that contains the basic styles of a LanFlow diagram.

Label Styles

Label styles are similar to figure styles except they include only those attributes which apply to labels.

Connector Styles

Connector styles contain information about the thickness of the line, whether it is straight or curved, its color, and whether it has arrow heads on either end. They also contain a set of rules that define how connectors of the style behave and interact with other objects.

Properties

An individual object such as a figure, label, or connector, has its own properties which it initially receives from an appropriate object style. For example, fill color is a property of a particular figure. The initial color comes from the figure style definition used to create the figure. You can change the fill color of this figure either by changing the figure style from which it was created (which also affects all other figures created from that style), or by changing the fill color property of the particular figure alone.


Using the Mouse

This program requires a mouse or trackball. Any standard mouse installed in Windows will work fine. This program uses the mouse like most other Windows programs. The left mouse button is used for clicking on objects and choosing commands.

Right mouse button (shortcuts)

If you press the right mouse button while in Select mode or Seltext mode (modes are explained elsewhere), a small menu appears near the cursor. You may then choose from a number of frequently used commands that make sense at the time. For example, if you click right mouse button on a figure, the menu contains features that apply to that figure. When you press the right mouse button while in any other mode, it serves as a shortcut method to return to Select mode (or Seltext mode if you used that mode last.)

Cursor

The cursor, or more accurately the mouse cursor, is a small graphic image that indicates where on the screen the mouse is pointing. Different shapes for the mouse cursors indicate different actions that result when you click the mouse. The most common mouse cursors and their meaning are shown below.

Standard select cursor. Click to select objects.

Lasso select cursor. Lassoing objects.

Move cursor. Click to move objects.

Create figure cursor. Click to create figure.

Zoom cursor. Click to zoom in.

Connect cursor. Click to create connector.

Connect-to cursor. Connect to object.

Text label cursor. Click to create label.

Reshape cursor. Reshaping a figure.

Resize cursor. Resizing a figure.

Pivot connector cursor. Moving end of connector.

Split cursor. Splitting a connector.


Using Controls

The user interface contains standard Windows controls like buttons, scroll bars, list boxes, and pull-down lists. If you are unfamiliar with these term, refer to your Windows documentation. There are also a few unique controls that require some additional explanation.

Drop menus

Drop menu buttons are special buttons that cause a menu to pop-up when you press them. You can identify a drop menu button by the small black triangle in the lower right corner. Drop menus contain a number of selections to choose from. To make a selection, move the mouse over your choice and release, or just click on it.

Notice the ellipsis (three dots) at the lower right corner of the menu shown above. Some drop menus have these to indicate that there may be additional selections that are not shown. By selecting the ellipsis, you can access the complete list of selections with a dialog box.

Measurement Edit Boxes

Some edit boxes have special behaviors. When entering a measurement, you can type "3 in." to mean three inches, but you can also type "3.0 inches", or just "3"; all are equivalent. Your entries are always assumed to be in the current measurement units (inches or centimeters). If the field expects inches and you enter "3 ft." or "3 cm", it is treated as three inches. The same goes for point measurements for text size and line thicknesses. If a point measurement is called for, you can enter "2 pts" or "2 points" or "2.0", and so on.

Point measurements are a bit confusing at first. Just remember that there are 72 points in an inch or that most typed text is 10 or 12 points tall.

Standard sizes

It can be challenging to choose sizes for things that look good and print attractively. For example, if you are creating a connector with an arrowhead, should you make the arrowhead 8 points, 15 points, 6.3 points? Should its line width be 1/2 point of 2 points? It's hard to know without spending a lot of time trying different sizes AND printing them out. To greatly simplify choosing the sizes of some things, we've defined a set of standard sizes that you can select very easily. For example, arrowheads can be Small, Medium, or Large and line widths can be Fine, Medium, Heavy, or Very Heavy.

Standard sizes also make it possible to use menus as a well as edit boxes to choose sizes.

As you can see in this illustration, the border width for a figure can be adjusted by selecting a standard size with a menu, selecting a standard size with a drop menu, typing any size you want, or using a spin control to make it bigger or smaller.


The Workspace

In addition to the display area for the diagram, the workspace contains the following components.

Title bar

Shows the program name and the name of the active diagram.

Tool bar

Contains buttons that provide easy access to frequently used commands.

Property bar

A second optional toolbar that contains buttons and controls to change properties of figures, labels, and connectors.

Style bar

The area on the left of the screen that contains controls to access label, figure, and connector styles.

Status bar

The area along the bottom of the workspace that shows brief help information and the zoom magnification.

Scroll bars

Show your position in the diagram and allow you to move around.

Rulers

Show real-life measurements of the diagram.


The Style Bar

The style bar is the area to the left of the diagram that contains controls to access label, figure, and connector styles. The purpose of the style bar is to make it very easy to choose a style to create an object.

The style bar contains three main sections, one for labels, one for figures (shown to the left), and one for connectors. If the diagram contains no styles of one of these types, the section will not appear in the style bar. Each of these sections contains three types of controls, all of which do the same thing in different ways!

Style drop menu

At the top of each section is a Style Drop Menu button. You use this button to choose a style from a drop menu, a pop-up menu that contains a graphic representation of styles of the type in this section. When pressed, it expands to show the styles. The graphic representations in the drop menu are only approximations of the styles. For example, they do not include line thickness.

Style combo box

Under the drop menu button is the style combo box. This control serves two purposes. The style combo box displays the name of the current style if one is selected. It also allows you to change the style by picking another style by name. The end result is the same as if you had used the drop menu to choose the style.

Style bar buttons

Under the style combo box are optional style bar buttons. Each style bar button represents a single style. You can choose the style by simply pressing the button. Though style bar buttons are the easiest way to choose a style, they also take up a lot of room. Therefore, they typically represent only the most frequently used styles. The representation of the style is only approximate. For example it does not show color.

For each style, you can choose whether or not it has a style bar button. Use the Customize screen to add or remove buttons (see below).

Customizing the style bar

You can customize the style bar for a particular diagram or template. You can control its width, the size and arrangement of buttons of each type, and the styles that are available on buttons, plus some additional properties. The customization controls for the style bar are located in the Customization screen which is available in the Tools menu or by right-clicking on the style bar.

Customize Dialog Box

Collapsing the Style Bar

Some users may prefer to collapse the style bar leaving a less obtrusive method for selecting styles while freeing screen space for viewing and editing diagrams. To do so, click on the left-most button on the property bar (second tool bar). The style bar will disappear and instead three simple style drop menu buttons will appear in the property bar which perform the identical function as the drop menu buttons decribed above.


The Tool Bar

The tool bar provides convenient buttons to perform the most frequently used functions. The tool bar is always present. When you move the mouse over one of these buttons, a description of its function will appear in a small balloon called a tooltip as well as a help message in the status bar.


The Property Bar

The property bar contains buttons and controls to conveniently change object properties such as fonts, text formats, colors, and so on. The property bar is optional and can be toggled on and off by choosing Show Property Bar from the Options menu.

When you move the mouse over one of these buttons, a description of its function will appear in a small balloon called a tooltip as well as a help message in the status bar.

You use the property bar by selecting one or more objects, then changing their properties with the property bar controls. The property bar provides shortcuts for setting object properties. All of these properties can also be changed through the object property dialog boxes, for example by selecting a figure and then double-clicking on it or choosing Properties from the Figures menu.

The property bar is also useful when creating objects. After you've selected the style of object to create, you can use the property bar to change the properties of the objects that will be created without changing the style itself. This is explained in more detail elsewhere.

Collapsing and Expanding the Style Bar and Selecting Styles

The extreme left side of the property bar is reserved for a button that collapses or expands the style bar. Some users may prefer to collapse the style bar leaving a less obtrusive method for selecting styles while freeing screen space for viewing and editing diagrams. To do so, click on the left-most button on the property bar. The style bar will disappear and instead three simple style drop menu buttons will appear in the property bar which perform the identical function as the drop menu buttons decribed above.


The Snap Grid

The snap grid helps you line up figures in your diagram. The snap grid contains two components that you can use together or separately, the visible grid and the snap grid itself.

The visible grid

The visible grid is a set of horizontal and vertical grid lines or dots that appear behind your diagram. By itself, the visible grid is only a visual aid, it does not have ANY effect on your diagramming.. You can control the grid spacing by choosing Properties from the Diagram menu. All of the grid lines may not always be visible. When you zoom way back, grid lines that would appear too close to one another on the screen drop out.

You can turn the visible grid on and off by pressing the tool bar button that looks like a grid. It can also be changed in the Diagram Properties dialog box.

The snap grid

The snap grid is NOT visible but when enabled it does affect your diagramming. The snap grid automatically controls where figures and connectors can be placed and how large figures can be. For example, if you set the snap spacing to a half inch, you can only place figures at exactly one half inch intervals. Therefore, you know that if two figures look lined up they are lined up, if they look the same size they are the same size, if a line looks straight it is straight. When you print your diagram you won't be surprised to find that what looked right on the screen is slightly wrong on paper.

You can turn snap on and off by pressing the tool bar button. You can control the snap spacing by choosing Properties from the Diagram menu.

You can use either the visible grid or the snap grid without using both. However, when you use both together, you get the greatest benefit. Most often, you will want to choose a grid spacing that is larger than your snap spacing, twice as large is the default.


Modes

While you are working on a LanFlow diagram, you are always in one of several modes. There is a mode for selecting and moving objects, a mode for creating figures, a mode for creating labels and editing text, a mode for creating connectors, and a mode for zooming into a certain area of a diagram. You'll enter each mode to perform certain operations. Following is a brief summary of each mode.

Select Mode

The default mode is select mode. In this mode you can select objects, move objects, size objects, and perform many other functions. You will probably spend most of your time in this mode since this is the mode in which most features are available.

To enter select mode, click on the select mode tool bar button. You can tell that you are in select mode when the select mode tool bar button is pressed and the select cursor appears.

The select mode cursor.

Text Mode

You enter text mode to work with text. In this mode you can create labels, add text to figures, and edit figure text.

To enter text mode, click on the button in the text mode tool bar button. You can tell you are in text mode when the text mode button in the tool bar is pressed and the text cursor appears. You will also enter text mode if you select a label style from the style bar.

The text mode cursor.

SelText Mode

This mode is a special combination of text mode and select mode. It is just like select mode except that you can also edit text as if you were in text mode. Using this mode rather than select mode will prevent you from having to switch modes as often. The trade-off is that both selection and text editing require more precise pointing with the mouse.

To enter seltext mode, click on the tool bar button that looks like an arrow and the letter "T" together. The cursor is the same as the select mode cursor.

Zoom Mode

You enter zoom mode to zoom in to a part of your diagram and view it in greater detail.

To enter zoom mode, click on the zoom mode button in the tool bar.

The zoom mode cursor.

Figure Create Mode

You enter figure create mode to add figures to your LanFlow diagram. To enter figure create mode, select a figure style from the style bar. There is no button on the tool bar because you must indicate the style of figure you want to create.

You can tell you are in figure create mode when the cursor is in the shape of a figure or the create figure cursor shown below. If the figure style you are creating has a button on the style bar, that button will be pressed as well.

Connect Mode

You enter connect mode to create connectors in your LanFlow diagram. To enter connect mode, select a connector style from the style bar. There is no button on the tool bar because you must indicate the style of connector you want to create. The connect cursor appears. If the connector style you are creating has a button on the style bar, that button will be pressed as well.

The connect cursor.


General Editing

Selecting and Deselecting Objects

Deleting Objects

Cutting Objects

Copying Objects

Duplicating Objects

Pasting Objects

Undo

Moving Objects

Moving Objects with Precision

Moving Objects to the Front and Back

Finding and Replacing Text

Choosing Colors


Selecting and Deselecting Objects

Most features affect one or more objects, but generally not all objects in a LanFlow diagram. Before you perform a feature, you can select one or more objects to which the feature will apply. This section covers the different methods of selecting and deselecting objects.

When an object is selected, its handles become visible as small red squares along the border of the object.

A selected figure.

A selected connector.

A selected label.

Lasso Select

One way to select objects is to form a lasso around a group of objects. A lasso is a box that you form to choose a rectangular area of the diagram.

  1. In Select mode, move the cursor to an area of the diagram where there are no objects. The cursor becomes the standard arrow shape.
  2. Press the left mouse button, keep it held, and move the mouse to form a rectangular lasso area. The lasso cursor appears. The lasso area displays as a dotted box.
  3. Release the mouse button. All objects that are located entirely within the lasso area become selected.

Click Select

While in select mode select individual objects by clicking on the objects with the left mouse button. To select a particular object, move the mouse over the figure, connector, or label and click.

Select All

Select all the objects in a diagram by choosing Select All from the Edit menu.

Deselect All

To deselect all selected objects, click the left mouse button on the diagram where there are no objects, or choose Deselect All from the Edit menu.

Selecting More Objects

Normally, if some objects are selected and you attempt to select objects with any of the prior methods, the previously selected objects become deselected before the new objects become selected. If you'd like the previously selected objects to remain selected in addition to the newly selected objects, hold down the SHIFT key while selecting objects with any above methods. This process is called extending a selection.

Deselecting Individual Objects

If a number of objects are selected, you can deselect individual objects by holding down SHIFT key while clicking on the object.


Deleting Objects

Deleting objects is a little different than cutting objects (see the following section) because you cannot Paste following Delete. Delete is also slightly faster and does not modify the Windows clipboard.

As a rule of thumb, use Delete to remove objects permanently, and use Cut to remove objects from one location and Paste them to another location.

To delete objects from a diagram

  1. Select one or more objects to delete.
  2. Choose Delete from the Edit menu or press the DEL key.
When you delete selected objects, additional objects may be deleted automatically. For example, if you delete a connector, not only will all segments of the connector be deleted, but all connector labels that were attached to those segments will also be deleted whether or not they were selected.

If you delete a figure to which a connector is attached, that connector is also deleted. If you want to delete a figure but not delete an attached connector, detach the connector first.

A special exception occurs when you delete a figure that is within a flow (that is it has a single connector entering it and another of the same style leaving it). In this case, if you delete the figure, the two connectors will join into one.


Cutting Objects

Cutting is another way to remove objects from a LanFlow diagram. Unlike delete, a copy of the deleted objects is first saved in the Windows clipboard. You can later Paste these objects back into the diagram or even into a different LanFlow diagram.

As a rule of thumb, use Delete to remove objects permanently, and use Cut to remove objects from one location and Paste them to another location.

To cut objects from a diagram

  1. Select the objects you want to cut.
  2. Choose Cut from the Edit menu or press CTRL-X on the keyboard.
Like Delete, when you Cut selected objects, additional objects may be cut automatically.

Cut or copied objects remain in the clipboard until you cut or copy more objects, leave Windows, turn off your computer, or cut or copy to the clipboard from another program.


Copying Objects

You can use the Windows clipboard to copy a selected set of objects within the same LanFlow diagram or to a different LanFlow diagram.

To copy objects in a LanFlow diagram

  1. Select one or more objects to copy.
  2. Choose Copy from the Edit menu or press CTRL-C on the keyboard.
  3. Choose Paste from the Edit menu or press CTRL-V on the keyboard. A copy of the objects appear at the center of the screen selected for you.
  4. Move the new objects if you want.
If you like, you can Paste the same objects over and over again.

To copy objects from one LanFlow diagram to another

  1. Select one or more objects to copy.
  2. Choose Copy from the Edit menu or press CTRL-C on the keyboard.
  3. Open a different LanFlow diagram.
  4. Choose Paste from the Edit menu or press CTRL-V on the keyboard. A copy of the objects appear at the center of the screen selected for you.
  5. Move the new objects if you want.
If you like, you can Paste the same objects over and over again.

See Copying Objects to Other Programs


Copying Objects to Other Programs

In addition to copying objects within and between LanFlow diagrams, you can also copy objects from this program to other programs such as Microsoft Word. Objects can be copied to Microsoft Word and similar programs as OLE objects (see Object Linking and Embedding) or simply as graphics, namely a Windows Metafile. When you a do a copy, both types of data are stored to the Windows clipboard and it is up to the program that pastes the data to choose the format (OLE or WMF in this case).

To copy objects from a LanFlow diagram to a different program

  1. Select one or more objects to copy.
  2. Choose Copy from the Edit menu or press CTRL-C on the keyboard.
  3. Run the target program (MS Word in our example).
  4. Choose Paste in the target program.
Cut or copied objects remain in the clipboard until you cut or copy more objects, leave Windows, turn off your computer, or cut or copy to the clipboard from another program.


Duplicating Objects

Another faster way to copy objects is to duplicate them. Duplicating does not use the Windows clipboard and therefore does not work between different LanFlow diagrams or between this program and other Windows applications. Use duplicate to make multiple copies of objects within the same LanFlow diagram.

To duplicate objects in the same LanFlow diagram

  1. Enter select mode.
  2. Move the mouse over any object or over one in a group of selected objects.
  3. While holding down the CONTROL key, drag the objects. A set of duplicate objects appears.
  4. Position the duplicate objects and release the mouse button.


Pasting Objects

You can paste objects from the clipboard that were previously placed there by an earlier Cut or Copy operation. Pasting is most often the second half of a Cut-and-Paste or Copy-and-Paste operation.

To paste objects from the clipboard

  1. Choose Paste from the Edit menu. If the Paste feature is grayed in the menu, it means that there is no diagram data in the clipboard.
  2. A copy of the objects in the clipboard appears at the center of the screen.
    Move the new objects where you want them.
Once you paste objects, they remain in the clipboard so you can paste them repeatedly to create multiple copies.

You can also Paste graphics that were copied to the clipboard by other programs. After copying a graphic from another program, simply use Paste just as described above. This will work as long as the other program copies its graphics to the clipboard in a format that this program knows (WMF, EMF, BMP, DIB) - which is very likely.

The clipboard can contain the same information in several different formats at once. Normally, when you use Paste as described above, this program chooses the best format automatically (or the one that the other program said was best). However, there is also a way to choose exactly which format to paste:

To paste objects from the clipboard in a particular format

  1. Choose Paste As from the Edit menu and select from one of the available formats "LanFlow Objects", "Picture", "Bitmap", or "Text". If a format is grayed in the menu, it means there is no such data in the clipboard.
  2. A copy of the objects in the clipboard appears at the center of the screen.
    Move the new objects where you want them.
Note that if you copy diagram objects and paste them as a picture, you can no longer edit the copy as if it were a diagram object. However, this is a nice way to create your own complicated shapes very easily.

Pasting Text

Pasting text is special because it can be done in two ways. One way is to enter text mode, position the caret in an existing figure or label at the point where you want text to appear, then choose Paste from the edit menu. If you are not in text mode and you paste text into your diagram, a new label will automatically be created for you and positioned at the center of the screen with the text that was in the clipboard. The style of this label will be the last label style you selected.


Undo

The undo feature lets you undo changes to a LanFlow diagram. If you make any changes by mistake, you can reverse the effects of the most recent operations by using the undo feature. The undo menu command contains a brief description of the operation that can be undone. Each corresponds roughly to one operation you performed. For example, deleting ten selected objects can be undone in one step just as it was done in one step. The last fifty operations can be undone, older ones cannot.

To undo any operation

Choose Undo from the Edit menu. The undo menu item indicates exactly which operation will be undone.

Changes you make to styles cannot be undone. It is a good idea to save your diagram before making any changes to styles. You can assume that virtually all other operations can be undone. In rare cases where operations will not be undoable, you will be informed before the changes take place.


Moving Objects

Once you create figures, labels, and connectors in your LanFlow diagram, you can use the mouse to move and arrange them. There are a couple methods available for moving objects.

To move a single object without selecting it first

  1. Enter select mode.
  2. Move the mouse over an object so that the move cursor appears (it points in four directions).
  3. Press the left mouse button and hold it.
  4. Move the object to another location.
  5. Release the mouse button.
Objects move in accordance with their properties. If the snap grid is enabled and the figure has the snap center to grid property, it will only move to points on the grid.

To move a group of selected objects

  1. Enter select mode.
  2. Select one or more objects to move.
  3. Move the mouse over a selected object so that the move cursor appears.
  4. Press the left mouse button and hold it.
  5. Move the object to another location.
  6. Release the mouse button.
You cannot drag objects from one LanFlow diagram to another LanFlow diagram in another window. Use cut/paste for that purpose. You can, however, drag objects between one view of a LanFlow diagram and another view of the same LanFlow diagram.


Moving Objects with Precision

To move objects with precision

  1. Enter select mode.
  2. Select one or more objects.
  3. Use the up, down, right, and left arrow keys on the keyboard to move the objects a small increment in any direction.
The amount the objects move each time you press an arrow key depends on the snap-to-grid diagram property (the button on the tool bar that resembles a grid). With snap enabled, each press of an arrow key moves the objects by a distance equal to the snap grid spacing. Otherwise, the objects move by one screen pixel.


Moving Objects to the Front and Back

All objects have an order within the LanFlow diagram. New objects are in front of previously created objects and are drawn on top of them. You can adjust an object's order in the diagram, and choose which objects are in front of or in back of other objects in the following ways.

To move one or more selected objects to the front

  1. Select one or more objects.
  2. Choose Front from the Edit menu. The selected objects move in front of all other objects in the diagram.
To move one or more selected objects to the back

  1. Select one or more objects.
  2. Choose Back from the Edit menu. The selected objects moves in back of all other objects in the diagram.
To move an object in front of the next overlapping object

  1. Select the object.
  2. Choose Front One from the Edit menu. The selected object moves forward by one object.
To move an object behind the next overlapping object

  1. Select the object.
  2. Choose Back One from the Edit menu. The selected object moves back by one object.


Finding and Replacing Text

You can use the Find and Replace features to locate figures and labels in the currently open LanFlow diagram that contain some particular text and to replace that text with something else.

To find the figures and labels containing text

  1. Change your zoom so that you can read your figure text clearly and still view a good portion of the diagram - 100% is good to start.
  2. Choose Find from the Edit menu or press the shortcut key Ctrl-F.
  3. The Find Dialog Box will appear. Enter the search text and select the options that apply, then press Find Next repeatedly to locate the figures and labels that contain the text. As you press Find Next, each occurence of the text will become selected on the screen. If the figure is not already visible, it will move into view.
To replace figure and label text

  1. Change your zoom so that you can read your figure text clearly and still view a good portion of the diagram - 100% is good to start.
  2. Choose Replace from the Edit menu or press the shortcut key Ctrl-H.
  3. The Replace Dialog Box will appear. Enter the search text, the replacement text, and select the options that apply, then press either Replace All or Find Next/Replace repeatedly to locate and replace each occurence of the search text.


Choosing Colors

There are several places throughout the program where you can choose a color such as on the tool bar and in various dialog boxes. You can select colors for figures, borders, text, connectors and other diagram objects plus you can select colors for elements of the display. Each place that you can select a color contains a color selection drop menu button which presents a color selection menu when you press it. The color selection drop menu contains some different components.

Standard colors

The colors in the colors selection drop menu above the line are common standard colors that never change. These colors will usually be all you need for your diagrams.

Custom diagram colors

The colors in the colors selection drop menu below the line are the sixteen custom colors that you can set for each diagram you create. You can control which colors are shown here and saved in your diagram color palette through the standard Windows color dialog box described below.

Ellipsis (...)

Choose the three dots to go to the standard Windows color dialog box to choose a color that may not be represented in the drop menu, or to change the custom diagram colors. Most of the controls in this dialog box are self-explanatory and are described in the Windows documentation. Notice that the Custom Colors section represents the Custom diagram colors described above. To change a custom color, select one of the custom color boxes, choose the color, then press the Add to Custom Colors button.

Depending on your graphics card and your video mode, some colors may be composite or dithered. If you look closely, some colors are made up of patterns of two or more solid colors, a process called dithering. Dithered colors are fine for fill colors but should be avoided for lines and text. If you choose a dithered color for a line (such as a figure border) or a text color, Windows will not be able to draw the line or text in the color you choose. Instead, it will choose the nearest color that can be drawn solid. We suggest you choose primarily solid colors when you create your palette. If you are using a display mode that can display only 16 colors, there are only 16 solid colors available. If you are using a display mode that can display 256 colors or more you will have fewer restrictions.


Fill Colors, Transparency, and Tinting

Fill Colors

Nearly any figure in a diagram can be colored with a fill color in addition to a border (outline) color and text color. The fill color determines the color of the body of the symbol. If the symbol contains text areas, the fill color will also determine the background color for its text. For figures that are graphic images, such as imported clipart, the fill color controls the tint color of the image (see Tinting below).

Transparency

A figure with no fill color is transparent. You can remove the fill color by selecting the "X" from the fill color drop menu. When an ordinary geometric symbol is transparent, objects below it will be visible through the symbol. A side effect of a symbol with no fill color is that you will need to click on the border or outline of the symbol in order to select it. A graphic image uses the fill color as a tint color. For graphic images, no fill color means the image will be drawn with its original colors rather than a tint color - no transparency is possible (see Tinting below).

Tinting

The fill color for graphic images such as imported clip art is a tinting color. Initially an imported graphic will have no tint color which is the same as having a transparent fill color. A graphic image with no tint color is drawn with its original colors. If you change a graphic's fill color it will change the tint color of the image. For black and white images, the black portions of the image will be replaced by the tint color and the white portions will remain unchanged. For gray-scale or multi-colored images, each color in the image will be replaced by a shade of the tint color. For gray-scale images for example, a blue fill color will have the effect of changing the image colors from shades of gray to shades of blue.

There are some limitations on the ability to control tinting of graphic images. Attempting to control tinting by changing the fill color of certain graphics will have no affect on (a) imported metafiles that contain their own embedded color palettes, (b) imported metafiles that contain bitmaps embedded within the metafile, and (c) APM metafiles. If you cannot control the tinting of an imported graphic by changing the fill color, you may need to edit the colors of the original graphic with a paint program and import the result.


Navigation

These topics help you move around in your diagram, change your view, scroll, zoom, and focus on particular areas.


Getting Around in a Diagram

Limitations of the computer screen present the single greatest obstacle to working on a LanFlow diagram. Typical LanFlow diagrams extend well beyond the size and degree of detail that you can view effectively within a single window. This section describes the methods provided to overcome this obstacle. With these features, you can control precisely both the portion of the LanFlow diagram and the degree of detail that are shown.

Using the Scroll Bars

You can use scroll bars to move your view of the LanFlow diagram up-and-down and left-and-right without affecting the degree of detail shown.

The scroll bar buttons scroll the LanFlow diagram by a small amount in the direction of the arrow. Clicking in the region of the scroll bar between the slider and a button scrolls by a half screen in the direction of the button.

Scrolling with the Arrow Keys

Use the shifted Up, Down, Left, and Right arrow keys on your keyboard to move your view of the LanFlow diagram. Each key press moves the diagram by one quarter of the screen area in the appropriate direction.

Autoscroll

When you drag an object past the edge of the screen, the LanFlow diagram automatically scrolls to follow the cursor. Autoscroll is only in effect when the current view is maximized to fill the entire workspace.

Zoom

Zoom features are probably the most powerful navigational tools. Follow the link below to learn about the different ways to zoom within a LanFlow diagram.

Zoom


Zoom

Zoom features allow you to move quickly between different views of the LanFlow diagram and to increase and decrease the degree of detail displayed in the diagram window. Some of these features allow you to zoom-in and zoom-out your view of the diagram. By changing the zoom magnification, you can control how much of the LanFlow diagram is visible and how much detail is displayed. Other zoom features let you move instantly to a special view of the LanFlow diagram.

For all zoom features, the absolute limit of the zoom range is from 10% (one tenth printed size) to 1000% (ten times printed size) but you will probably notice that more narrow limits are determined by your screen resolution and display mode.

Zooming to a special view

Zooming in and out

Using Zoom mode


Zooming to a special view

The following features move you directly to a special view of the LanFlow diagram regardless of your present location. They are especially useful for returning to a known view when you become disoriented. These features are found at the top of the Zoom menu.

To zoom to a view of the entire page area

Choose Whole Page from the Zoom menu or press the toolbar button.

To zoom to a view of the top of the page area

Choose Page Width from the Zoom menu or press the toolbar button.

To zoom to a view of all the objects in the LanFlow diagram

Choose All Objects from the Zoom menu.

To zoom to a view of all selected objects in the LanFlow diagram

  1. Select one or more objects.
  2. Choose Selected Objects from the Zoom menu.


Zooming in and out

The following features let you increase or decrease the detail of the LanFlow diagram shown in the diagram window.

To zoom the view to any magnification

Using the combo box located on the tool bar, choose a predefined zoom percentage, or type in any valid percentage and press enter. The valid zoom range depends on your particular configuration but must never be less than 10% or more than 1000%.

To zoom in - using the keyboard

Press the PLUS key on the keypad. The view is magnified by a small amount so that objects appear larger and less of the diagram is visible. Normally, the view remains centered at the same location of the diagram prior to zooming in. However, if any objects were selected, the new view is centered on those objects.

To zoom out - using the keyboard

Press the MINUS key on the keypad. The view is shrunk by a small amount so that objects appear smaller and more of the diagram is visible. Normally, the view remains centered at the same location of the diagram prior to zooming out. However, if any objects were selected, the new view is centered on those objects.

To zoom to one of the preset zoom intervals

Choose a specific percentage from the Zoom menu. The status bar at the bottom of the screen displays the current zoom percentage. At one hundred percent, the size of the diagram on the screen exactly matches the printed size - assuming your screen height is set accurately.

To zoom in to the next zoom interval

Press the tool bar button that looks like a magnifying glass with a big "+". The view will zoom to the next higher of the fixed zoom intervals.

To zoom out to the next zoom interval

Press the tool bar button that looks like a magnifying glass with a big "-". The view will zoom to the next lower of the fixed zoom intervals.

To set custom zoom intervals

  1. Choose Set from the Zoom menu.
  2. Use the Zoom tab of the Options dialog box to set your own zoom intervals.
  3. Press OK to make your changes. The new percentages are sorted and entered into the Zoom menu. Choose the new percentage from the zoom menu to change the zoom magnification.


Using Zoom mode

Zoom mode provides even greater control to select a view of your LanFlow diagram. You enter zoom mode by clicking on the zoom mode button in the tool bar. You can tell you are in zoom mode when the zoom mode button is pressed and the zoom mode cursor appears.

The zoom mode cursor.

To zoom in incrementally in zoom mode

  1. Enter zoom mode.
  2. Move the mouse over a part of the diagram that you want to view in greater detail.
  3. Click the left mouse button (press and release immediately) to zoom in a little closer.
  4. Repeat until the view is sufficiently detailed.
To zoom in to a specific location in zoom mode

  1. First you might want to zoom out so that the entire area you want to view is visible on the screen. Zoom Page is useful for this purpose.
  2. Enter zoom mode.
  3. Choose the area of the diagram that you want to view in detail. Move the mouse to the upper left-hand corner of that area.
  4. Press and hold the left mouse button.
  5. Drag the mouse to create a rectangular region covering the area of interest.
  6. Release the mouse button. The rectangular region will fill the entire window.


Figures

Figures are the shapes that form the building blocks of LanFlow diagrams. Figures can have any geometric shape like a rectangle, circle, or triangle, or they can have the shape of a person, a computer, a phone, or anything else. Figures can also have one or more rectangular areas for text and can be connected together by connectors.

Creating Figure

Inserting a Symbol

Changing the Size of Figures

Moving Figures

Aligning Figures

Making Figures the Same Size

Sizing Figures to Text

Spacing Figures Evenly

Centering Figures on the Page

Connections

Reshaping Figures

Multiple Text Areas

Containers

Figures in Flows

Changing Figure Properties


Creating Figures

The most common way to add a figure to your LanFlow diagram is to choose a figure style that represents the shape and initial properties of the figure object you are creating. This moves you into create mode where you drop the figure onto your LanFlow diagram and optionally resize it.

To choose a figure style and initiate create mode:

  • Click on the style bar button of a figure style. If the style does not have a button in the style bar, use one of the following methods instead.
  • OR, Press and hold the Figures button in the style bar to activate the figure style drop menu. Move to the representation of the style, and release the mouse button. Not all styles are displayed in this menu so you may have to choose the three dots to see all of them (see the next section) Choose a Figure Style Dialog Box
  • OR, Choose the figure style by name from the figure style combo box.
The cursor becomes an outline of the figure when you move the mouse over the LanFlow diagram.

Once you have selected the figure style to create...

  1. If the figure style has a default size, the cursor becomes an outline of the figure when you move the mouse over the LanFlow diagram.
  2. Use the mouse to position the new figure.
  3. Press the mouse button.
  4. If the figure has a default size and you want to create a figure of this size, release the mouse button immediately. Otherwise, while continuing to hold the mouse button, resize the figure to the desired size. Before releasing the mouse button, you can press ESC to cancel.
  5. Release the mouse button
If the figure has default text, the newly created figure will contain the default text.

After selecting the figure style, you can use the property bar to change properties of the figure that will be created such as the colors, font, text alignment and so on. These changes will not affect the style definition only the properties of the new figures.


Inserting a Figure from the Gallery

Inserting a Symbol

Although the usual way to add figures to your LanFlow diagram is by creating them from a figure style, there are also times when you want to add a single figure without first creating a new style. The Insert Symbol feature provides this capability.

To insert a single figure from the Figure Symbol Gallery

  1. In select mode, choose "Insert Symbol" from the Figures menu or from the right click menu. Or press the "Insert Symbol" button on the tool bar.
  2. Select any figure symbol from the Figure Symbol Gallery dialog box.
  3. A new figure with the selected symbol will appear on the screen. You may want to resize it and move it to a better location.


Changing the Size of Figures

A figure can be any size from a sixteenth of an inch to a hundred inches in height and width.

To change the size of a figure

  1. Select the figure.
  2. Move the mouse over one of the eight red handles. The cursor shape indicates how the figure will size with each handle.
  3. Press the mouse button.
  4. Drag the handle and resize the figure to the desired size. If you decide to cancel at this time before releasing the mouse button, press ESC.
  5. Release the mouse button.
How the figure resizes depends on several things. If the figure has the Center Remains Stationary When Resizing property, then the figure gets larger or smaller in all directions as you drag the handle, but the center stays in the same place. If the figure does not have this property, it extends only in the direction that you drag the handle.

If snap is enabled and the figure has the Height and Width Snap to Grid property, the height and width can only change such that the edges of the figure are positioned along snap grid lines. In effect, this means that the height and width will always be a factor of twice the snap spacing.

If the figure contains text, you will not be permitted to resize the figure such that it will be too small to contain the text. If the figure has the word-wrap property, the text will reformat when you resize the figure, therefore there is no minimum width.

There are also other ways to change the size of a figure. When you type text in a figure, the figure can resize automatically. You can change the size of figures by using the Make Same Size feature. You can also set the height and width of figures explicitly in the Figure Properties dialog box.


Moving Figures

There are several ways to move figures from one place in a LanFlow diagram to another. When you move a figure, all text that is part of the figure, and all connectors that are attached to the figure move as well.

The move cursor.

To move a single figure without first selecting it

  1. Make sure you are in select mode.
  2. Move the mouse over the figure. The move cursor appears.
  3. Press the mouse button.
  4. Drag the figure to a new location and release the mouse button.
The procedure above works from seltext mode as well as from select mode. However, if you are in seltext mode, be sure that the cursor is actually over a figure and not over a text area within the figure. You can tell that you can move the figure when the move cursor appears.

To move one or more selected figures

  1. Move the mouse cursor over any selected figure. The move cursor appears.
  2. Press the mouse button.
  3. While holding the mouse button down, drag the figures to the new location. While dragging the figures, you can cancel by pressing ESC before releasing the mouse button.
  4. Release the mouse button.
To move selected figures more precisely

  1. Enter select mode.
  2. Select one or more objects.
  3. While holding SHIFT, use the up, down, right, or left arrow keys on the keyboard to move the objects a small increment in any direction.
The amount the objects move each time you press an arrow key depends on the snap-to-grid diagram property (the button on the tool bar that resembles a magnet). With snap enabled, each press of an arrow key moves the objects by a distance equal to the snap grid spacing. Otherwise, the objects move by one screen pixel.

There are many other ways to move figures indirectly such as aligning, centering on the page, spacing, and so on. You can also set the location of figures explicitly in the Figure Properties dialog box.


Aligning Figures

To align a number of figures

  1. Select the figures.
  2. Choose one of the selected figures to be the model figure, the figure with which the other selected figures are aligned. By default the last figure selected is the model figure. To force a different selected figure to become the model figure, hold down the SHIFT key and click on a different figure.
  3. Choose one of the alignment methods from the Align submenu under the Figures menu.
Align left sides

Align centers

Align right sides

Align top sides

Align middles

Align bottom sides


Making Figures the Same Size

There are many aids for creating figures with a uniform size. One way is to use the figure style default size property. Another is to use the snap grid. Yet another is the Make Same Size feature.

To make a number of figures the same size

  1. Select the figures.
  2. Choose one of the selected figures to be the model figure, the figure whose size indicates the size to make the other selected figures. By default the last figure selected is the model figure. To force a different selected figure to become the model figure, hold down the SHIFT key and click on a different figure
  3. Choose one of the sizing methods (Height, Width, or Both) from the Make Same Size submenu under the Figures menu.
There are cases where a figure cannot be made the exact size as the model figure. One example is a figure that has more text than would fit in the figure if it were made as small as the model figure. In this case, the figure is made as small as possible.


Sizing Figures to Text

A figure can be no smaller than the text it contains. Occasionally you may want to make a figure as small as possible for the current text. You can do this by dragging the figure's sizing handles, or more conveniently by using this feature.

To adjust the size of a figure to the text it contains

  1. Select a figure (or group of figures).
  2. Choose Size to Text from the Figures menu.
Each selected figure will shrink to the smallest size possible for its text. If the snap grid is enabled and the figure's properties cause its height and width to snap to the grid, the figure's size may not be as small as possible to contain the text. If this is not the effect you want, turn off the snap grid first. If you want a figure to remain sized to its text automatically when the text changes, you can set its "Keep sized to text" property.


Spacing Figures Evenly

The Space Evenly feature is useful for spacing figures across the LanFlow diagram or from top to bottom at equal intervals.

To space a group of figures evenly from left to right or top to bottom

  1. Select at least three figures.
  2. Choose either Across or Down from the Space Evenly submenu under the Figures menu. And choose whether to space the figures evenly based on their centers, a particular edge, or based on the spacing between figures.
  3. The selected figures will be spaced evenly from right to left if you chose across, or top to bottom if you chose down.
The spacing is determined by the average spacing between the right-most and left-most of the selected figures (in the across case), therefore the left-most figure does not move. The left-to-right or top-to-bottom ordering of the figures does not change.


Centering Figures on the Page

You can use this feature to center a group of figures on the page, length-wise, width-wise or both. This feature is only available if you have Show Page Boundaries checked in.

To center figures on the page

  1. Select a group of objects (not necessarily only figures).
  2. From the Center on Page submenu under the Figures menu, choose the icon that represents length-wise centering, width-wise centering, or both.
  3. All selected objects are centered as a group on the current page.
Center horizontally

Center vertically

Center horizontally and vertically

Note that when you center many objects on the page, they do not all end up overlapped at the center of the page. Rather, they are centered as if they were one larger object (as a group). This feature is especially useful for final formatting of your diagram. For example, when your diagram is complete, you can Select All and then Center on Page, neatly centering your entire diagram on the page for printing.

If you have multiple pages defined (postering), the objects are centered relative to the whole poster rather than a single page. You should also be aware that if you change the print set-up, such as the paper size, the orientation, or even the printer, page dimensions can change and you may need to re-center your LanFlow diagram.


Connections

Figures can have connectors attached to them. Connectors and their usage is described fully in the following chapter. This section describes the properties of figures that affect connections.

Center Connections

Most all figures support center connections. In a standard center connection, a connector attaches to a figure at its center point and remains attached there if the figure moves or the orientation of the connector changes. While the connector attaches to the center of the figure, it actually terminates at the edge of the figure where its end symbol is drawn as well.

Connection Points

For added flexibility, figures may have connection points in addition to the center of the figure or in its place. A connection point is an alternate point within the shape where connectors can attach. You can set connection points for figures and figure styles and attach connectors to them.

Setting Connection Points

You can set connection points for a figure by going to the figure's properties dialog box (double click on the figure or choose Properties from the right click menu) and select the Connections tab (see Figure Properties: Connections). You can set connection point in the same way in a figure style.

Connection Point Tool

Connection Point Options


Reshaping Figures

Certain figures (but not all of them) can be reshaped after you add them to your diagram. Reshaping a figure lets you adjust it to more precisely control its appearance.

To reshape a figure

  1. Select the figure. If the figure can be reshaped (not all can), it will have one or more yellow diamond-shaped reshape handles.
  2. Click on and drag the reshape handle to adjust the shape.
To update the style to the new shape

If you update the style to the same shape as the newly reshaped object, other objects that you create using the same style will initially have the same shape. To do so, right click on the object after you have reshaped it and choose Update Style From... in the right click menu.

Reshape handles are yellow by default. However, you can customize this color from the Colors tab in the Options dialog box.

If a figure has multiple text areas that are reshapable, the text areas adjust automatically with the reshaping of the figure (see the following section).


Multiple Text Areas

Some figure contain multiple areas for text.

Generally, figure that contain multiple text areas are reshapable to allow you to select different sizes for each area. When you reshape them (see the shaping section), the text areas reshape automatically. If the text area already contains text, reshaping will not be permitted if it would result in an area too small to contain the text.

Independent Justification within Text Areas

Text in each area can be justified independently. For example, in one area the text can be centered and in another it can be left-justified. If you are in text mode editing the text within a particular text area and you press one of the justification control buttons on the toolbar, the justification for only that area will change. If you leave text mode, select the figure, and choose a justification, all text areas of the figure will change to the new justification. You can also set justification however you prefer by using the Text tab of the Figure Properties dialog box.


Containers

A container is a shape in your LanFlow diagram that shows a group of objects, a subset, or some other collection or separation.

There are three ways to add a container to a LanFlow diagram. The first and easiest way is to choose a style from the current LanFlow diagram template. If the template has a Containers category in the Figure drop-down menu in the style bar, simply select it and place it on your LanFlow diagram as you would any other figure shape.

If the template you are using does not include predefined container styles, the next easiest method is to invoke the Insert Symbol feature to insert a predefined container symbol from the Figure Symbol Gallery.

To insert a container from the Figure Symbol Gallery

  1. Without objects selected, right click on your LanFlow diagram and select Insert Symbol. Or choose the Insert Symbol feature from the Figures menu. The Figure Symbol Gallery dialog box appears.
  2. Select the Containers category. The large window displays the pre-defined container shapes. Notice that containers are indicated by brackets surrounding their names.
  3. In the large window, select a container shape and click OK.
  4. Size and position the new container in your diagram.
  5. Optionally, right click on the new container and toggle Active Container to activate the container so that objects within the container are kept together with the container (see below).
If you require a container of a shape that is not included in the template or the gallery, you can create one of your own based on any existing figure symbol.

To create your own container from any figure symbol

  1. Create any shape in one of the usual ways such as by using the Insert Symbol feature from the Figures menu.
  2. Enlarge the shape and move it to the back of the LanFlow diagram.
This method has some drawbacks. Most notably, the software will still treat the inside of the container as part of a figure making it a nuisance to select and connect objects within the container. To complete the construction of a container from any shape, adjust the figure properties as follows:

  1. Remove the fill color by selecting the shape and choosing the “x” from the fill color drop menu. A figure with no fill color is treated as transparent. For example, you will be able to select and manipulate objects that are “beneath” the container. A figure that does not have a fill color can only be selected by clicking on its border or lassoing the whole object.
  2. Hide the text areas of the container object. Do this by clicking the “Hidden” box in the Text tab of the Figure Properties dialog box - repeat for each text area if there is more than one in the figure. Hiding the text areas is an important step because text areas are selectable even when there is no fill. The result is that non-hidden text areas prevent you from selecting objects beneath the container (even if the text is blank).
  3. Choose stylistic attributes. For example, you will often want a dashed or dotted container. Do this from the General tab of the Figure Properties dialog box.
  4. Adjust behaviors for greater convenience. Do this from the Behaviors tab in the Figure Properties dialog box. We suggest the following settings:
    (a) Horizontal expansion = Expand to right
    (b) Vertical expansion = Expand down
    (c) Center stationary when resizing = unchecked
    (d) Center snaps to grid = unchecked
    (e) (optional) Active container - keep contained objects together = checked

Active Containers - Keeping Objects Together

The last behavior suggested above is recommended when using containers in their prescribed manner. The “Active Container“ behavior adds great power and simplicity to containers elevating them beyond drawing objects.

Containers with this property automatically keep any objects that are positioned within their bounds together for simple operations. If you move the container, all objects inside move along. If you copy it, the objects inside appear in the copy as well. If you delete it, the objects are removed. You can move individual objects into and out of the container simply by dragging them, but drag the container and them stay together.

Note, if the container is filled, only objects on top of the container are kept together. If it has no fill, all objects above or below are kept together.

It might seem that this behavior resembles a group (see Groups chapter). For simple operations like moving, copying, deleting, and so on, it is much like a group. However, it is more limited than a group and therefore more convenient for this purpose. For example, unlike a group, you never have to use the Group or Ungroup commands to change the contents, plus you always have full access to the included objects without having to ungroup first. Unlike a group, resizing a container expands it bounds rather than scaling it.


Figures in Flows

Figures within flows have some special features and behaviors to support this common usage. A flow is a sequence of figures connected by connectors such that the connector enters a figure, then exits it, enters another, exits that one, and so on. Flows commonly represent sequences of operations and hierarchies of relationships.

You do not need to identify a flow. The program will recognize these relationships and behave accordingly. For definition purposes, a figure is considered to belong to a flow if it has two attached connectors of the same style. Several features make it very easy to add a new figure at any point in a flow, remove a figure from a flow, or re-arrange the figures of a flow.

During the normal process of adding a figure to a LanFlow diagram, you can insert it into an existing flow by dropping it on a connector.

Creating a figure in a flow

Attaching a figure to a flow

Detaching a figure from a flow

Deleting a figure from a flow


Creating a figure in a flow

To create a figure inserted within a flow

  1. First verify that the “Snap figures to flow” option is enabled (see the General tab of the Tool Options dialog box).
  2. Begin the creation of a figure in the usual way by choosing a figure style and entering in to create mode.
  3. Move the figure cursor over an existing connector such that the center point of the figure marked by cross hairs is directly over the connector. When you are directly over the connector and there is room to insert the figure into the flow the portion of the connector beneath the figure cursor will disappear.
  4. Click to create the figure. The connector will now enter and exit the new figure. You can also resize the figure before letting go of the button, just make sure there is still enough room to insert the figure.
If the connector is not vertical or horizontal you may need to disable the snap grid in order to position the cursor correctly over the connector.

While in create mode, pressing the CTRL key triggers freeform creation. With the CTRL key held down, the connector beneath the figure cursor will not be recognized and creating a figure will not insert it into the flow even if you click on a connector.

Before you can insert a figure into a flow you must make sure there is room available for the new figure. This may mean extending or re-arranging parts of your LanFlow diagram. For there to be enough room, there has to be ample room on a single segment so that no junctions that make up the connector are beneath the new location of the figure.


Attaching a figure to a flow

Another method for inserting a figure into a flow is to drag a figure from elsewhere in your LanFlow diagram into the flow.

To attach an existing figure to a flow

  1. First verify that the “Snap figures into flows” option is enabled (see the General tab of the Tool Options dialog box).
  2. Click on a single figure to begin dragging it (you may select it beforehand or drag it without selecting it).
  3. Move the figure over an existing connector such that the center point of the figure marked by cross hairs is directly over the connector. When you are directly over the connector and there is room to insert the figure into the flow the portion of the connector beneath the figure cursor will disappear.
  4. Drop the figure on the connector. The connector will now enter and exit the figure.
If the connector is not vertical or horizontal you may need to disable the snap grid in order to position the figure correctly over the connector.

While dragging, pressing the CTRL key keeps the drag freeform. This means that you can drop the figure anywhere, including on a connector, and the figure will not be inserted into any flow.

Before you can insert a figure into a flow you must make sure there is room available for the new figure. This may mean extending or re-arranging parts of your LanFlow diagram. For there to be enough room, there has to be ample room on a single segment so that no junctions that make up the connector are beneath the new location of the figure.


Detaching a figure from a flow

Any figure that is in a flow (having two connectors of the same style) can be detached from the flow. When you detach a figure from a flow, it will be free to move around without the attached connectors. In addition the connectors will join to continue the flow without the detached figure.

To detach a figure from a flow

  1. Right click on the figure and select Detach from Flow from the menu.
Note that if the connector was vertical or horizontal, the connectors will merge into a single continuous segment. However, if they were not vertical or horizontal, a new junction will appear in place of the figure's old position in the flow. You can delete this junction by right-clicking on it and selecting Delete Junction.


Deleting a figure from a flow

Whenever you delete a figure in the usual way, it will be automatically detached from its flow first. To delete the figure AND all attached connectors, select the connectors as well as the figure when deleting.


Changing Figure Properties

Each figure has a set of properties that define how it looks, what text it contains, how it behaves, and more. Most of the initial properties of a figure come from its original figure style. This section describes how to change the figure properties of an existing figure.

To view and modify the properties of a figure

  1. Select the figure.
  2. Choose Properties from the Figures menu or from the right mouse button menu.
Or

  1. Double click on the figure (whether selected or not). Note, double clicking on a figure will edit the figure properties only if you have chosen Display/edit properties in the General page of the Options dialog box.
Use the Figure Properties dialog box to view and modify the figure's properties.

Figure Properties Dialog Box


Connectors

Connectors identify relationships between figures. A typical connector is a line between two figures. Each end of a connector can have a symbol or geometric shape (commonly an arrowhead). A connector can have multiple straight segments that bend and turn corners, and each segment can have an attached label. Connectors can be straight, curved, or smoothed or they can have rounded corners. They can be solid lines, or broken lines of a number of possible patterns and thicknesses.

  • Any two figures can be connected by a single connector.
  • A single figure may have any number of connectors to other figures.
  • Connectors remain attached to the figures they connect, even when those figures move.
  • A connector need not be connected to a figure at either end.
A connector has a number of attributes or properties. Like figures, connectors have stylistic properties such as color and thickness. The initial properties of a connector come from the connector style used to create it.

Attach Methods

Creating Connectors

Segmented Connectors and Junctions

Curved Connectors

Splitting Connectors

Deleting Connector Junctions

Moving the Ends of Connectors

Flipping Connectors

Jogs

Orthogonal Connectors

Flow Symbols

Changing Connector Properties


Attach Methods

The attach method controls how connectors will connect to figures when you click on the figure in connect mode. You select an attach method from the Connectors menu. The attach method applies only when you are creating a connector. Once it is created, changing the method does not affect whether it remains attached or where it attaches. The following attach methods are available:

Freeform (no attach)

With this attach method objects are ignored. The connector begins where you first click the mouse and terminates where you double-click, not becoming attached at either end. This method is helpful for free drawing such as adding an arrow pointing from one part of a diagram to another rather than from one figure to another.

Centers

With this attach method, connectors attach to the centers of figures. The connector extends from the center of the first figure that you click on, to the center of the second figure you click on. Even though the connectors are attached to the center, they still terminate at the border of the figure for drawing purposes. When using this attach method, the CTRL key temporarily switches to freeform.

Click Point

With this attach method, connectors attach to figures at the point where you click. A temporary connection point appears where you click. (However, “Use Connection Points” does not need to be enabled.) When clicking on a figure to initiate or terminate a connector, a form of snap gravity is used to snap to the center, the horizontal and vertical axes, and the edges. If the snap grid is enabled, click points can only occur on the grid or at a gravity point. When using this attach method, the SHIFT key temporarily switches to the Centers attach method described above.

Use Connection Points

This option affects how connectors attach to figures independent of the attach method. Figures can have connection points either in their original definition or ones that you add. When this option is enabled, connection points are visible and enabled with any of the attach methods other than freeform (which doesn't attach anything).

For most diagramming, Centers attach mode combined with occasional use of CTRL is the most useful.


Creating Connectors

The most common way to add a connector to your LanFlow diagram is to choose a connector style that represents the shape and initial properties of the connector object you are creating. This moves you into connect mode where you attach the connector to figure in your LanFlow diagram.

To choose a connector style and initiate connect mode

  1. Click on the button in the style bar that represents the connector type you want to create. If the style you want does not have a button in the style bar, you can use one of the following methods instead.
  2. OR, Press and hold the Connectors button in the style bar to activate the connector style drop menu. Move to the representation of the style, and release the mouse button. If the style you want still doesn't appear, go to the full connector style list by selecting the ellipsis (...) from the menu. Choose a Connector Style Dialog Box
  3. OR, Choose the connector style by name from the list box directly below the Connectors button.
The connect cursor indicates you are in connect mode.

After selecting the connector style and entering connect mode, you can use the property bar to change properties of the connector that will be created such as the color and orthogonality. These changes will not affect the style definition only the properties of the new connectors.

Once you have selected the connector style to create...

To connect two figures with a connector

  1. Enter connect mode by choosing a connector style from the style bar.
  2. Move the connect cursor over a figure. The cursor changes from white arrow to black indicating that you are about to connect to a figure.
  3. Press the mouse button. You can either release the mouse button immediately or keep it pressed until step five.
  4. Move the mouse until it is over the second figure. The cursor color (white or black) indicates whether you are over the second figure.
  5. Click the mouse button again (or release it for the first time). A connector of the style you chose now connects the two figures.
To make connectors orthogonal (vertical and horizontal lines only):

To create only orthogonal connectors composed of lines that are are all vertical or horizontal only, hold down the ALT key while creating the connections.

You can also create connectors which are not attached to figures or which are attached at only one end to a figure.

To create an unattached connector

  1. While in connect mode, move the mouse cursor to a position NOT over a figure. (If you select Freeform attach mode, it doesn't matter whether you are over a figure or not.) The white connect cursor indicates that you are not over a figure.
  2. Press the mouse button. You can either release the mouse button immediately or keep it pressed until step four.
  3. Move the mouse to the point at which you want the other end to terminate (not over a figure).
  4. Double click the mouse to force the end of the connector.
When you are creating a connector, you also have the option of attaching either end of the connector to the middle of a previously existing connector.

To connect to another connector

Create the connector as described above but click either end on an existing connector. The previous connector is split in two and a junction is created with the new connector.


Segmented Connectors and Junctions

A connector can be more than a simple straight line. It can have multiple straight segments that meet at junctions where the connector can turn and bend along its path.

To create a multi-segment connector

Create a connector by any of the usual methods. Instead of clicking the end in a figure or connector, click it where it is not above another object (do not double click or the connector will terminate.) A junction appears and a new segment of the connector forms. Add up to fifty segments this way. Finally, click on a figure or double click while not on a figure to terminate the connector.

To select a multi-segment connector

Select a multi-segment connector just like any other object. If you select any segment of a connector or any junction of a connector, the entire connector (all segments) becomes selected. However, all junctions do not necessarily become selected.

Selected junctions are indicated by four corners of a small red box.

You can always re-arrange the connector by dragging any of its handles. If however, you drag a selected junction, all selected junctions and figures move together.


Curved Connectors

The previous section described how you can create connectors that have multiple straight segments that can be created to wind around a diagram from one figure to another. Multiple-segment connectors can also be curved. Curved connectors can be of three types: simple curved, smoothed, or rounded.

All types of curved connectors require at least one junction (and more than one segment as described in the previous section). If you define a connector as curved but simply connect two figures with no intermediate junction points, the connector will simply be drawn as a straight line. The junction points define control points for each of the different kinds of curved lines. The different kinds of curved connectors and their relation to the junction points is described below.

Curved

Curved connectors are simply connectors that follow a curve starting at one end and always curving toward the next junction point. The curve is similar to a bezier curve or a b-spline, but it is actually much simplified in a way that the relation to the curve's path is intuitive from the position of the intermediate junction points.

Smoothed

Smoothed connectors get the name from the fact that the path of the curve is actually a smoothing operation performed on the polyline defined by the intermediate junction points. Therefore the resulting path of a smoothed connector is a line that curves smoothly through each of it's junction points on the way to the next. A smoothed curve is the most intuitive way to define the path of a curved line from a small number of intermediate points.

Rounded

A rounded connector is simply one in which the corners created by the intermediate junction points form rounded arcs from one line segment or the next. The radius of the arc is a property of the diagram and can be set differently for each diagram through the Diagram Properties dialog box.

Curvature selection in the Figure Properties dialog box

Curvature select from the tool bar

To create a curved connector

Use an existing connector style that has the desired curvature characteristic to create a connector with at least on junction point (vertex). This presumes that you have already created a curved connector style or are using a template that contains such a style.
OR, While in connect mode to create a connector, use the menu or the toolbar button to alter the curvature of the connector that you are in the process of creating.

OR, Select the connector and use the menu, the toolbar drop menu, or the Connector Properties dialog box to change the curvature.


Splitting Connectors

You can split a single-segment connector into a multi-segment connector and create a junction in the process.

To split a connector (method one)

  1. While pressing and holding the ALT key, move the mouse over the connector at the point you want it split.
  2. While still holding the ALT key, press the mouse button. A new junction appears where the mouse points. Before releasing the mouse button you can move the new junction.
  3. Release the mouse button.
To split a connector (method two)

  1. You can also split a connector (create a new junction) by right-clicking on the connector at the position where you want the split to occur and choosing the Add Junction Here command from the menu.
  2. Reposition the junction as needed.


Deleting Connector Junctions

You can rejoin segments of a connector by deleting junctions. When you delete a junction, the two segments on either side join to form a single segment.

To remove a segment of a connector

  1. Right-click on a junction and choose the Delete Junction command from the right click menu.
or

  1. Select the junction that connects the two segments.
  2. Choose Delete Junctions from the Edit menu.
When you delete a junction, two segments join to become one. Either or both of these segments could have an attached connector label. If just one of the segments has a connector label, the label moves to the final segment. If both original segments have attached connector labels, one moves to the final segment, the other is deleted.


Moving the Ends of Connectors

You can move either of the endpoints of a connector. If the endpoint is connected to a figure, you can detach it from the figure, or attach it to a different figure.

To move one end of a connector

  1. Select the connector. Red handles appear at both endpoints of the connector and at each junction if the connector has more than one segment.
  2. Move the mouse cursor over one of the handles at the end of the connector. The resize cursor appears.
  3. Press the mouse button and hold it.
  4. Move the end of the connector.
  5. Release the mouse button.
A connector end can be separated from a junction of three or more connectors in this way by selecting only the one connector and dragging its endpoint. However, a connector segment cannot be divided at a junction of only two. In that case it not possible to select only one of the two - they are treated as one continuous connector. To divide or cut a connector anywhere along its length see Snipping Connectors.

When dragging a connector endpoint, you can drop it anywhere you like. If you drop it onto another object indicated by a small plus sign in the mouse cursor, it will attach to that object. As when creating a new connector, when you drop it onto another connector, it will attach at a new junction. If you drop it onto the endpoint of another connector, the two will combine into one.


Snipping Connectors

You can snip a connector in two at any point along its length with the Snip Connector feature. Snipping a connector is like cutting a string with a scissors. Each half of the connector can then be moved independently.

To snip a connector

  1. Right click on the connector at any point along its length, even at a junction of two segments.
  2. Select Snip Connector from the right click menu.
You can reverse this operation with Undo or by simply dragging one of the new free endpoints back over the other.


Flipping Connectors

You can flip connectors so that the ends swap with one another. Flipping works for simple connectors and multi-segment connectors as well.

To flip one or more connectors

  1. Select one or more connectors to flip.
  2. Choose Flip from the Connectors menu.


Jogs

Jogs are small loops drawn when two connectors intersect visually but are otherwise unrelated. The jog helps to make it clear that the two connectors are independent and that one simply crosses the other without any kind of interaction.

Jogs can be enabled and their size can be adjusted from the Connectors tab of the Diagram Properties dialog box.

Other notes about jogs:

  • The loop is always drawn on the top or right of the connector regardless of the direction of the connector.
  • Jogs on one connector must be separated by enough distance to permit some spacing between each jog. If a connector overlaps multiple other connectors that are spaced too closely together, some jogs may be omitted.


Orthogonal Connectors

Orthogonal connectors contain only horizontal and vertical lines and right angles.

In some types of diagrams including flowcharts and org charts, orthogonal connectors are preferred and tend to appear much neater than non-orthogonal connectors. This program has several features that help you create and maintain orthogonal connectors.

One way to assure orthogonal connectors is to make sure that all figures being connected are aligned properly, particularly so that their centers are directly in line. The figure alignment commands can help you align existing figures in this way.

The snap grid is another tool that is useful for keeping figures aligned. When you have a snap grid enabled and you use figure properties that keep the figure center aligned to the grid when moved or resized, it is relatively easy to keep your connectors orthogonal.

However, in any diagram, not all figures that you connect can be aligned and not all connectors are simply a straight line connecting two figures. Therefore, some additional connector properties are also required to help create and maintain orthogonal connections.

One aid is to hold down the control key while creating connections. Doing so will force all of the lines you create to be orthogonal when they are created.

There is also a related connector property. The orthogonal property of a connector has two possible conditions, manual and guided. This property can be viewed and modified from the General tab in the Connector Properties and Connector Styles dialog boxes.

Manual

The manual option simply means that no assistance is provided by the connector properties to keep the connector orthogonal. Other then the effects of the snap grid if it is enabled, the connector will go exactly where you click. This is useful when orthogonal connectors are not important and when you want very precise control over the placement of connector junctions.

Guided

The guided option is the most generally useful. It helps you create orthogonal connectors when you want but does not limit you to only orthogonal connections. With this option, the connectors snap to a straight angle when they are nearly straight. This behavior is independent of the snap grid. It works even if the snap grid is disabled and it overrides the snap grid if the snap grid is enabled.

One stipulation with guided connectors is that the guiding only occurs when you are creating the connector. This is sufficient because there is a universal rule that favors straight connectors when you move a junction and the snap grid is enabled. Also notice that the guided property has no effect unless the connector point is nearly straight with regard to the previous point. Therefore it does not prevent you from creating a diagonal segment when you choose. This discretion is what makes this option ideal for most every connector.


Flow Symbols

Flow symbols are small shapes that are drawn along the line of a connector at a fixed spacing either in addition to a line or in place of a line. You can configure flow symbols through the Line tab in the Connector Properties and Connector Styles dialog boxes.


Changing Connector Properties

Each connector has a set of properties that define how it looks and behaves. Most of the initial properties of a connector come from its original connector style. This section describes how to change the connector properties.

To view and modify the properties of connectors

  1. Select one or more connectors.
  2. Choose Properties from the Connectors menu or from the right mouse menu
Or

  1. Double click on the connector (whether selected or not).
Use the Connector Properties Dialog Box to view and modify the connector's properties.

Several Connector properties can also be changed simply by selecting the connector(s) and clicking on the buttons and controls on the property bar.


Labels

Labels are words, phrases, sentences, and paragraphs that you can position anywhere in your LanFlow diagram. Use labels for titles, notes, descriptions, and to label elements of your LanFlow diagram. Labels are very useful for titles, notes, descriptions, and so on. A label consists of text and a set of properties such as justification, font, and color. The initial properties of a label come from the label style used to create it.

There are several types of labels, each with different uses and properties. In addition to standard labels, there are specialty labels that retain an attachment to various objects within a LanFlow diagram.

Standard Labels

A standard label is simply text added to a LanFlow diagram that is not associated with any particular object in the diagram. Standard labels are useful for adding titles, headings, and explanations. They add meaning to the diagram or describe a portion of the LanFlow diagram. Standard labels do not adjust to movements of any other parts of the diagram.

Working with Labels (the following apply to all kinds of labels)

Creating Labels

Deleting Labels

Moving Labels

Changing Label Properties

Connector labels, Figure labels, and flow labels are collectively known as specialty labels. Unlike ordinary labels, specialty labels serve a specific purpose in a diagram and they automatically make adjustments in accordance with their roles. The primary adjustment is in position.

Working with Specialty Labels (the following apply to all specialty labels)

Creating Specialty Labels

Attaching Specialty Labels

Detaching Specialty Labels

Specialty Label Types

Connector Labels

Figure Labels

Flow Labels


Creating Labels

Specialty labels can be created in other ways as well, but any kind of label can be created by entering text mode, clicking on the origin point in your LanFlow diagram, and typing the label text, followed by ESC when done.

Specialty labels can be created in other ways as well, but any kind of label can be created by entering text mode, clicking on the origin point in your LanFlow diagram, and typing the label text, followed by ESC when done.

To initiate creation of a label of a defined style

Choose a label style to provide the initial properties of the label, then use that style to create a label on the LanFlow diagram. Locate the “Labels” section of the style bar.

Perform one of the following:

  • Press and hold the Labels button in the style bar to activate the label style pick menu. Move to the representation of the style, and release the mouse button. Not all styles are displayed in this menu so you may have to choose the three dots to see all of them (see the next section). Choose a Label Style Dialog Box
  • OR, choose the label style by name from the label style combo box.
  • OR, press the text button in the tool bar (it looks like a large "T") to create a label of the most recently used label style.
After selecting the label style, you can use the property bar to change properties of the label that will be created such as the color, font, text size, and justification. These changes will not affect the style definition, only the properties of the new labels.

To initiate creation of a label without a defined style

There is no requirement that you go through the steps described above (choosing a label style) just to create a simple text label. If you don't care to use a defined style for the label, just click on the text mode button. Clicking the text mode button places you in text mode without selecting any particular label style. The font properties and text color will reflect the last properties you used in text mode.

Once you have entered text mode

Now that you are in text mode, the text mode button will appear depressed and the cursor will appear as a caret. In text mode you can use the property bar to change properties of the label that will be created such as the color, font, text size, and justification. If you started by selecting a label style, any such change will cancel the label style.

To create a label

  1. Use the mouse to position the new label. The text cursor points to the position where the bottom left corner of the label will be located (for a left-justified label).
  2. Click the mouse button.
  3. Type the label text.
  4. When you are done adding or changing the text, you can either press ESC to save your changes and remain in text mode, press the right mouse button to save your changes and return to select mode, or simply click on the LanFlow diagram to create another label.
After you create a label, you may want to rotate it so the text is vertical rather than horizontal. See Rotating Text

To create a label (automatic method)

  1. From text mode or select mode or seltext mode...
  2. Point the mouse at the location where you want to place the label
  3. Start typing text on the keyboard. A label is created automatically containing the text you type.


Deleting Labels

Deleting labels is similar to deleting figures.

To delete a label (standard method)

  1. Select the label.
  2. Choose Delete from the Edit menu, or press the DEL key.
To delete a label (automatic method)

  1. Edit the text in the label, and delete all the text.
  2. Labels that contain no text are deleted automatically.


Moving Labels

Moving labels is just like moving any other objects in your LanFlow diagram. However, special considerations occur for specialty labels. See the later sections of this chapter regarding each of the specialty label types.


Changing Label Properties

Each label has a set of properties that define how it looks and behaves. Most of the initial properties of a label come from its original label style. This section describes how to change label properties.

To view and modify the properties of a single label

  1. Select the label.
  2. Choose Properties from the Labels menu or from the right mouse button menu.
Or

  1. Double click on the label (whether selected or not). Note, double clicking on a label will edit the label properties only if you have chosen Display/edit properties in the General page of the Options dialog box.
Use the Label Properties Dialog Box to view and modify the label's properties.

Several label properties can also be changed simply by selecting the label(s) and clicking on the buttons and controls on the property bar.


Creating Specialty Labels

Specialty labels can be created in different ways. Each type has special creation method(s) described in one of the following sections.

A common way to create any of the specialty labels is to create a label in the usual way but to place it on your LanFlow diagram so that the software can deduce that it should be a specialty label. For example, if you select a label style, then click on a connector to create a label, the label will automatically be created as a connector label for the connector.

Specialty Label Slots

The locations where specialty labels can be added to your LanFlow diagram are called slots.

In order for specialty labels to be created automatically based on placement, the corresponding snap-to-slot option must be enabled. These are located in the Tools Options dialog box, General tab in the bottom section. They are as follows:

Snap labels to connector label slots - enabled by default

Snap labels to flow label slots - enabled by default

Specialty Labels - Freeform

If you disable the above options, labels will instead become standard labels regardless of their placement. In other words, the diagram content will be ignored when you place the label. If you enable these options, you can coerce this freeform behavior case-by-case by holding down the CTRL key.

Creating Specialty Labels with Default Text

A special case occurs when you create a specialty label from a style for which default text is defined. In this case, the cursor is replaced by a representation of the text for you to drop onto your LanFlow diagram. Position the text where you like. If you want it to become a specialty label, position it over the proper slot and drop it there. Use the CTRL key for freeform.


Attaching Specialty Labels

Specialty labels can be created from existing standard labels simply by dragging them one at a time over a specialty label slot and dropping them into place.

To attach an existing label as a specialty label

  • Make sure the appropriate snap-to-slot options are enabled (see above).
  • Drag a single existing standard label over a specialty label slot. When you are properly over a slot, the slot will appear as a dashed or dotted gray line and the status bar will reflect this as well.
  • Drop the label onto the slot at the new position. Do not hold down the CTRL key unless you want to prevent the label from becoming a specialty label.
In some cases, attaching a label as a specialty label causes some of its properties to change. For example, if you start with a left-justified label and drag it to become a connector label, it will become center-justified. See the specific specialty label types for more details.


Detaching Specialty Labels

A specialty label can easily be detached and made a standard label using the Detach Label feature.

To detach a specialty label:

  1. Select the label.
  2. Choose Detach Label from the Labels menu.
Or

  1. Right click on the label and choose Detach Label from the right-click menu.
Once detached the label will no longer adjust to the position of other objects. It will be converted to a standard label that you can move anywhere.


Connector Labels

Labels can be attached to connectors to form connector labels. Connector labels are useful for describing the purpose of a connector or the relationship that the connector represents between two figures. Connector labels can be in-line (as shown here) or lateral (alongside) the connector.

Connector Label Slots (In-line)

In-line connector labels can be placed anywhere along a connector. Therefore, the in-line connector label slots are located anywhere such that the center point is on the connector. This is the location where creating a label or dragging a label will result in the label becoming an in-line connector label.

In-line connector label slot

Connector Label Slots (Lateral)

Lateral connector labels can be placed anywhere alongside a connector. Therefore, the lateral connector label slots are located just above or below (or to the right or left) of the connector. This is the location where creating a label or dragging a label will result in the label becoming a lateral connector label.

Lateral connector label slot

Special properties and behaviors

  • A connector can have only one label. Multi-segment connectors, described elsewhere, can have one label per segment.
  • The center of an in-line connector label attaches to any point on the connector. When the connector is drawn, it breaks around the label rather than going through it. Regardless of the label properties, the text in an in-line connector label is always center-justified and the center always remains stationary when the label is sized.
  • The text justification of a lateral connector label is self-determined based on the position of the label and the orientation of the connector such that the distance from the connector to the text is fixed if the text expands.
  • When the connector moves, any attached connector label moves as well. The connector label remains attached to the same point on the connector at the connector's new location.

Creating Connector Labels

Moving Connector Labels

Detaching Connector Labels

Deleting Connector Labels


Creating Connector Labels

You create a connector label just like an ordinary label except that you attach it to a connector.

To create a connector label

  1. Enter text mode by pressing the text mode button on the tool bar or by choosing a label style from the style bar. Be sure that at least one of Snap labels to connector label slots (in-line) or Snap labels to connector label slots (lateral) is enabled in Tools Options.
  2. Move the mouse over a connector label slot. You will notice that the connector label slot is highlighted with a dashed gray box and the status bar also reflects that you are in position to create a connector label.
  3. Click the left mouse button to create the connector label.
  4. Type in the text for the label. ESC when done.
There is another way to create a connector label that does not require Snap labels to connector label slots (in-line) or Snap labels to connector label slots (lateral) to be enabled.

To create a connector label (method 2)

  1. Go to Select (or SelText) mode.
  2. Right click the mouse on the connector to label at the point where you want the new label placed.
  3. Choose Add In-line Connector Label Here or Add Lateral Connector Label Here from the right click menu. The label will appear with default label text “label”.
  4. Enter your own text for the label and press ESC when done.
NOTE: A single segment of a connector can have only one in-line connector label or one lateral path label .


Moving Connector Labels

Once you have created a connector label, you can adjust its position on the connector, or move it to a different connector.

To move a connector label

  1. In select mode, move the mouse over the connector label. The move cursor appears (points in four directions).
  2. Press the left mouse button and hold it down.
  3. Drag the connector label. The label slides across to the point on the connector nearest the mouse, or to a point on a different connector.
  4. Release the mouse button. If the label does not move to the new location, there is something wrong with the location - the connector may already have a label.


Detaching Connector Labels

A connector label can be detached and made a standard label using the Detach Label feature.

To detach a connector label

  1. Select the label.
  2. Choose Detach Label from the Labels menu.
Or

  1. Right click on the label and choose Detach Label from the right-click menu.


Deleting Connector Labels

Deleting a connector label is just like deleting an ordinary label with a few minor exceptions.

To delete a connector label

  1. Select the label.
  2. Choose Clear from the Edit menu, or press the DEL key.
Or

  1. Edit the text in the label, and delete all the text.
A connector label, like any other label, is automatically deleted when it contains no text.

When you delete the connector to which the label is attached, the label is deleted automatically.


Figure Labels

Labels can be attached to figures to form figure labels. Figure labels are useful for describing the purpose of a figure or adding some information about the figure. This illustration shows a typical figure label. The figure label here is positioned beneath the figure. If the figure is moved, the figure label will move along to remain below the figure at its new location.

Figure Label Slots

Figure label slots are located above, below, to the right and left of each figure, and at the four corners as illustrated. These are the locations where creating a label or dragging a label will result in the label becoming a figure label.

Each figure label slot is “attached” to the figure at a different point so that it can adjust properly of the figure is moved or resized. Each slot also enforces a text justification (and growth directions) of the label so that the label can grow as well and remain properly positioned relative to the figure.

For example, if you create a figure label in the most popular slot (the center slot beneath the figure), that label will be center-justified and top-justified. As you type more text into the label it will remain centered beneath the figure, and as you add new lines, it will grow downward to maintain the same distance from the figure. Similarly, at this particular slot position, the top center of the label is “attached” to the bottom center of the figure so that when the figure resizes, the label remains centered below it and at the same distance from the figure. All nine standard slot positions function similarly using different attach points and text justifications.

The Snap labels to figure label slots option and the Snap labels to figure label primary position only options control which if any of the slots are sensed when dragging or creating figure labels. See Tool Options for details.

After you create a figure label in a slot, or attach a label to a figure label slot, you can move the label as you like to adjust its position relative to the figure. When you do so, you'll see a hook-up indicator (a dotted line form the label to the figure) which shows that the label is a figure label belonging to the figure. The hook-up also shows which point on the label is bound to which point on the figure.

If you use the slots to create a figure label or to attach a figure label, you can later adjust the position of the figure label relative to the figure by dragging it, and you can change its text justification in the usual way, but you cannot change the hook-up.

If you create the figure label by using the Attach Label to Figure feature rather than creating a label on a slot or attaching an existing label to a slot, then the hook-up extends from the center of the label to the center of the figure. As a result the label position may need to be re-adjusted manually if the figure changes size.

Special properties and behaviors of figure labels

  • A figure may have any number of figure labels though only one can occupy each figure label slot.
  • figure labels move along with the figure when the figure position changes.
  • If the figure changes size, the figure label may adjust automatically. Figure labels that occupy standard figure label slots are attached to the figure in a way that specifically forces the figure label position to adjust to repositioning or resizing of the figure. The text justification of figure labels in slots adjusts as well for this purpose. Figure labels that were attached to the figure using the Attach Label to Figure feature may need to be adjusted manually if the figure is resized (these attach center-to-center).
  • If a figure is deleted or copied all of its attached figure labels are deleted or copied as well. To prevent this, detach each figure label before deleting or copying the figure.

Creating Figure Labels

Attaching Figure Labels

Repositioning Figure Labels

Detaching Figure Labels

Figure Labels as Auto Labels


Creating Figure Labels

The easiest way to create a figure label is to enable the Snap labels to figure label slots option and create a label in the usual way but over one of the figure's unoccupied figure label slots, or to drag an existing label onto a figure's unoccupied figure label slot. These methods have been described earlier in this chapter. The sense of the Snap labels to figure label primary position only option affects this as well. See Tools Options for details.

Another method to create a figure label is to use the Add Figure Label feature. This method is only for figure labels and does not require you to enable the Snap labels to figure label slots option.

We have disabled the Snap labels to figure label slots option by default because the presence of many figure label slots can be distracting and frustrating until you understand figure labels. If you become familiar with figure labels and want the added convenience you can enable this option. You can also limit the exposed figure label slots to only the one slot designated as the primary position by enabling the Snap labels to figure label primary position only option. The Add Figure Label feature and the Attach Label to Figure feature DO NOT require this option to be enabled and they still provide all of the power you need to work with figure labels.

To add a figure label to a figure

  1. Right click on the figure and choose Add Figure Label from the right-click menu.
  2. Choose a slot from the pop-up submenu (above, below, right, left, and so on). A label with default text “label” will be created in the slot you chose.
  3. Edit the label text as you like and press ESC when done.


Attaching Figure Labels

The easiest way to attach a label to a figure is to enable the Snap labels to figure label slots option and drag the label onto one of the figure's unoccupied figure label slots. This method was described earlier in the section. The sense of the Snap labels to figure label primary position only option affects this as well. See Tools Options for details.

Another method is to use the Attach Label to Figure feature.

To attach an existing label to a figure

  1. Position the label where you want it relative to the figure.
  2. Select the label and the figure (and no other objects).
  3. Right click and choose Attach Label to Figure from the menu.
The label will become a figure label attached to the figure in its current position, not in a figure label slot. The label will move with the figure in the usual way. You can detach the label from the figure by right-clicking on it and choosing Detach Label.


Repositioning Figure Labels

After you have attached a figure label to a figure in any of the ways described in this section you can reposition the label relative to the figure.

To re-position a figure label

  1. Drag the label only (make sure the figure is not selected).
  2. As you drag the label, the figure that it is attached to will remain stationary and you will see a gray dashed line extending from the label to the figure.
The gray line indicates that the label is a figure label, which figure it is attached to, and where it is hooked up to on both the label and the figure. When you release the mouse button, the figure label will be re-positioned. When the figure is moved the label will move as well but will remain in this new relative position.


Detaching Figure Labels

A figure label can be detached from the figure and made a standard label using the Detach Label feature.

To detach a figure label

  1. Select the label.
  2. Choose Detach Label from the Labels menu.
Or

  1. Right click on the label and choose Detach Label from the right-click menu.


Figure Labels as Auto Labels

A label can be added to a created figure automatically through the use of Auto-labels. An auto-label is a text label defined for a figure style. When you create a figure of a style and the Auto-label option is enabled, a label with the preset text is automatically created beneath the new figure. The auto-label is actually an automatically added figure label that uses the figure label Primary Position slot (initially directly below the figure).

The auto label is a figure label of new figure. If you move the figure, the auto-label will move along. However, if you move just the auto-label, you can re-position it relative to the figure.

By default the label style used for auto-labels (including font, size, color and so on) is the last label style you used in the diagram. However, you can set the label style used for a particular diagram in Diagram Properties. You can also set the Primary Position in Diagram Properties.


Flow Labels

Labels can be attached to the point where a connector attaches to a figure (a flow point) to form flow labels. Flow labels are useful for describing the relationship between figures represented by a connector. The most common use for flow labels is in labeling branch conditions in LanFlow diagrams. This illustration shows a typical flow label. If the figure or the connector is moved, the flow label will move along to remain near the point where the connector meets the figure.

Flow Label Slots

Flow labels can be placed only in flow label slots. The flow label slots are located near the figure on either side of the point where a connector attaches to a figure. This is the location where creating a label or dragging a label will result in the label becoming a flow label.

Near the point where a connector attaches to a figure, on either side of the connector.

Special properties and behaviors of flow labels

  • A figure/connector connection may have a flow label on either side of the connection or on both sides.
  • Flow labels adjust their position when either the figure or the connector moves.
  • Flow labels cannot be dragged or re-positioned by themselves.
  • The flow labels for a figure/connector pair get deleted if either the figure, the connector, or both are deleted.
  • The text justification of a flow label is adjusted automatically to assure that it grows in the proper directions.
  • You can resize a flow label using the resize handles. After resizing it will snap back to its proper location.

Operations:

Creating Flow Labels

Attaching Flow Labels

Detaching Flow Labels


Creating Flow Labels

The easiest way to create a flow label is to enable the Snap labels to flow label slots option and create a label in the usual way but over an unoccupied flow label slot, or to drag an existing label onto an unoccupied flow label slot. These methods are described elsewhere.

Another method to create a flow label is to use the Add Flow Label feature. This method is only for flow labels and does not require you to enable the Snap labels to flow label slots option.

To add a flow label

  1. Right click on a flow point and choose Add Flow Label from the right-click menu.
  2. Choose which side of the connector to add the flow label from the pop-up submenu (above/left or below/right). A label with default text “label” will be created in the slot you chose.
  3. Edit the label text as you like and press ESC when done.


Attaching Flow Labels

The only way to make a standard label into a flow label is to enable the Snap labels to flow label slots option and drag the label onto an unoccupied flow label slot. This method was described elsewhere.


Detaching Flow Labels

A flow label can be detached using the Detach Label feature. For example, to move the flow label to the other side of the connector, detach it, move it, and re-attach it.

To detach a flow label

  1. Select the label.
  2. Choose Detach Label from the Labels menu.
Or

  1. Right click on the label and choose Detach Label from the right-click menu.


Text

Text plays a very important role in LanFlow diagrams. You can use text to add descriptions for figures, labels for connectors, titles, comments, annotations, instructions, and so on. You can add text just about anywhere quickly and easily.

The Text Area

Adding Text to Figures and Labels

Rotating Text

Editing Text

Selecting Text

Using the Keyboard to Edit Text

Cutting Copying Pasting Text

Replacing Text

Setting Text Attributes

Special Considerations for Text


The Text Area

Most figures have an outline shape and reserve the majority of the inside of the shape for text. The portion of the figure that is reserved for text is called a text area. You cannot see the text area on the screen but it is there, and it is the only part of a figure that can contain text.

A label always has one and only one text area that is the same size as the label. A figure, on the other hand, can have any number of text areas. If a figure has no text area, you cannot add any text to the figure. If it has multiple text areas, you can add text to each of the areas independently.

The number of text areas, and their locations within a figure, are part of the figure symbol definition.


Adding Text to Figures and Labels

You can add text to a text area of any label or figure (see previous section for a discussion of text areas).

To add text to a figure or label

  1. Enter text mode.
  2. Move the cursor anywhere over a label or over a figure's text area. The cursor is surrounded by the corners of a box to indicate you are over a text area.
  3. Click the mouse button to begin adding text.
Figures can have multiple text areas. You can add text to any of these areas by clicking on different parts of the figure.

To add text to a figure (automatic method)

  1. Move the cursor over a figure's text area.
  2. Start typing text on the keyboard. You are automatically placed in text mode entering text. If the figure contained any previous text, the typed text replaces it.

Adding Text to Labels

Labels are similar to figure except that a label cannot exist if it has no text. Consequently, you add text to a label when you create it. If you do not add any text when creating a label, or if you later remove all the text, the label is deleted automatically.


Rotating Text

Labels can be rotated so that the text is drawn vertically top to bottom or bottom to top.

To rotate a label

  1. Select one or more labels.
  2. Press the toolbar button that represents the way that you want the text rotated. The text rotation toolbar buttons show "ABC" at different angles.
  3. OR, choose one of the commands in the Rotate submenu of the Labels menu.
  4. OR, right click and choose a command from the Rotate submenu.
When a label is rotated, you cannot edit the text by clicking on it while in text mode. Instead, use the Edit Text command to edit the text through the figure's property dialog box.


Editing Text

To edit figure or label text

  1. Enter text mode.
  2. Move the cursor anywhere over a label or over a figure's text area. A dotted box appears outlining the text area.
  3. Click the mouse button to begin editing the text.
NOTE: The above procedure cannot be used to edit rotated text. To edit rotated label text, use one of the additional methods described below.

Additional methods for editing figure or label text

There are also some other methods available for editing the text of a figure or label. Use the method you find most convenient.

  1. Select the figure or label and choose Edit Text from the Edit menu.
  2. Select the figure or label and choose Edit Text from the right click menu.
  3. Select the figure or label and press the F2 key.
  4. Double-click on the figure or label. This works to edit text only if you have selected Display/edit properties in the General page of the Options dialog box.


Selecting Text

To perform operations such as Cut, Copy, and Delete, you need to select a range of text.

To select a range of text

  1. Enter text mode.
  2. Move the cursor anywhere over a label or over a figure's text area. A framed text cursor indicates the cursor is over text.
  3. Press the left mouse button and hold it down to begin selecting the text.
  4. Drag the mouse to select text. The selected text becomes highlighted.
To select a word of text

  1. Enter text mode.
  2. Move the cursor anywhere over a label or over a figure's text area.
  3. Double-click the left mouse button to select the word beneath the cursor.
To select all text within a label or figure

  1. Enter text mode.
  2. Move the cursor over a label or a figure's text area.
  3. Triple-click the left mouse button.
To extend a text selection

While holding down the SHIFT key, click the mouse on additional text to select.


Using the Keyboard to Edit Text

The following table lists the functions available from the keyboard when working with text:
ESC        Quit editing text
RIGHT      Move right one character
LEFT       Move left one character
UP         Move up one line
DOWN       Move down one line
CTRL-RIGHT Move right one word
CTRL-LEFT  Move left one word
HOME       Move to the start of the current line
END        Move to the end of the current line
CTRL-HOME  Move to the start of all text
CTRL-END   Move to the end of all text
TAB        Move to the next text area
SHIFT-TAB  Move to the previous text area
BACKSPACE  Delete the character to the left of the cursor
DEL        Delete the character to the right of the cursor
ENTER      Add a "hard" line break

You can use any of the keys that move the cursor in combination with the SHIFT key to extend the current text selection.

A few obscure punctuation characters are not allowed.

Some international characters, for example the German umlaute, may not be available on all keyboards. To type these characters, use the ALT key with the ANSI character code entered from the numeric keypad. For example, the ANSI code for an "ae" character is 230. To type this character, while holding down the ALT key, type 0230 on the numeric keypad. (Always include the leading zero.)


Cutting Copying Pasting Text

Selected text can be cut to the Windows clipboard, copied to the clipboard, and pasted from the clipboard. The combination of these features allows you to move text from one figure to another, copy text from one figure to another, or copy text from one LanFlow diagram to another. You can also copy text to and from other programs.

To delete text (without moving it to the clipboard)

  1. Select a range of text.
  2. Press the DEL key or choose Delete from the Edit menu.
To cut text (and move it to the clipboard)

  1. Select a range of text.
  2. Choose Cut from the Edit menu.
To copy text to the clipboard

  1. Select a range of text.
  2. Choose Copy from the Edit menu.
To paste text from the clipboard

  1. Position the cursor to the location in the text where you want to add the text from the clipboard.
  2. Choose Paste from the Edit menu. The text from the clipboard is added at the cursor position. If any text was selected, the pasted text replaced the selected text.


Replacing Text

If any text is selected when you type from the keyboard or Paste, the selected text is first deleted before the new text is entered. This is a handy way to replace text.

To replace a range of text

  1. Select the range of text to replace.
  2. Type the replacement text from the keyboard or Paste the replacement text from the clipboard.
  3. The text that was originally selected is deleted before the new text is added.


Changing Text Fonts and Styles

Setting Text Attributes

Text attributes such as the font, size, color, and styles (bold, italic, and underline) can be set for the entire figure or label or for any portion of text within the figure or label. If you want all of the text within a figure or label to have the same attributes, you can set those attributes in the Text tab of the Figure or Label Properties dialog boxes, or you can select the figure or label and use the property bar buttons (for instance the Bold button) to change the font attributes of the entire figure or label.

However, you can also change the text attributes of a portion of the text for a single figure or label in the following ways:

To set the text attributes of a portion of text within a figure or label

  1. In text mode, select the range of text.
  2. Use the property bar to alter the attributes of the selected range of text. For example, use the Bold, Italic, or Underline buttons to change the style, or use the Font combo box to choose a different font, or the font size combo box to choose a different point size, or even the text color drop menu to choose a different text color.
To set the text attributes of an individual word within a figure or label

  1. In text mode, select the word of text. There are a couple of ways to do this. The obvious way is just to click and drag until the whole word is selected. Another is to double click on the word. Another convenient way is to just place the cursor within the word after the first letter but before the last without any selection.
  2. Use the property bar buttons to change the font, font size, color or styles such as bold, italic, and underline for the word.
You can also control the text attributes of the text that you are about to type. Normally, text that you type will appear in the base font attributes of the figure or label. In addition, if the cursor is located within the text in a place with its own text attributes (such as in the middle of a word that is bolded), typed text will naturally appear accordingly. However, you can also choose to select different text attributes to appear as you type.

To set the text attributes for text that you are about to type

  1. In text mode, move the cursor to a position that is not within a word. It can be in front of or immediately following a word, or at the start or end of all the text.
  2. Use the property bar buttons to change the font, font size, color or styles such as bold, italic, and underline for the text that you are about to type.
  3. Without moving the cursor, type your text. The attributes of the typed text will reflect those you just chose. If you move the cursor, for example by pressing the arrow keys, Typed text will return to using the text attributes already at the new cursor location.


Special Considerations for Text

  • When typing in a figure or label with word-wrap active, this program remembers the difference between hard carriage returns (those you insert by pressing the RETURN key), and soft carriage returns that are inserted automatically during word wrap. Hard carriage returns remain in effect until you delete them. Soft carriage returns get added and deleted automatically every time the text is reformatted, such as when you resize the figure.
  • A single figure or label can contain a maximum of 4095 characters including those that are not visible such as carriage returns. This limit applies to the sum of all text in all text areas of a figure.
  • Within a single figure or label, you are limited to a maximum of 20 different text colors and 20 different fonts.
  • Text entry is always insert mode as opposed to overstrike mode. In overstrike mode, each new character you type would replace the next character in the previous text. Some other programs use the INSERT key to toggle between insert and overstrike mode. This program does not.
  • Undo is not supported for individual operations within text mode, for example, to undo the deletion of a single word. You can use Undo to undo all text changes since you started editing the figure or label.


Styles

Like paragraph styles in word processors, styles are the true definitions of objects. In order to create any object, a figure, label, or connector, you usually start with a predefined style. The style defines the initial characteristics and behaviors of the object. The shape, the location of the text, the text justification, the initial color, and so on, are all parts of the style. When you add an object to your diagram, you typically begin by choosing a predefined style to become the basis for the object.

Each diagram type or template has a number of styles that define the kinds of objects that you can place in the diagram. Most of these styles are represented on the style bar in the form of buttons.

The different kinds of styles are:

Figure Styles

Connector Styles

Label Styles

You can choose to use only the predefined styles or you can re-define them or create new custom styles according to your particular needs. See the Define Styles dialog boxes (above) to learn how to create, modify, and delete styles. When you change styles, the changes affect only the current diagram. To save them permanently, use the Save Template feature to create a diagram template containing the modified style definitions.


Figure Styles

Figure styles define the initial characteristics of figures in your diagram. The shape, the location of the text, the text justification, the initial color, and so on, are all parts of the figure style. When you create a figure, you choose one of the predefined styles (usually by clicking on a style bar button) to become the basis for the new figure.

To work with figure styles choose Styles from the Figures menu. If no styles are defined, you will be immediately prompted to create a new style. Otherwise, the Define Figure Styles dialog box appears. This dialog box allows you to view and modify attributes of the existing styles.

Define Figure Styles Dialog Box

Using a Figure in your LanFlow Diagram to Define a Style


Label Styles

Label styles define the initial characteristics and behaviors of labels. Labels are essentially specialized figures. Therefore, working with label styles is very much like working with figure styles.

To work with label styles, choose Styles from the Labels menu. If no styles are defined, you are immediately prompted to create a new style. If any styles are defined, the Define Label Styles dialog box appears.

Define Label Styles Dialog Box

Using a Label in your LanFlow Diagram to Define a Style


Connector Styles

Connector styles define the initial characteristics and behaviors of connectors. This section describes how to define, create, modify and delete connector styles.

To work with connector styles, choose Styles from the Connectors menu. If no styles are defined, you are immediately prompted to create a new style. If any styles are defined, the Define Connector Styles dialog box appears.

Define Connector Styles Dialog Box

Using a Connector in your LanFlow Diagram to Define a Style


Groups

You can combine diagram objects into a group so you can work with them as though they were a single object. You can then move, copy, delete, and resize the group as a single unit. You can also use groups to apply property changes to all of the included objects without being required to select each object separately. Groups are convenient for positioning and aligning objects as a set as well, and you can even create groups containing other groups to help you construct complex diagrams.

Creating a Group

Breaking Apart a Group

Re-establishing a Group

Working with Groups


Creating a Group

You can create a group from almost any set of objects from your LanFlow diagram using the Group feature.

To create a group

  1. Select a number of objects or existing groups. You can use the lasso selection to select objects within a rectangular area and/or use Shift-Click to add other objects to the selection.
  2. Choose the Group command from the Grouping submenu of the main Edit menu, or from the right click menu, or use the hot key combination Ctrl-G.
  3. The newly created group will now appear as a single selectable item.
When you create a new group, two changes will automatically take place to the set of objects making up the group. First, certain objects may be excluded or included despite whether they were selected or not; this occurs to preserve other relationships between objects. Also, the members of the group become re-ordered with respect to objects outside the group such that all objects in the group are immediately in front of, or behind one another. The objects within the group will retain their relative ordering so the re-ordering will rarely be noticed.


Breaking Apart a Group

You can break a group apart into its original components using the Ungroup and Ungroup All commands.

To break a group apart

  1. Select the group (or groups).
  2. Choose the Ungroup command from the Grouping submenu of the main Edit menu, or from the right click menu, or use the hot key combination Ctrl-U.
  3. Each selected group will be broken apart leaving the components as individual objects once again. If the group was composed of other groups, those groups will once again be accessible as individual groups.
To break a group apart completely

  1. Select the group (or groups).
  2. Choose the Ungroup All command from the Grouping submenu of the main Edit menu, or from the right click menu.
  3. Each selected group will be broken apart leaving the components as individual objects once again. If the group was composed of other groups, those groups will also be broken apart, and so on until the selection contains no more groups just individual ungrouped objects.
Ungroup All is the same as doing Ungroup repeatedly until all groups and nested groups, and nested groups and so on are broken apart. The only difference is that the Regroup feature described below is not available following Ungroup All.


Re-establishing a Group

You can use the Regroup feature to re-establish a single group that you just broke apart. You can also accomplish this by immediately undoing the Ungroup command but the Regroup feature provides the added capability to re-establish the group after performing additional steps. The most common usage of Regroup is to temporarily break apart a group for the purpose of editing some components individually (changing their size, position, color etc.) The regroup feature makes this common task easier and less error prone because you don't need to remember exactly which objects were in the group and then select then afterwards without error to regroup them.

Note that you can only regroup a single group, the last group that you ungrouped individually. Therefore, to have the option of regrouping a group, select a single group and ungroup it alone, not within a selection containing other groups, and not using the Ungroup All.

To re-establish the most recent group

  1. Right click either with nothing selected or on an object that belonged to the group and select Regroup from the menu.
  2. The original group will be re-established with all of its members.
You can regroup the last ungrouped group only until you perform a function that affects the identify of the group or its members. These include deleting an original member of the group, creating any new group, or performing another Ungroup or Ungroup All. If Regroup is not available in the menu, you will need to select the members of the group again and use the Group feature to re-establish the group.


Working with Groups

With most operations you can treat a group as if it were a normal diagram object. You can select it, move, copy, and delete it in all of the usual ways. In most respects, once individual objects are placed within a group, their individual properties are no longer accessible and you cannot perform operations such as moving, resizing, or editing the individual object. Some exceptions exist for added convenience. They are described in the following sections as well as some special properties and behaviors of groups.

Selecting Groups

Select groups by clicking on any item that is a member of the group. You can also select groups using the lasso select but only groups that are entirely within the lasso rectangle become selected.

Aligning, Spacing, and Centering Groups

When aligning, spacing evenly, or centering on page, a group of objects will be treated as it if were one object. For example, if you select two groups and left align them, the left edge of one group will become aligned with the left edge of the other. The left edge is identified by the left most edge of the left most member of the group.To change the relative alignment and spacing of members of a group you must ungroup them first.

Changing Properties of Group Members

You can change properties (such as fill color, line widths, and so on) of individual group members while they remained grouped. However, you must apply any property changes to all members of the group or none. You can select a group and attempt to change properties of objects within it by using the toolbar buttons or the Properties commands located in the main menus, but the right click menu will not provide access to properties in its usual way. When you apply property changes to a group, you will be asked whether to apply the changes to the group members or not. You may answer how you like and you can also choose to make your answer permanent to future questions of the same nature by checking the “Don't ask again” box. If you tell it not to ask again, you can later change your mind by unchecking the option “Prompt to apply property edits to selected objects” located in the Tools Options dialog box at the bottom of the General area.

Individual Operations Allowed for Group Members

Even though objects are placed in a group, there are certain operations still allowed on the member objects.

  • Text Editing: You can edit the text of a grouped object using the text tool in the usual ways. Methods other than the text tool cannot be used to edit the text of grouped objects. Text can however be changed indirectly by using the Find and Replace feature.

Resizing Groups

Groups can be resized as if they were one item. To resize a group, drag one of the eight red resize handles as you would with an ordinary object. When you resize a group, all objects in the group scale including the text, line widths, connector and so on.

There are some special considerations to keep in mind when resizing groups:

  • Unlike most ordinary objects, a can only be resized to keep the same aspect ratio. It cannot be stretched more in one direction than another.
  • When making a group smaller, the minimum size of the group is determined by the smallest text (or text attribute) of any member of the group. For example, the minimum text size allowed by the program is 4 points. If one of the objects within the group contains 8 pt text, the whole group can only be shrunk by 50%.
  • If you shrink and then expand the size of a group back to its original size, it is possible that all aspects of the group may not end up exactly as they began. This is especially true of line widths and text sizes which can lose resolution when scaled too small.
  • After resizing a group you may have to manually adjust some lines to make sure they are straight. The program will attempt to keep most lines straight through a group resize, but some, particularly non-center connections may require manual adjustment.


Hyperlinks

Hyperlinks make it possible to link any figure in your diagram to another diagram, a document of a different application, or to a web page. They work a lot like hypertext links on the internet except that it is the figure that contains the link rather than the text.

With hyperlinks you can enhance your diagrams in these ways:

  • Link a figure to another diagram. When you double click on the figure, the linked diagram opens in another window much like how an internet browser works. This is especially useful for expanding the detail of a figure (such as a process) into an entirely separate diagram.
  • Link a figure to a document. For example, you can link a figure to a spreadsheet that contains data relating to that figure. When you double-click on the figure, the document opens in its proper application (Microsoft Excel for example).
  • Link a figure to a web page (URL). When you double click on the figure, your browser is launched at the appropriate web page.
Hyperlinks are an extension of this tool and are not part of most standard diagramming specifications. In fact some such specifications advise against using such features because they make diagrams dependent on specific tools and therefore less portable. We recommend that you use hyperlinks to create shortcuts and to supplement your diagrams rather than creating a dependency upon them. With this in mind, you can quite easily develop diagrams that stand on their own without any hyperlinks, and still make full use of hyperlinks to add shortcuts for navigation between diagrams, to organize related documents, and to reference web pages and internet resources.

The following features permit you to set hyperlinks for figures, open hyperlinks to navigate between diagrams and documents, and maintain a rudimentary history of diagram links for backtracking.

Setting a Hyperlink

Setting a Hyperlink to a Web Page

Opening a Hyperlink to a Diagram or Document

Returning to the Parent of a Diagram

Moving Back and Forward Among Previous Diagrams


Setting a Hyperlink

Any figure or label can contain one (and only one) hyperlink to another diagram, document, or web page.

To link a figure or label to another diagram or document

  1. Select one figure or label.
  2. Choose Set Hyperlink from the Figures (or Labels) menu, or right-click the figure and choose Set Hyperlink.
  3. Use the dialog box to select a file (diagram or document) for the hyperlink or replace a previous hyperlink. You can also use the Remove button to eliminate the hyperlink.
It is a good practice use relative file names where appropriate when linking to files on the same computer as the diagram file that contains the linked object. For example, if you have a number of diagrams that are part of a project and contain hyperlinks to one another, it's best to use the file names alone as the hyperlink "FILE1.EDG" (assumed relative) or ".⁄FILE1.EDG" (explicitly relative) rather than "C:⁄PROJECT⁄FILE1.EDG". Using relative file name links permits you to move the entire project to a different folder or drive without having to reconstruct all of the links. There is a relative/absolute option to help with creating relative links in the browse dialog box used by the Set Hyperlink screen. NOTE: all web URL hyperlinks must be absolute, starting with one of the following protocol identifiers "http:", "https:", "ftp:", or "file:".


Setting a Hyperlink to a Web Page

Setting a hyperlink to a web page is the same as setting a hyperlink to a document. Follow the procedure above but instead of specifying a document on your hard disk or network, instead specify a web address (URL).

A hyperlink to a web page requires the full web address starting with the protocol identifier such as 'http:'. You may also use URLs that contains fragments to jump to an HTML label within a page such as 'http://www.pacestar.com/edge/eddesc.htm#reqs'. And you may also include query strings such as 'http://www.pacestar.com?user=1334'.


Opening a Hyperlink to a Diagram or Document

When a figure or label contains a hyperlink to another diagram or to a document, you can open or follow that hyperlink to cause the link diagram to be opened in place of the current diagram. If the link is to a document other than another diagram, following the hyperlink will open that document.

To follow a hyperlink to another diagram or document

  1. Make sure you are in Select mode (or Seltext mode)
  2. Move the mouse cursor over a figure or label that contains a hyperlink. The figure or label can be selected or not selected. The cursor will show a combination hand and move cursor and the status bar will indicate the name of the diagram or document that will be opened if you double-click.
  3. Double click the mouse on the figure or label. If the hyperlink is to another diagram, the current diagram will be saved automatically if it has been modified and the linked diagram will be opened in its place. If the hyperlink is to a document, that document will be opened.
Or

  1. Select the figure or label
  2. Choose Open Hyperlink from the Figures (or Labels) menu
Following hyperlinks to documents other than diagrams makes use of Windows file associations. The extension of the link file must be known to Windows as being associated to a program. Once the program is identified, Windows will launch it with an “open” action on the specified document. In order for this to work, you must have the file association set-up in advance. To set a file association, choose “View” and “Folder Options” under My Computer. Refer to your Windows documentation for further details.

If the current diagram is maximized and you follow a hyperlink to another diagram, the new diagram will replace the current diagram which will be saved automatically and closed. If the current diagram is not maximized, the new diagram will be opened in another window and the current diagram will not be affected.


Returning to the Parent of a Diagram

When you open a hyperlink to a diagram for the first time, the original diagram becomes the parent of the diagram.

To return to the parent of a diagram

Click on the Go To Parent button in the toolbar - it looks like an upward pointing arrow.

Or

Choose Open Parent Hyperlink from the Tools menu.

To manually set the parent of a diagram

  1. Choose Set Parent Hyperlink from the Tools menu
  2. Select a diagram to be the new parent of a diagram or press Remove to eliminate the parent hyperlink.


Moving Back and Forward Among Previous Diagrams

When you move between diagrams by opening hyperlinks, you can use the Back and Forward features to return to diagrams that you previously visited.

To go back to the previously visited diagram, choose Back Hyperlink from the Tools menu, or press the Back Hyperlink button on the toolbar - it is a small link symbol with a blue arrow pointing left.

To go forward to the diagram that you left with Back, choose Forward Hyperlink from the Tools menu, or press the Forward Hyperlink button on the toolbar - it is a small link symbol with a blue arrow pointing right.


Tools

These topics describe some miscellaneous tools and features of the program as well as diagram properties and options. Most of these functions are located in the Tools menu.


Importing Graphics Files

Inserting Graphics

You can insert graphics such as clip art files into your LanFlow diagrams using the Insert Graphic feature in the Figures menu or the right click menu. You can insert files from a variety of graphics formats including Windows Metafiles (.WMF), Enhanced Windows Metafiles (.EMF), Windows Bitmaps (.BMP or .DIB), Graphics Interchange Format Bitmaps (.GIF), Portable Network Graphics Bitmaps (.PNG), TIFF Bitmaps (.TIF), and JPEG Bitmaps (.JPG). Once you insert a graphic into your diagram, it becomes an ordinary figure that you can manipulate as you like.

To insert a graphic into your diagram

  1. Choose Import Graphic from the tools menu or equivalently Insert Graphic from the Figures menu or the right click menu.
  2. Select the file that you wish to insert and choose the Graphics Importation Options that work best for the particular file (see below).
  3. Press the Import button. A new figure containing the imported graphic will appear in the active view.

Graphics Importation Options

The following options are available in the Insert Graphic dialog box and can be used to control how a particular graphic appears and behaves after it is imported. They are remembered once the dialog box is closed and remain in effect when drag-and-dropping graphics into the diagram, and when pasting them from the clipboard.

Fitted Bounds (Recommended ON in most cases)

Checking this option causes the creation of a bounding polygon shown in flashing red that serves as an approximation of the boundaries of the graphic. The outlined area has two purposes. The first is to define a Hot Zone, an irregularly shaped area that delineates the edges of the image that are sensitive to clicking by the mouse. The second purpose of the fitted bounds is to provide a border where attached connectors terminate. When importing clip-art to use as diagram elements, we recommend enabling this feature. However, when importing larger images, turning off this option will decrease the processing time.

Transparent Edges (Recommended ON in most cases)

Some graphics such as GIF files can have included transparency information which improves how the image will appear against a background or near other diagram elements. This option simulates this effect for graphics that do not have built-in transparency. When active, the white space around the edges of the graphic become transparent. This allows you to import an image in any format and have an alternative to a basic rectangular image. For a good result, this feature requires that the image have a white background color and that the edges be fairly sharp. However, the Clean Background option described below may help to improve the result as well. Note that transparency affects only how the imported image appears, whereas the fitted bounds above affects only how it behaves. Often an imported image will appear and behave slightly differently.

Clean Background (Recommended ON in most cases)

This option supplements the Transparent Edges option above. Some clipart images have white backgrounds and surrounding edges, but due to the methods that produced the image, the background is not a single color of pure white. This condition is very common for images that use data compression such as JPEG files. To achieve acceptable results when using the Transparent Edges option, a range of near-white colors must be treated as pure white. When this option is checked, every color in the image that appears white is converted to a true white greatly improving the sharpness of the transparency border. In some cases, you may prefer to uncheck this option because it can cause white parts of the image to become transparent.

To insert graphics into your diagram with Drag and Drop

  1. Open a diagram in this program. If you have more than one diagram open, make sure the one you want to insert into is active.
  2. Go to the Windows Explorer. Locate and select the graphics files that you want to insert into your diagram. You can use the shift key to select more than one.
  3. Drag the selected files over this program and drop them (let go of the mouse button). The graphics will be inserted and appear as new figures in the center of the active view. Note that the last Graphic Importation Options you set will affect how the dropped graphics appear and behave.

Notes

Inserted graphics are actually imported copies of images NOT links. If you cause a change to the graphics file, that change will not appear in your diagram unless you re-import the file.

The fill color for imported graphic images serves as a tinting color. Initially there is no tint color (fill color) for the imported graphic and all of the colors are unaffected. If you change the tint color by selecting a fill color, the colors will appear as shades of the tint color.

See Tinting


Exporting to a Graphics File

You can export a diagram to a disk file in a standard graphic format so that you can later import the diagram into a different program (or even into this program as a graphic). For example, if you export a diagram to a file as a Windows Metafile, you can then use Microsoft Word's Insert Picture feature to add the diagram to a Microsoft Word document.

Note that exporting objects does not remove them from your diagram. Exporting is a lot like Copying and Pasting in another program only you copy to a disk file rather than to the Windows clipboard.

To export the objects from your diagram to a graphics file

  1. Select all the objects that you want to be exported. If you do not select any objects, ALL objects in your diagram will be exported.
  2. Choose Export Graphics from the Tools menu.
  3. Select a file name and a file format and press the Save button.
You can transfer diagrams and portions of diagrams to other programs more conveniently through the Windows clipboard by using Cut and Copy. However, there are a few advantages to using Export instead. Once you export a diagram to a file, you can easily store and transport that file. You can also use other commercially available programs to convert the file to other graphics formats that are not supported directly.

When you export as a Windows Metafile, the stored format is actually what's known as a "placeable metafile" which is more useful and more broadly supported than a raw metafile.

Once you export a diagram to a file, you cannot reload that file into this program as a diagram. The exported file is essentially a snapshot of the image of the diagram and does not contain the actual diagram definition.

Graphic Export Options

When exporting to a bitmapped graphics format, you are given an opportunity to specify the size of the resulting output graphic using the Graphic Export Options dialog box.

Width, Height

You can choose a specific dimension in pixels by entering a desired Height and Width.

Scale

Use this control to select an image size as a percentage of “true” size. The true size is the size that is shown by the rulers within your diagram. For example, if you have a box that is one inch square as shown by the rulers in your diagram and you export it scaled by 200%, the resulting bitmap will be two inches by two inches when displayed on your monitor. Note that the size of bitmaps vary based on the device on which they are displayed.

Quality

Use this control to select a quality level for JPEG images. The quality can range from 10 (lowest) to 100 (highest). Highest quality images best represent the original but they are also require the largest file size. The default is 85% which produces a reasonable file size but a very good image.

Background

Select a background color for the image. Don't confuse this color with the page color (set in Tools Options) that controls the appearance of your diagram workspace.

Anti-alias (smooth)

Check this option to apply anti-aliasing (smoothing) to an exported bitmap. Anti-aliasing removes the jagged lines and drop-outs that result from rendering a diagram on a low resolution bitmap. It is especially superior when scaling down the diagram under 100% and when creating bitmaps for display on the screen, such as web page graphics. Anti-aliasing is available only when exporting to a full color bitmap format rather than a scalable vector format. Also, anti-aliasing is not available when exporting as a transparent bitmap.


Using NetZoom with LanFlow

Included with this application are a variety of shapes and symbols to help you construct symbolic representations of your computer network and its most important components. The built-in integration with AltimaTech's NetZoom Equipment Library allows you to extend this capability by adding-on a huge collection of manufacturer-specific components.

With tens of thousands of components by hundreds of manufacturers rendered in faithful detail, AltimaTech's NetZoom library combines seemlessly with LanFlow. This elegant combination complements the ease and simplicity of LanFlow with unsurpassed detail and versatility.

LanFlow comes with a minimal network diagram sample located in the SAMPLES folder and named "NetZoom1.EDG". Open this diagram to see what NetZoom offers and how to obtain the product.

To launch NetZoom from within LanFlow

Launch NetZoom by selecting NetZoom from the Tools menu or click on the NetZoom button in the toolbar.

The NetZoom application will appear on the left of your screen. You may need to adjust both LanFlow and NetZoom such that their Windows are both visible. If you have not purchased and installed the full NetZoom product, a stub will appear providing instructions on how to obtain the product.

Although you can add NetZoom objects to any LanFlow diagram, we have included a NetZoom diagram template that contains a variety of extra shapes that are useful in combination with NetZoom objects. You can choose this template from the File New dialog box to start your NetZoom diagram.

Adding NetZoom Objects to your Diagrams

Once you have launched NetZoom, it is very easy to add NetZoom objects to your diagram. Simply drag and drop objects from NetZoom onto your diagram. See the NetZoom help for instructions specific to that tool.

Auto-label

By default each NetZoom object is auto-labeled with its text description when you add it to your diagram. You can turn auto-labels on or off by selecting Auto-label from the Labels menu. If you turn off auto-label, it will not remove labels that have previously been added, but it will no longer include them for newly added objects.

You can control the text attributes such as font, size, and color for auto-labels by setting the Auto-label Style in the Labels tab of the Tools Diagram Properties dialog box.

Object-level vs. Port-level

Many NetZoom objects contain intelligent information about ports on the equipment. These ports represent connection points for different sorts of cables. You may want to create a diagram at the port-level showing how cables connect from port to port, or at a higher level where lines, arrows, or cables simply show connections or relationships from object to object without concern for connection points. You can choose either option by selecting a different Attach Method for connectors. In Attach Method under the Connectors menu, choose Centers to create object-level connections, or Centers and Connection Points to create port-level connections.

Creating Diagram Styles

Once you add a NetZoom object to your diagram, you may want to duplicate it many times. It is easiest to do so (and most efficient) to create a LanFlow figure style from the object as part of your diagram. You can create a LanFlow style for any object in your diagram by simply right-clicking the object and choosing New Style From... A useful strategy is to find each piece of equipment that you'll need for planning or documenting your network and drop it into your diagram from NetZoom. Then create a style for each, and save the resulting LanFlow diagram as a template for generating various network layouts and designs.


Apply Color Scheme

Use the Apply Color Scheme feature to change the color scheme for the current diagram.

After you have begun work on a diagram you can change object and style colors individually by modifying the style attributes and object properties manually. However, if the original template offered color scheme options, you can also use the Apply Color Scheme feature to change to an alternate color scheme.

To apply a new color scheme to your existing diagram, choose Apply Color Scheme from the Tools menu. Then use the Apply Color Scheme dialog box to select and apply the color scheme. If the feature is grayed, it is unavailable for the diagram, most likely because the diagram was not created from a template having color scheme options.

The controls in the Apply Color Scheme dialog box are described below.

Color Scheme

Scroll to a color scheme and select it. The preview window will show how the diagram will appear with the selected color scheme.

Apply to: Styles

This box is always checked. It serves as a reminder that the color scheme will always affect the styles. If you prefer to change the colors of the diagram objects without affecting the styles, do so by selecting the objects individually and adjusting their color properties.

Apply to: Diagram

When checked all objects in the current diagram that are based on styles are included and adopt the new color scheme. Note that the color scheme will not be applied to objects that are not based on an existing diagram style such as imported clip art images. To change the color of imported graphics, select the object and change its color individually.

Apply To: Selection

When checked all of the selected diagram objects adopt the new color scheme. As with the Diagram option above, imported clip art images are not included. This box is enabled only when diagram objects are selected.

OK

Press OK to exit the dialog box and apply the seleted color scheme. You can later undo the color scheme changes if you do not like the results.

Cancel

Press Cancel to exit without applying a new color scheme.


Diagram Properties

Each LanFlow diagram has a set of properties that are saved with the diagram. To view and modify the properties of the diagram, choose Diagram Properties from the Tools menu.

The Diagram Properties dialog box contains groupings of properties organized under tabs with an appropriate heading. To change to a different grouping and their controls, press the corresponding tab. Controls located under each tab are described below.

Diagram Properties General Tab

Diagram Properties Grid and Snap Tab

Diagram Properties Labels Tab

Diagram Properties Connectors Tab

Diagram Properties Text Format Tab

Diagram Properties Shadows Tab

Once you've set all of the properties that you want to change, press one of the following buttons:

Apply

Applies the property changes to the diagram without exiting the dialog box.

Ok

Applies the property changes to the diagram and exits the dialog box.

Cancel

Exits the dialog box and discards any changes you made since last pressing the Apply button. Once you apply changes, those changes remain in effect even if you press Cancel.


Diagram Properties General Tab

Use the General tab in the Diagram Properties dialog box to set the basic properties of your diagram.

Large drop menus

Check this box to increase the size of the drop menus used to display figure styles. Larger menu icons are especially useful for styles containing graphic images.

Disable text margin limits for decision (diamond) symbols

Check this box to use the whole rectangular bounds of diamond-shaped symbols for text. With the limits disabled you can fit more text into the diamond but you will have to manage the placement manually and keep it from overlapping the edges.


Diagram Properties Grid and Snap Tab

Use the Grid and Snap tab in the Diagram Properties dialog box to set the visible grid and the snap grid for your diagram.

Show grid

Check this box to display a grid over your diagram. This box controls only the appearance of the grid as a visual guide, not whether objects snap to the grid. The grid is displayed either as dots or lines based on options set in the Options dialog box. You can also turn the grid on and off with the grid button on the tool bar.

Spacing (for visible grid)

Choose the spacing between the drawing of grid lines in your diagram.

Snap to grid

Check this box to have your diagram objects snap to the underlying snap grid. you will usually want this to be the same as the visible grid and use them together. Take note that figures and label have a property that tells them whether that particular figure or label snaps to the grid. Therefore, for any particular object to snap to the grid, it must have it's Snap center to grid property set and the Snap to grid diagram property must be set. You can also turn snap on and off with the snap button on the tool bar.

Spacing (for snap grid)

Choose the spacing for snap alignment. A snap spacing that is smaller than the visible grid spacing works well. For instance, try a snap spacing of an eighth inch and a grid spacing of a quarter inch.


Diagram Properties Labels Tab

Use the Labels tab in the Diagram Properties dialog box to set properties of your diagram that affect text labels.

Connector Label Style

Select the label style to use when labeling connectors. The default is the last label style you used, or the first label style if none have been used.

Flow Label Style

Use this control to choose an existing label style for all flow labels or choose <none> to use the usual toolbar text settings. When you set any of the above to a label style and apply, you will be asked whether or not to apply the change to all existing labels of the kind. Also note that if you are placing a label of a specific style that contains default text, that style will prevail even if a style is defined here.

Figure Label Style

Use this control to choose an existing label style for all figure labels or choose to use the usual toolbar text settings.

Primary position

The Primary Position for figure labels identifies one of the nine standard slots as the one to use for (a) all Auto-labels and (b) the single slot to snap to if the 'Snap labels to figure label primary position only' option is enabled.


Diagram Properties Connectors

Use the Connectors tab in the Diagram Properties dialog box to set properties of your diagram that affect the appearance of connectors and their intersections.

Rounded connectors - Corner radius

Enter the corner radius for this diagram. This is the amount of rounding that occurs for all corners of rounded connected.

Jogs - Enable / Loop radius

Choose whether to enable jogs (small loops drawn when connectors intersect but do not interact). Also set their radius in this diagram.

Draw dots where connectors attach to connection points

Check this box to cause small dots to be drawn at the point where a connector attaches to a figure at a connection point. These dots DO appear when printing.


Diagram Properties Text Format Tab

Use the Text Format tab in the Diagram Properties dialog box to set properties of your diagram that affect how text is displayed and formatted.

Line Spacing

Enter a value for line spacing. Single spaced is the default. Spacing applies to all text including labels.

Text margins

Text margins are the spaces between figure text and the edge of the figure. Select whether this space uses the margin defined as part of the shape, scalable with the figure, or choose a fixed margin spacing.


Diagram Properties Shadows Tab

Use the Shadows tab in the Diagram Properties dialog box to change the appearance of drop shadows throughout your diagram.

Diffusion

Set the diffusion to a higher value to add more blurring to the shadows. Shadows become larger as the diffusion increases.

Transparency

Set the transparency to a higher value to make the entire shadow appear more or less faded.

Offset

Set the offset so that drop shadows are drawn a different distance from the object. The offset is always positive and equidistant below and to the right. Setting the offset to zero with non-zero diffusion creates a halo effect around the object.

Color

To change the color of drop shadows in your diagram, choose a different color from the color selection drop menu.


Customize

Toolbars are highly flexible. While most features are available by other means such as through menus and hot keys, toolbars offer the most convenient access to common features and styles. This is particarly true when you customize the toolbars to contain the controls you find most useful and arrange them to your personal liking.

To customize toolbars and the style bar

Choose Customize from the Tools menu or right click on any toolbar and choose Customize from the drop menu. The Customize dialog box will appear.

Using the Customize Dialog Box

The Customize dialog box helps you to choose which toolbars are visible, select which buttons and controls are available, and arrange them to your preference. The following operations can be performed when the Customize dialog box is displayed. All controls in this dialog take effect immediately.

To remove a button or control from a toolbar or the Style Bar

Click on the button or control and drag it off the toolbar until the cursor is no longer over any toolbar and shows an 'x'. Then release the mouse button to remove the control.

To add a button or control to a toolbar

Use the Commands tab to select commands and add them to toolbars. Or use the Styles tab to select objects styles and add them to the appropriate section of the style bar. (see below)

To move a button or control on a toolbar or the Style Bar

Click on the button or control, drag it to a new location indicated by the cursor, and release the mouse button. The control will be removed from its previous location where it was dropped.

To add spacing between buttons or controls

Click on the button or control to the right of the location where you want the space inserted. Drag the button to the right but not past the next control. Release the mouse button and the new space will appear to the left of the button. You can add only one space between controls. You cannot add spaces to the Style Bar.

To remove a space between buttons or controls

Click on the button or control to the right of the space that you want to remove. Drag the button to the left but not past the next control. Release the mouse button and the space will be eliminated. This does not apply to the Style Bar.

Tabs within the Customize dialog box

Customize Toolbars Tab

Customize Commands Tab

Customize Style Bar Tab

Customize Styles Tab

Customize Options Tab


Customize Toolbars Tab

Use the Toolbars tab of the Customize dialog box to show and hide different toolbars and to reset them to their original configuration.

Show or Hide Toolbars

Check the box aside the toolbar you want to show or hide. The figure to the right shows the location of the toolbar.

Reset To Default

Select a toolbar and click the Reset to Default button to return the layout of the toolbar to its initial configuration.


Customize Commands Tab

Use the Commands tab of the Customize dialog box to add buttons and controls to toolbars. The controls and commands shown here can only be added to simple toolbars and NOT to the style bar. See the style bar tab to add styles to the style bar.

To add a command to a control bar

Locate the command in the command list box. Select a category on the left side and locate the command on the right side. Then simply drag the command to the location on the toolbar where you want it to be positioned.

Notice that any button or control can only be located on one toolbar. If you add a control that is already on a toolbar, the control will be moved from the old position to the position where you are adding it.


Customize Style Bar Tab

Use the Style Bar tab of the Customize dialog box to customize the layout of the Style Bar. The Style Bar is divided into three sections, one for each of the main kinds of objects: Labels, Figures, and Connectors.

Adjusting the Width of the Style Bar

Use the mouse to drag the right edge of the Style Bar to the desired width.

Columns

For each section of the Style Bar, select the number of columns of buttons.

Height

For each section of the Style Bar, select the height of each row of buttons.

Drop down lists

Check this box to include drop down lists (also known as style combo boxes) in each of the sections of the Style Bar. The drop down lists allow you to select any style by its name and also provides a display for the currently selected style name.


Customize Styles Tab

Use the Styles tab of the Customize dialog box to add buttons to the Style Bar. Style selection buttons can only be added to the Style Bar and not to toolbars.

To add a style button to the Style Bar

Locate the style in the styles list box. Select a category on the left side and locate the style on the right side. By choosing a main category (Labels, Figures, or Connectors), you can display all of the styles of that type which can be added to the corresponding section of the Style Bar.

If there are subcategories as well, selecting the subcategory by expanding the category entry in the list and highlighting the subcategory name will reveal only that subset of styles in the category. Once you find the style, simply drag it to the location on the Style Bar where it should be placed.

Notice that a style button can only be located in the proper section of the Style Bar and cannot be duplicated. If you add a style that is already on the Style Bar, the existing style button will be moved from the old position to the new position.


Customize Options Tab

Use the Options tab of the Customize dialog box to select options related to customizing toolbars.

Add style selection controls to right of Collapse/Expand Style Bar button when style bar is not visible

When you collapse the Style Bar with this option checked, three controls will be added to the toolbar to replace the capability of the Style Bar. These three controls are the style drop-down menu buttons for labels, figures, and connectors. The controls will appear immediately to the right of the Collapse/Expand button. When the style bar is restored, these controls will be removed. With this option, you can use the Collapse/Expand Style Bar button to switch between the standard user interface and a more compact user interface that is still fully capable.


Options

To view and modify the program options, choose Options from the Tools menu.The options are personal preferences that you will most likely change infrequently once you determine how you prefer them. They are saved in your configuration on your computer rather than in diagram files.

The Options dialog box contains groupings of options organized under tabs with an appropriate heading. To change to a different grouping and their controls, press the corresponding tab. Controls located under each tab are described below.

Options General Tab

Options View Tab

Options Zoom Tab

Options Colors Tab

Options Save Tab

Options Branch Labels Tab

Once you've set all of the options that you want to change, press one of the following buttons:

Ok

Applies the options changes and exits the dialog box.

Cancel

Exits the dialog box and discards any changes you made.


Options General Tab

Use the General tab in the Options dialog box to set the basic program options.

Measurements

Choose either English (inches) or Metrics (centimeters) as your measurement units. All measurements are displayed in these units.

Measurements such as line widths and font sizes are measured in points (abbreviated pts). There are 72 points to the inch. Your choice of measurement units does not effect these measurements.

Imported Graphics

You can choose to scale all graphics that you import or drag-and-drop into your diagram. For example, if you set this to 200%, graphic images will be imported at twice their original size.

Create one figure at a time

When you create a figure and this option is checked, the new figure automatically becomes selected and the mode changes back to select mode as soon as one figure is created. To create another figure, you will have to press the figure style button again and repeat the process. Without this option checked, you remain in figure create mode until you change modes yourself.

Create one connector at a time

When you create a connector and this option is checked, the new connector automatically becomes selected and the mode changes back to select mode as soon as one connector is created. To create another connector, you will have to press the connector style button again and repeat the process. Without this option checked, you remain in connect mode until you change modes yourself.

Open most recent file on start-up

When this option is checked. The most recently edited diagram will be opened automatically when you start the program.

Edit text automatically when creating a figure

When this option is enabled, each time you create a figure in your diagram you are automatically entered into text mode to edit the text of the figure.

Auto-label (label figures as they are created)

When this option is checked and you create a new figure AND that figure's style has auto-label text configured, a stapled label containing the auto-label text is automatically created below the new figure.

Double-click edits label/figure text

When this option is checked, double-clicking the mouse on a figure in your diagram initiates text editing for that figure. Otherwise double-clicking will pop up the figure properties for that figure.

Calculate fitted bounds for imported graphics

When this option is checked and you import (or drag-and-drop) a graphic image into your diagram, a bounding shape is fitted in the shape of the content of the graphic rather than simply a rectangle of the same size as the graphic. The fitted shape is used to determine the clickable select area of the figure and to attach line ends right up to the image on all sides.

We recommend that you check this option. However, for some complex or detailed images, the approximation of the bounding shape may not be appropriate. In such cases you might want to uncheck this option while importing the graphic.

Export full text lines to WMF/EMF (imperfect align)

When this option is checked, lines of text are exported to Windows Metafiles as whole lines rather than individually positioned characters (when you do an Export or Copy). This allows you to edit the text more easily once it has been imported or pasted “As a Picture” into tools like Microsoft Powerpoint. However, text exported in this way may not be aligned properly or may extend beyond the confines of its enclosing shape.

Snap labels to connector label slots (in-line)

When this option is checked you can create and drag labels onto in-line connector label slot areas and they will become in-line connector labels. In-line connector label slot areas are anywhere in which the center of the label lies on the connector. If this option is not checked, then the only way to create an in-line connector label is to right click on the connector and use the Add In-line Connector Label Here feature.

Snap labels to connector label slots (lateral)

When this option is checked you can create and drag labels onto lateral connector label slot areas and they will become lateral connector labels. Lateral connector label slot areas lie along the length of a connector slightly above or below the connector. If this option is not checked, then the only way to create a lateral connector label is to right click on the path and use the Add Lateral Connector Label Here feature.

Snap labels to flow label slots

When this option is checked you can create and drag labels onto flow label slot areas and they will become flow labels. Flow label slot areas are located on either side of the point where a connector attaches to a figure. If this option is not checked, then the only way to create a flow label is to right click on the flow point and use the Add Flow Label feature.

Snap labels to figure label slots

When this option is checked you can create and drag labels onto figure label slot areas and they will become figure labels. Figure label slot areas are located in nine positions surrounding a figure. If this option is not checked, then you can create a figure label by selecting a figure and a label and using the Attach Label to Figure feature. Or by using the auto-label style property.

Snap labels to figure label primary position only

This option matters only when the Snap labels to figure label slots option is set. If this option is set as well, labels will only snap to the single figure label slot defined as the Primary Position in the Diagram Properties dialog box (General tab).

Snap figures into flows

When this option is checked you can create and drag figures onto a flow (a connector) and it will become part of the flow (the connector will enter and exit the figure).

Enable old style (in decision) branch labels

This option exists for backwards compatibility. In later versions (after 4.0), branch labels (yes/no for decisons) are implemented using flow labels. However, in earlier versions, branch labels were supported by small letters Y/N within the corners of decision symbols and labeled automatically.When this option is checked the old style implementation of decision labels is enabled. If you exit and re-enter the Tool Options dialog, you will notice the old Branch Labels tab appears and all of the previous branch label functionality is restored.

Prompt to apply property edits to selected groups

When this option is checked (the default) and you apply a property change to a selection that includes a group, you will be asked whether the change should apply to grouped objects.If you answer and check the “Don't ask again” box, it will remember your response until you return to uncheck this option.

Undoable navigation (scroll/pan/zoom)

When this option is checked you can undo movement within your diagram such as scrolling and zooming in addition to edits. Otherwise, only actions that change the diagram will be undoable.

Remove connectors when one or both ends deleted

When this option is checked (the default), connectors are automatically deleted if you delete a figure that either end is attached to.

Limit workspace to page area

When this option is checked (the default), the off-page area surrounding the white page area of the diagram is decreased to simplify scrolling and navigating. The scrollable workspace extends if necessary to include any objects located outside the page area.

Display the full path in window captions

When this option is checked, window captions show the full path of the diagram rather than simply the diagram name. This option is useful when editing files with the same name but located in different folders or on different machines. If your path names are too long to be displayed you may need to uncheck this option.

When printing, warn if objects are outside margins

When this option is checked, each time your print a diagram a warning will appear if any objects in the diagram are outside the margins. Uncheck this option to disable the warning.

Do not display splash screen on start-up

When this option is checked, the introductory splash screen will no longer be displayed each time you start the program.

High quality on-screen display (slower)

Uncheck this option to increase display update speed for slower computers. Display quality and drawing speed are most pronounced when diagrams contain a large number of graphics such as clip-art.


Options View Tab

Use the View tab in the Options dialog box to control how your diagram is displayed and what options on the user interface are visible.

Grid

Choose whether to display the visible grid as lines or dots.

Show status bar

Check this box to display the status bar, also known as a message bar, at the bottom of the screen. The status bar displays brief help and status information.

Show property bar

Check this box to display the property bar. The property bar is located directly beneath the tool bar - it is the second button bar. The property bar is very useful for changing certain figure, label, and connector properties conveniently.

Show rulers

Check this box to display rulers on the top and left of the diagram views. Rulers help you lay out your diagram as it will appear on the printed page. They are also useful for providing an indication of the view's location within your diagram and the current amount of zoom magnification.

Show page boundaries

Check this box to turn on the display of page boundaries and margins. Page boundaries are determined by your print settings which you can adjust with print set-up. They reflect the current paper size, printer selection, page orientation, and so on. We recommend that you display page boundaries in most cases. They are required in order to perform certain features such as (obviously) Center on page. The time when they are not necessary or even particularly useful is when you are editing an embedded OLE diagram that really belongs to another document and therefore has no page layout information of its own.

Margins displayed are hard margins. They reflect the outer limit that you can print to on your selected printer - as opposed to spacing margins that you can set.

Show connection point indicators

Check this box to display small dots where connection points are located within a figure.

Show connection guide lines when connecting

Check this box to display guide lines horizontal and vertical to the cursor when creating connectors.


Options Zoom Tab

Use the Zoom tab in the Options dialog box to control zoom options.

Set intervals

Although you can always zoom to any magnification you choose, LanFlow lets you set up six preferred zoom magnifications for convenient use.You can choose the degrees of detail that you find most conducive to your way of working. It is these percentages that appear in the main Zoom menu, and which are used as stopping points when you press the plus and minus zoom buttons on the tool bar or when you press they plus or minus keys on the keypad.

Enter any zoom intervals you prefer. The valid range is from 10% to 300% though the upper range may vary based on your display. Enter the intervals in any order, they will be sorted automatically when you are done.

Screen size

Provide the exact measurement (use a ruler) of the actual picture on your monitor from the top to the bottom. The default is set for a standard fourteen inch monitor.

The program needs to know this measurement so that it knows what 100% zoom means. If you have this value set correctly and zoom is set to 100%, you can actually measure the object on the screen and it will match its true size. This only affects the display, printed size is always correct.


Options Colors Tab

Use the Colors tab in the Options dialog box to customize some of the colors used on the user interface to portray your diagrams.

Page

The page color is the color of the background area of your diagram that falls within the boundaries of the page. You can choose any color you like. Because most paper is white, choosing white will most accurately represent the printed result.

Off page

The off page color is the color of the background area of your diagram that falls outside the boundaries of the page. You will usually want to avoid this area when you create your diagram.

Margins

Choose a color for the margins that is visible on top of the page color. The margins are drawn as dashed lines surrounding the edges of the page. If you select a color that cannot be drawn solid, Windows draws the margins in the nearest solid color.

Grid

Choose a color for the grid that is visible on top of the page color and the off page color. The grid color only applies if the grid is drawn as lines. If it is drawn as dots, the dots are always black. If you select a color that cannot be drawn solid, Windows draws the grid in the nearest solid color.

Handles

The handles are the small squares that appear on the corners and edges of objects that you select. The color you choose is purely a personal preference. Red is the default.

Reshape

Choose the color for reshape handles.

Connection Points

Connection point indicators are small circles drawn only on the screen to identify the location of connection points within figures. The color you choose is purely a personal preference.

Restore Defaults

Press the Restore Defaults button to return all of the colors to their preset values. The default colors are valid for any screen resolution, even 16-color displays and they all work well together. Once you set better colors, you may find the defaults to be rather dull.


Options Save Tab

Use the Save tab in the Options dialog box to select automatic file saving and backup options.

Create backup file (.BAK) of previous revision whenever you save a diagram

When this box is checked, every time you save a diagram, the previous revision of the diagram is saved as a .BAK file in the same directory as the diagram file. For example, if you open the diagram MYCHART.EDG, edit it and save it, MYCHART.EDG will contain the latest changes you made and MYCHART.BAK will contain MYCHART.EDG as it was before you made any changes. If you later decide that you want to revert to the previous version, just open the .BAK file and Save As the original file name (such as MYCHART.EDG). Remember that each time you intentionally save your diagram, the .BAK file is updated. This includes any time that you save your diagram except for Autosaves (see below).

Autosave all open diagrams periodically

When this box is checked, the program will automatically save your diagrams every so often based on the value of "minutes between autosaves" which can be from 2 to 60. This feature is useful to minimize loss of data from power outages, computer crashes, or program bugs.

Autosave saves your diagram to disk as if you performed the Save All feature, that is to say that the file is written back to the same .EDG file that was opened. You don't need to do anything special to regain your most recent diagram after a system failure. We recommend that if you use the Autosave feature you also use the backup feature so that if the Autosave feature accidentally saves changes that you didn't like you can always go back to the version you last saved intentionally.


Options Autolabel

Options Branch Labels

Only visible if old-style branch labels are enabled.
Automatically label branch (decision) symbols
Check this box to have the program automatically add single-character labels to corners of decision symbols. Decision symbols are shaped like diamonds or rounded diamonds and represent conditional branches in your chart. For example, you may want the right side to be labeled 'y' for Yes and the bottom to be labeled 'n' for No, or 'T' and 'F' for True and False etc.

NOTE: The program knows which styles are decisions based only on the style name. If the name begins with the text "Decision", it is assumed to be a decision style. New decision figures are auto-labeled only if you have the above option checked AND the style does not have any previously defined default text.

Default labels

You can edit the text in each of the four corners of the symbol to indicate the default way that you'd like decision symbols to be labeled. Each corner can contain only a single character. These are only the default labels for newly created decision symbols - once you create the symbol, you can always edit them like any other text.


Managing Windows and Files

These topics control file open, save, printing, and other file-level operations as well as controlling windows and views. These operations are mostly those contained in the program's File menu.


Multiple Document Interface

This program supports the Microsoft Windows Multiple Document Interface standard also known by the abbreviation MDI. As a multiple document interface, this program allows you to open a number of different documents (in our case diagrams) simultaneously in different windows and to open multiple windows that view different parts of the same document. The MDI model is very powerful for working with several diagrams at once or for managing large or complex diagrams.

Whenever you create a new diagram or open an existing diagram as described in this chapter, this program will create a new window from which to view the diagram. You can have several such windows at a time. You can also create additional views of loaded diagrams and use the window arrangement commands to minimize, maximize, cascade, and tile all of the windows.


Managing Windows

You can use the following commands found in the Window menu to manage the arrangement of diagram windows.

Cascade

Choose this command to arrange all of the non-minimized diagram windows so that they overlap one another and are offset slightly by the upper-right corners.

Tile

Choose this command to arrange all of the non-minimized diagram windows so that they are side-by-side filling the entire program area.

Arrange icons

Choose this command to automatically arrange the icons of all minimized windows.


Creating a New LanFlow Diagram

When you create a new LanFlow diagram, you begin from one of the existing diagram templates that contain predefined figure, connector, and label styles. You can use one of the templates provided with the software or you can choose on that you saved yourself. When you choose NEW from the FILE menu, the following dialog box appears.

To create a new LanFlow diagram from a diagram template

  1. Choose New from the File menu.
  2. Select a diagram template file (in the Template folder) from the Choose a Diagram Template dialog box.
  3. To conveniently set some initial options like object size and fonts, check the box indicating that wish to use the New Diagram Wizard to configure the diagram.
  4. Click Open to create a LanFlow diagram from the selected template.
  5. If you chose to use the Wizard to configure the file, the New Diagram Wizard will appear (see the following section).
This program comes with some basic diagram templates such as the flowcharting template. You can see a preview of what a diagram made with the template might look like. If you actually want to start from an existing diagram, rather than just a template, open one of the sample diagrams located in the Samples folder.


New Diagram Wizard

The final step when creating a new diagram is using the New Diagram Wizard to conveniently select options for the diagram. The wizard appears after you have chosen the template for your new diagram. Use the wizard to select options from those that are available for the template you have chosen. Possible options include color scheme, diagram size, font, font size, and so on.

Template Variants

The first options that the wizard presents are known as variants, predefined template variations that provide choices of color schemes, diagram sizes, and so on. When you are viewing variants, a preview will help display your choice. Variants are carefully crafted by diagram designers to provide functional and attractive diagrams. They are available for many of the common diagram types.

Color Scheme

Choose a predefined initial color scheme (if available) and click Next. The colors are chosen to be attractive and clear when printed. The colors visible on your monitor can be darker or lighter than those that are printed, so it is possible for some color schemes to be less than ideal for the screen. Lighter color schemes are usually the best all around. The color scheme you choose will be remembered when you create future diagrams using the same template.

Effects

An additional screen of the New Diagram Wizard permits you to add some optional shadow and fill effects to the new diagram. Choose from among the presets available for drop shadows and gradient fills.

Diagram Size

Choose a predefined diagram size to control how large or small the objects in your diagram appear. The predefined sizes are designed to be clearest when printed. The smallest size is just large enough to read comfortably. Larger sizes are easier to read but limit the amount of information you can fit on a page. It is possible to adjust sizes later, but setting sizes later for each style is far more difficult. The size you choose will be remembered when you create future diagrams using the same template.

Effects

Another screen allows you to select optional shadow effects and fill effects (such as gradient fills) for the new diagram styles. You can choose from any of the shadow or fill presets.

Template Overrides

Additional wizard options are available for all diagram templates. These options appear on the final page of the diagram wizard and currently control text appearance and formatting.

Font

You may choose to select a special font for your diagram. If you leave this “<As Is>” it will use the fonts as they are defined in the diagram template. Templates are defined with a common font that can be assumed to be present on every computer, usually Arial or Times. You can choose a custom font here with one step. If you choose to change the diagram font using the wizard, the new font will be used everywhere in the diagram unless you change it later for particular styles or objects. For example, if you saved a custom template using many different fonts but select a font from the wizard rather than “<As Is>”, the wizard-selected font will be substituted for all of your custom fonts in the new diagram.

Font Size

You may choose slightly larger or smaller font sizes in your diagram than are defined in the diagram template. If you leave this field “<As Is>” the font sizes used are those chosen to be optimal by the designer of the template. However, if you have a diagram that requires especially large or small text you can adjust it here. Note that small increments (a point size or two) are usually enough. Also note that if you choose a font size increment other than “<As Is>”, ALL font sizes in the new diagram will adjust accordingly.

Line Spacing

By default text lines are single spaced. However, you may choose to space lines closer together to squeeze more text per shape, or further apart for easier reading. Several options are available. These can easily be changed later from within the Diagram Properties dialog box.

Wrap

Most diagram templates are defined such that shapes automatically expand when you type more text than can fit on a line within the confines of the shape. If you prefer to use automatic word wrap, check this box.


Creating Custom Templates

When you create a new LanFlow diagram, you start from a diagram template that contains an initial set of styles and diagram properties. In addition to the templates that come with the program, you can create custom templates to save diagram types you design.

Templates are simlar to saved diagram files. The only difference is that when you open them as a template (the New command) any actual objects saved in the diagram are ignored. When you create a new LanFlow diagram by choosing New from the File menu, you can choose any diagram template located in the Template folder. Therefore, all you have to do to create your own diagram template is to copy a diagram to this folder. In fact, you can open any existing diagram using the New command and it will be used as a template to create a blank copy of a new untitled diagram.

However, to further simplify the process of saving the LanFlow diagram you are working on as a template for future diagrams, the program has a Save Template feature.

Save Template

The Save Template feature saves the open diagram as a template for use as the starting point for new diagrams. Once you save a diagram as a template, it will be available as a new diagram type the next time you use the New command.

To create a custom diagram template

  1. Create a custom diagram with all of your own styles and diagram properties.
  2. Choose Save Template from the File menu.
  3. Select a file name for your template. We recommend that you save templates with your own name rather than updating the original templates. This will insure that they don't get over-written the next time you upgrade.
  4. If you do update an existing template, you will be asked whether to keep the existing preview from the old file. This is often a good idea. The alternative is to include diagram objects in your file so that a new preview will be generated.
  5. The next time you create a new LanFlow diagram, you can choose your custom template as the starting point.


Opening an Existing LanFlow Diagram

To open a LanFlow diagram that was previously saved

  1. Choose Open from the File menu.
  2. Select the file that contains the LanFlow diagram. You can check the Preview button to get a rough idea of what the LanFlow diagram looks like before you open it. You can also select multiple files to open simultaneously by holding down the shift and control keys and clicking on additional files.
To open a recently used LanFlow diagram

Choose the diagram by filename from the File menu.

To open a file by dragging and dropping from the File Manager or Explorer

In the Windows File Manager or Explorer, select a single diagram file or a number of files and drag them on top of the program icon or on the running program. Release the mouse button and the diagrams will be opened and ready for editing.


Opening an Additional View of a Diagram

Opening an Additional View of a LanFlow Diagram

To open a new window for an open LanFlow diagram

  1. If you have multiple diagrams open, make sure the one that you want another view of is active.
  2. From the Window menu, choose New Window.
A new window will be created with an identical view of the LanFlow diagram. You can now scroll, zoom, and edit the same diagram through two independent views. You can even drag objects from one view of the diagram to another, something that you cannot do between views of different LanFlow diagrams.


Saving a LanFlow Diagram

To save changes to a LanFlow diagram

If the diagram already has a file name and you want to save your changes back to the same file, simply choose Save from the File menu.

To save changes to all open LanFlow diagrams

Choose Save All from the File menu to save all your open files to disk with one command.

To save a LanFlow diagram to a file

If the LanFlow diagram is new and has never been saved to a file, or to save a diagram to a different file, choose Save As from the File menu and select the file name.


Reverting to the Last Saved Version

At any time while editing a diagram you can choose to revert back to the last saved version of the file. Doing so will abandon all of the changes you have made since opening the file, or the last time you saved it. You will be prompted to confirm that you really do want to revert the file.

Use this feature with caution. It cannot be undone! Be especially careful if you have multiple open files, that you revert the right one. If you have any hesitancy, we suggest you avoid using this feature altogether.

To revert to the last saved version of a diagram

  1. Choose Revert from the File menu. There is no shortcut key intentionally.
  2. Read the warning carefully to be sure you are reverting the correct diagram and click OK to confirm.
Once reverted, the changes you made since the last save are permanently lost and there is no way to recover them. A safer alternative is to Save As to a different filename, then re-open the original file using File Open. You will then have the option of recovering your changes by simply re-opening the Save As file.


Saving as an HTML Web Page

To save a diagram as a simple web page in HTML, choose Save HTML from the File menu. Use the Save HTML dialog box to select options:

Folder

Select a folder where generated files should be stored. Multiple files will be generated in this folder so it is best to select a new folder or an existing empty folder. The files that are generated are named for the diagram file for which they correspond. For example, if you open MYFILE.EDG and save it as HTML, the generated files might be MYFILE.HTM for the web page and MYFILE.JPG for the image.

Scale

Use this control to select image size as a percentage of “true” size. The true size is the size that is shown by the rulers within your diagram.

Format

Use this control to select a graphic image format. Select from JPG (JPEG), GIF (Graphics Interchange Format), or PNG. GIF is limited to 256 colors which may cause your diagram colors to be altered. JPG, on the other hand, handles 24-bit color and is more highly compressed. The amount of compression of a JPG image is controlled by the 'Quality' setting below. When JPG output is highly compressed (low quality), the image will become increasingly blurred or jagged. This is especially true around the edges of text. For truest color and the least distortion, use JPG at 100% quality. PNG combines the 24-bit color of JPG with good compression and typically less distortion than JPG.

Quality

This option is available only for JPEG images. Use this control to select a quality level for JPEG images. The quality can range from 10 (lowest) to 100 (highest). Highest quality images best represent the original but they are also require the largest file size. The default is 85% which produces a reasonable file size but a very good image.

Background

Select a background color for the image. Don't confuse this color with the page color (set in Tools Options) that controls the appearance of your diagram workspace.

Anti-alias (smooth)

Check this option to apply anti-aliasing (smoothing) to the generated web graphics. Anti-aliasing removes the jagged lines and drop-outs that result from rendering a diagram on a low resolution bitmap. It is especially superior when scaling down the diagram under 100% and when creating bitmaps for display on the screen, such as web page graphics. Anti-aliasing is available only when creating the web page with full color bitmap formats (JPG and PNG but not GIF).

File Extension

Select a file extension for the web page (HTML) files. The default is “htm”.

The web page will consist of (at least) two files, an HTML file and an image file referenced from within the HTML file. Upload all the files that were created to the same folder on your web server or adjust them as needed. Click on View Web Page to inspect the result by opening the main HTML page in your browser. Note the your web page will not be visible to others until you upload the files to a web server.


Page Setup

The page setup area helps you layout your LanFlow diagram for printing and display. You can control paper size, page orientation, and postering. You can change the page layout at any point. However, to minimize the amount of re-organizing of your LanFlow diagram, it's usually best to setup the page layout before constructing your diagram.

Choose Page Setup from the File menu. Use the Page Setup dialog box to change the page layout.

Paper Size

Select the size of paper that you wish to design your LanFlow diagram for. Choose from the available paper sizes. The list includes all of the paper sizes supported by your printer. You can choose additional paper sizes and in some cases create custom paper sizes by going to the Print Setup screen and selecting a different printer.

Width and Height

The height and width boxes display the exact size of the paper you have selected. These are for display purpose only.

Poster

If your LanFlow diagram is too large to fit on one sheet of paper that your printer can print, you may choose to use postering to spread your design onto a grid of pages. Choose the number of rows and columns of pages for your LanFlow diagram. (the maximum number is limited to a total of about 62 inches by 62 inches depending on the paper size).

There are two common uses for postering. One is simply to add additional pages to your chart and treat each page separately. In this case, you will want to uncheck the “Print crop marks” box. Another use is to create a very large chart of multiple pages which you can design without regard for page boundaries and then printed as a whole. Each page can then be trimmed and attached together to form a large wall poster. For this use, checking the “Print crop marks” box will cause trimming guides to be included on the output for each page.

Margins

Margins are displayed to show the extents of the printable portion of the page. The margins are for display purposes only. Use the margins to guide where on the page you place objects. Objects placed outside the margins will be truncated or not print at all.

Portrait and Landscape

Use the portrait and landscape controls to choose page orientation. There's no need to rotate objects to print width-wise or “landscape” on a page - this is done automatically when the page is printed.

See Also: Multi-Page Charts


Multiple Page Charts

Multi-page diagrams are not supported in the traditional way. Instead, this program provides a very simple model where a large LanFlow diagram can be printed on multiple pages (a process we call postering). It supports OLE linking and embedding for serious "book" type diagrams that require the full power of a word processor to organize diagrams into a large document. We believe this model is simpler and ultimately less restrictive than having a single diagram with multiple pages.

The page model

A LanFlow diagram is best thought of as a single, contiguous illustration. If a LanFlow diagram gets too large, this program helps you break it down into manageable portions. However, a LanFlow diagram is NOT a book. You won't find any page numbers in this program. You always work with a LanFlow diagram as a whole. You may choose to break a large LanFlow diagram into multiple pages strictly to print different sections of your LanFlow diagram on different pages. This process is called postering because the usual intent is to tape the pages together to build a large wall poster of your LanFlow diagram.

Think of your workspace as a very large virtual chalkboard. You may choose to design your LanFlow diagrams to fit nicely on a page, or you may prefer to build a LanFlow diagram without consideration for printed output. If you really require a multi-page book-type LanFlow diagram, you can create it in a word processor and use OLE to insert LanFlow diagrams onto each page.

Postering

Postering refers to the technique of creating a very large LanFlow diagram and laying it out and printing it onto a grid of sheets of paper. You can then manually attach all the sheets to form a wall poster of your diagram. The advantage of this technique is that it is very simple and flexible and lets you design your diagram right on the grid. You can also use postering to provide a limited multi-page capability by using each grid as a separate page.

See Postering in Page Set-up

OLE

OLE compatibility provides the ultimate in creating diagrams as part of large documents. You create a large document such as a user manual in a program like Microsoft Word. Then you insert (embed) as many diagrams as needed into this document. The larger program provides the pagination, headers, footers, table of contents, and so on.

See also OLE


Object Linking and Embedding

This program supports Microsoft's Object Linking and Embedding specification version 2.0. OLE (oh-lay) as it is commonly called, makes it simple and convenient to insert or embed diagrams within documents created by other applications which can serve as OLE containers.

Microsoft Word(tm) is one example of a very popular application that exploits the ability to be an OLE container. Throughout this section, we'll refer to Word as a typical OLE container application. But don't forget that there are MANY such applications on the market and all will work more or less the same with this program's OLE features.

Using OLE, you can embed diagrams directly inside Word documents such that they become a part of the document, are saved within the document file, and nevertheless can later still be edited. In addition, you can choose to store only a reference called a link to a diagram file within Word. With a link, you can simply edit the diagram file and the changes will automatically appear in the Word document. Linking and embedding together provide the capability to use diagrams anywhere that a diagram would be convenient without the hassle of having to store and maintain the diagram elsewhere at the same time.

This program acts as an OLE Server, not as a container like Word. It is a full server as opposed to a mini-server because it can also run stand-alone as a normal application.

OLE Embedding Diagrams

OLE Linking to Diagrams


OLE Embedding Diagrams

A diagram can be embedded into a document created by an application like Microsoft Word(tm). When a diagram is embedded in a document, it becomes part of the document but remains a complete LanFlow Diagram that can later be edited and updated.

To insert a new diagram into a Word (or similar) document

  1. From Microsoft Word(tm), choose Object from the Insert menu.
  2. Choose the Create New tab.
  3. From the types list, choose LanFlow Diagram.
  4. Follow the procedure to create a new diagram.
  5. When the diagram is complete, choose Exit & Return to Document from the File menu.
  6. Resize the resulting diagram if you like.
To insert a copy of an existing diagram into a Word (or similar) document

  1. From Microsoft Word(tm), choose Object from the Insert menu.
  2. Choose the Create From File tab.
  3. Select the name of the diagram file.
  4. Resize the resulting diagram if you choose.
To embed a portion of a diagram into a Word document

  1. Open any diagram file with this program.
  2. Select the portion of the diagram that you'd like to embed in the Word document.
  3. Choose Copy or Cut from the Edit menu.
  4. In Word, choose Paste from the Edit menu.
  5. Resize the resulting diagram if you like.


OLE Linking to Diagrams

A diagram can be linked to a document created by an application like Microsoft Word. When a diagram is linked in a document, it remains a separate diagram file and a reference or link is saved in the document. If you later make changes to the diagram, those changes will be reflected automatically in the document that contains the link.

To insert a link to a diagram into a Word document

  1. Use this program to create a diagram in the usual way.
  2. Save the diagram to a file.
  3. In Word, choose Object from the Insert menu.
  4. Choose the Create from File tab.
  5. Check the Link to File box.
  6. Select the name of the diagram file.
  7. Resize the resulting diagram if you choose.
When an OLE document contains links to diagrams or other OLE objects, those objects must remain in place when the document is used. If you delete a diagram that is referenced from an OLE document, the reference will not know where to find the diagram. Likewise, if you copy the document that contains the link, you should also copy the linked diagrams so that the links remain valid.


Printing

Printing LanFlow diagrams is similar to printing in any other Windows program.

To print a LanFlow diagram

  1. Use Print Setup to make sure that your printer is set up properly with the correct paper and so on. You do not need to set-up your printer each time you print.
  2. Choose Print from the File menu.
  3. Choose the options you want in the Print dialog box then press OK.
When you print a LanFlow diagram that has more than one page, you can select a range of pages to print rather than printing the whole LanFlow diagram. Page numbering is from left to right and top to bottom. For example, page one is at the upper left corner, page two is immediately to the right of page one, and the last page is at the lower right corner.

To print all open LanFlow diagrams

Choose Print All from the File menu to print all your open LanFlow diagrams with one command.


Exiting

To exit

  1. Choose Exit from the File menu. Other standard Windows methods of exiting programs work also, such as pressing ALT-F4 or choosing Close from the System menu.
  2. If your LanFlow diagram contains changes that have not been saved, you will be prompted to save them before exiting.


LanFlow License and Ordering

A free copy of LanFlow is provided to the user for evaluation at no charge or obligation to purchase. You are encouraged to copy and distribute the limited trial evaluation copy among your friends and colleagues provided you do not alter it, give it away with another system, charge a fee beyond duplication and shipping costs, or represent it as Freeware.

The evaluation version is valid for 30 days from the date of install. During this trial period, the product is fully functional, almost identical to the fully registered version. However, you will be reminded occasionally that the version is not yet licensed. Also, as an incentive to register, the trial version is limited to handling only less complex diagrams, plus a small banner message will be printed with each page of output reminding of the unregistered status of the software.

If you find this program useful and desire to use it for more than thirty (30) days, you must purchase a permanent copy.

Trial Period

What You Get When You Order

How to Order

License Summaries

License, Warranty, Disclaimer

Acknowledgements


Trial Period

If you are using the trial version of this product for evaluation purposes, you have a fully functional, well-tested and commercially proven product. No essential features are left out, and you should require nothing additional to use this powerful tool. Please compare it's power, speed, ease-of-use, and reliability to any and all commercially available products! You'll be surprised only at the quality.

You may try LanFlow free of charge for a period of thirty days. During this time, you may use it as often as you like. Load it on as many machines as you like, make as many copies as you like, and feel free to help spread it among colleagues and associates. All provided you make no modifications to the files and do not represent it as Freeware.

After thirty days, your license to legally use LanFlow expires and you must purchase a permanent version if you wish to continue to use it. If you find the program useful, remit your license fee, and you will receive an updated program including many more diagrams and symbols, unrestricted diagrams, and optionally a user manual on CD. The manual is extensive, professional, comprehensive, and contains many figures and diagrams. The manual also includes a comprehensive index and a few topics not available in the on-line help files.

Naturally, when you purchase a permanent license you will receive notices of all future product updates, offers, news, and periodic reports of bugs, work-arounds, and user notes.

See How to Order


What You Get When You Order

When you order, you receive a license and a permanent version of the software plus some extras. The following is the complete list. Some items may differ as indicated based on the license you purchase.

Your order will include the following:

  1. An updated program. The updated program is always the most recent version (often more up-to-date than the trial versions due to distribution methods). The updated program is essentially identical to the trial but it lacks the reminders (both on start-up screens and printed output) and has no timed expiration period. It can also handle more complex diagrams and it may include additional diagram templates, samples, and symbols. You will receive instructions which permit you to download the latest version from our web page. If you choose, you will receive a CD Rom in the mail for a small additional fee.
  2. More Symbols and Diagrams. Your licensed version may contain more symbols, diagram templates, and samples from which to build diagrams. We reserve some of these to our licensed users both as a purchase incentive and as a way to keep the trial version small.
  3. Optional User Guide. The manual is thorough, professional, comprehensive, and contains many illustrations. It also includes a complete index and a few topics that could not be included in the on-line help. The manual is published in PDF format which can be read and printed using Adobe Acrobat Reader which is available at no charge from Adobe. If you choose to purchase a package that includes a CD, you will receive the user guide on CD.
  4. If you choose, you will be entered in our mailing list and you will be informed of updates, major bugs, work-arounds, and special offers. Our list will remain private.
  5. You will gain the ability to obtain free upgrades when we issue minor bug-fix releases. These minor releases may also include new functionality without charge.

Upgrade protection:

We are always hard at work on the next version of our products. No one wants to purchase a product and have it obsoleted a week later by a better version. To protect you from this situation, we will provide free upgrades of major versions that come out within 60 days of your purchase. Many minor versions, particularly bug fixes, will be free as well.


How to Order

Visit our web page to order today!
http:⁄⁄www.pacestar.com⁄lanflow⁄purchase.htm

Users of the trial version of LanFlow must order a license and permanent copy of the program within 30 days of the date of installation or their license expires and is withdrawn.

Ordering

There are several ways to order:

  1. The best way to order is from our web site above. There you will always get the latest pricing, a full list of any available discounts or specials, and a convenient, fast, and secure method of placing an order. You will have the choice to order by PayPal, by credit card (Visa, Mastercard, Amex, Discover) fully secure, mail, or FAX.
  2. Call or FAX us your credit card order. Our phone and FAX numbers can be found on our web site.
  3. Naturally we will accept orders by mail and e-mail provided you include all the necessary information. It is easiest to start from our online ordering system on our web page even if you want to order by more traditional methods. You will be presented the option of printing an order form to mail, FAX, or e-mail. You can print the order form, fill it out, and send it to us by mail or FAX with your payment.
When we get your order we will immediately e-mail you a password that you can use to download the full version right away.

When your order includes a CD to be mailed, we typically ship within a single business day. We will accept personal checks, money orders, company checks, PayPal, VISA, MasterCard, American Express, and Discover. We also accept company purchase orders on net-30 day terms when FAXed on company letterhead and signed by an authorized agent. We reserve the right to request credit references or impose minimum purchase amounts when accepting orders on credit.

Due to the difficulty of controlling distribution on the internet, it is possible that this version is now outdated. We recommend that you visit our web site for all of the latest and most accurate information: http:⁄⁄www.pacestar.com⁄lanflow.


License

Following are summaries of the software license agreement and the differences between the trial version and licensed version of the software. These are only summaries for quick reference. If you have questions refer to the license itself as the final authority.

Trial (evaluation) version

In accordance with the provisions of the software license agreement below, you are encouraged to pass an unmodified copy of the trial version along to your friends and colleagues for evaluation. The trial version can be identified by the word "(unlicensed)" in the title caption on the top of the screen and does not require a password to install or activate.

Licensed version

In accordance with the provisions of the software license agreement below, you must treat the licensed (unrestricted full) version of the software like any copyrighted material. You may not copy, modify, reverse engineer, or transfer it to anyone other than authorized licensees as described below. The licensed version can be identified by the need to enter a password in order to install, or the requirement to activate once installed, and subsequently by the lack of the word "unlicensed" in the title caption. DO NOT UNDER ANY CIRCUMSTANCES share your password or activation key with anyone.

Other versions

If you have obtained a version of this software without purchasing a license from the publisher or authorized agent, and that version does not match the above description of the trial version or does not contain restrictions and reminders which are included in all legitimate trial versions, you may have obtained an illegal copy. Please contact the publisher immediately to remedy this. You may NOT treat an illegal copy as a trial - any use of a pirated or hacked version is a violation of United States and international law and is subject to prosecution and civil penalties.

Home Use Licenses

If the license you purchased was a Home Use License you may use the product on one computer for your personal use, not in connection with any business of for-profit activities. This includes educational use, home or personal organization and planning, and family matters. It does not include home-based businesses, work-at-home situations, or use in connection with a non-profit or government organizations. However, in some circumstances we may choose to provide a full license for at-home use at the same discount as the restricted home use license - for example when the main organization owns full licenses and needs to add work-at-home licenses at lower cost.

Multi-User Licenses

When you purchase a multi-user license, the product can be used by a limited number of persons and installed on a limited number of computers in accordance with the provisions of the multi-user license agreement. Unless specifically stated in the multi-user license, the number of licenses are limited by the greater of the number of individual persons who can use the software, or the number of computers on which the software is available, NOT by the number of users running the software simultaneously (unless explicitly stated on the license).

Site Licenses

When you purchase a site license, the product can be used by any number of people or on any number of computers at the site in accordance with the provisions of the site license agreement. A site is defined as a single building or campus of buildings within a 1 mile area, owned by the licensee and located on contiguous property owned or leased by the licensee.


License

PACESTAR SOFTWARE LICENSE AGREEMENT

This Software License Agreement (the "Agreement") is a legal agreement between you (either an individual or an entity) and Pacestar Software (the "Licensor"). By installing this program, by loading or running the tool, or by placing or copying the program onto your computer hard drive, you are agreeing to be bound by the terms of this Agreement.

PACESTAR SOFTWARE LICENSE

  1. Grant of License. Pacestar Software ("Licensor"), as the sole owner and title holder of the enclosed program ("Software") and associated manuals ("Manual"), hereby grants you (the "Licensee") the right to use the Software. For purposes of this section, "use" means loading the Software into RAM, as well as installation on a hard disk or other storage device under the terms of this Agreement. Subject to the terms of this Agreement, Licensee has a non-exclusive, non-transferable license to use this copy of the Software solely in the following manner:

    (a) If Licensee has purchased a Single User License, Licensee may install the Software on one computer.

    (b) If Licensee has purchased a Multi-user or Network License, Licensee may install the Software on the number of computers ("Users") specified by the particular license. Licensee may choose to use a network to make the software available to up to the authorized number of users for which Licensor has purchased a license provided that no more than this number of users actually use the software.

    (c) If Licensee has purchased a Concurrent Users License, Licensee may install the Software on a network to be used concurrently on different computers by up to the authorized number of users for which Licensor has purchased a license.

    (d) Licensee may make one copy of the Software in machine-readable form solely for backup purposes, provided that Licensee reproduces all proprietary notices on the copy and that such copy of the Software is not installed or used on any other computer.

    Licensee may physically transfer the Software from one computer or network to another, as applicable, provided that the Software is installed in a manner and on the number of computers authorized by the applicable License purchased by Licensee.

    1a. Special License Provisions. The following provisions apply for some special licenses as described:

    (a) If Licensee has purchased a Home User License, Licensee must be an individual and licensee may install the Software on one computer. Licensee may use the software for personal use, and not for business use or other for-profit activities.

    (b) Copy and transfer restrictions (alone) do not apply to trial versions of the Software. The trial version may be copied, loaded on a network, loaded on any number of computers, and used by any number of users. However, the trial version must be copied in its entirety as packaged by the Licensor and must, as a limited trial version for evaluation purposes, be represented as such, and not as freeware or as a full product. The trial version may not be sold except for a small duplication fee or as part of a collection clearly identifed as a limited trial version. All other sections remain applicable to the trial version.

  2. Ownership. The Software is owned by Licensor and is protected by United States copyright laws and international treaty provisions. Therefore, subject to the terms of Section 1 above, Licensee must treat the Software like any other copyrighted material (e.g., a book or musical recording).

  3. Other Restrictions. Licensee may not rent, lease, sublicense, or transfer the Software. Licensee may not, and will not permit others to reverse engineer, modify, decompile, disassemble, or create derivative works based upon the Software. Licensee may not remove, delete, or in any manner alter any copyright, trademark, and proprietary notices, labels, or marks on the Software or Manual. Licensee may not copy the Manual accompanying the Software.

  4. Limited Warranty. Licensor warrants that if properly installed and operated on a computer for which it is designed, the Software will perform substantially in accordance with its designed purpose for a period of ninety (90) days from the date the Software is first obtained by an end-user. Licensor's entire liability and your exclusive remedy shall be, at Licensor's option, either (a) return of the retail price paid, if any, or (b) repair or replacement of the Software that does not meet Licensor's Limited Warranty. To make a warranty claim, return the Software to the point of purchase, accompanied by proof of purchase, your name, your address, and a statement of defect, or return the Software with the above information to Licensor. This Limited Warranty is void if failure of the Software has resulted in whole or in part from accident, abuse, misapplication or violation of this Agreement. Any replacement Software will be warranted for the remainder of the original warranty period or thirty (30) days, whichever is longer. This warranty allocates risks of product failure between Licensee and Licensor. Licensor's product pricing reflects this allocation of risk and the limitations of liability contained in this warranty.

    The Software is not designed or licensed for use in hazardous environments requiring fail-safe controls, including without limitation operation of nuclear facilities, aircraft navigation or communication systems, air traffic control, and life support or weapons systems. LICENSOR specifically disclaims any express or implied warranty of fitness for such purposes.

  5. No Other Warranties: Licensor and its suppliers disclaim all other warranties, either express or implied, including, but not limited to implied warranties of merchantability and fitness for a particular purpose, with regard to the Software and accompanying written materials, If any. This limited warranty gives LICENSEE specific legal rights. LICENSEE may have other rights which vary from state to state or country to country. Licensor does not warrant that the operation of the software will be uninterrupted, error free or meet Licensee's specific requirements. The warranty set forth above is in lieu of all other express warranties whether oral or written. The agents, employees, distributors, and dealers of Licensor are not authorized to make modifications to this warranty, or additional warranties on behalf of Licensor. Additional statements such as dealer advertising or presentations, whether oral or written, do not constitute warranties by Licensor and should not be relied upon.

  6. Exclusive Remedies. You agree that your exclusive remedy against Licensor, its affiliates, contractors, suppliers, and agents for loss or damage caused by any defect or failure in the Software regardless of the form of action, whether in contract, tort, including negligence, strict liability or otherwise, shall be the return of the retail purchase price paid, if any, or replacement of the Software. This Agreement shall be construed in accordance with and governed by the laws of the State of Arizona. Copyright and other proprietary matters will be governed by United States laws and international treaties. IN ANY CASE, PACESTAR SHALL NOT BE LIABLE FOR LOSS OF DATA, LOSS OF PROFITS, LOST SAVINGS, SPECIAL, INCIDENTAL, CONSEQUENTIAL, INDIRECT OR OTHER SIMILAR DAMAGES ARISING FROM BREACH OF WARRANTY, BREACH OF CONTRACT, NEGLIGENCE, OR OTHER LEGAL THEORY EVEN IF PACESTAR OR ITS AGENT HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES, OR FOR ANY CLAIM BY ANY OTHER PARTY. Some jurisdictions do not allow the exclusion or limitation of incidental or consequential damages, so the above limitation or exclusion may not apply to you.

  7. General Provisions. Neither this Agreement nor any part or portion hereof shall be assigned or sublicensed, except as described herein. Should any provision of this Agreement be held to be void, invalid, unenforceable or illegal by a court, the validity and enforceability of the other provisions shall not be affected thereby. If any provision is determined to be unenforceable, you agree to a modification of such provision to provide for enforcement of the provision's intent, to the extent permitted by applicable law. Failure of a party to enforce any provision of this Agreement shall not constitute or be construed as a waiver of such provision or of the right to enforce such provision. If you fail to comply with any terms of this Agreement, YOUR LICENSE IS AUTOMATICALLY TERMINATED.

  8. Governing Law. The validity, construction and performance of this Agreement shall be governed by the laws of the State of Arizona.

  9. Confidentiality. Software is confidential and proprietary information of Pacestar Software and/or its licensors. User agrees to take adequate steps to protect Software from unauthorized disclosure or use.

  10. Export Regulations. Software, including technical data, is subject to U.S. export control laws, including the U.S. Export Administration Act and its associated regulations, and may be subject to export or import regulations in other countries. User agrees to comply strictly with all such regulations and acknowledges that it has the responsibility to obtain licenses to export, re-export, or import Software.

  11. Amendment. This Agreement may be amended only in writing, signed by both parties. Any attempted oral modification hereof shall be void and without any effect.

  12. U.S. GOVERNMENT RESTRICTED RIGHTS. The Software is provided with RESTRICTED RIGHTS. Use, duplication or disclosure by the Government is subject to restriction as set forth in subparagraph(c)(1)(ii) of The Rights in Technical Data and Computer Software clause at DFARS 252.227-7013 or subparagraphs(c)(1) and (2) of the Commercial Computer Software--Restricted Rights at 48 CFR 52.227-19, as applicable. Manufacturer is Pacestar Software, Phoenix, AZ USA.
YOU ACKNOWLEDGE THAT YOU HAVE READ THIS AGREEMENT, YOU UNDERSTAND THIS AGREEMENT, AND UNDERSTAND THAT BY CONTINUING THE INSTALLATION OF THE SOFTWARE, BY LOADING OR RUNNING THE SOFTWARE, OR BY PLACING OR COPYING THE SOFTWARE ONTO YOUR COMPUTER HARD DRIVE, YOU AGREE TO BE BOUND BY THIS AGREEMENT'S TERMS AND CONDITIONS. YOU FURTHER AGREE THAT, EXCEPT FOR WRITTEN SEPARATE AGREEMENTS BETWEEN PACESTAR AND YOU, THIS AGREEMENT IS A COMPLETE AND EXCLUSIVE STATEMENT OF THE RIGHTS AND LIABILITIES OF THE PARTIES. THIS AGREEMENT SUPERSEDES ALL PRIOR ORAL AGREEMENTS, PROPOSALS OR UNDERSTANDINGS, AND ANY OTHER COMMUNICATIONS BETWEEN PACESTAR AND YOU RELATING TO THE SUBJECT MATTER OF THIS AGREEMENT.


Acknowledgements

All copyrights and trademarks mentioned herein and within other on-line help, user documentation, and other material belong to their respective owners.

Windows is a registered trademark of Microsoft Corporation.

Microsoft Word is a registered trademark of Microsoft Corporation.

This software uses the FreeImage open source image library. See http:⁄⁄freeimage.sourceforge.net for details. FreeImage is used under the FreeImage Public License.

Pacestar Software is a registered trademark of Pacestar Software.


Glossary

A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

A | ^
 | active container A container (like a "box around" a subsection of a diagram) that keeps the contained objects together automatically when the container is moved, copied, deleted and so on.
 | align An operation in which you line up the sides or centers of a group of objects.
 | arrowhead A special case of an end symbol. An end symbol can be any other shape as well.
 | auto attach A feature that enables new connectors to attach to figures when you click on the figures. Attached connectors remain attached even when the figure moves.
 | auto backup A feature that automatically preserves the last saved version of your diagram in a .BAK file. You can revert to the previous version by opening the .BAK file and saving it.
 | auto save A feature that you can choose to enable to performs a save operation on all open diagrams every so often to prevent the possibility of losing data in the case of a crash or power outage.
B | ^
 | bind An object that is bound to its style will automatically adopt the properties of that style if the style changes.
 | BMP The standard Windows graphics bitmap format. a BMP image can be scaled but it does not look as good after it is scaled.
C | ^
 | center on page An operation in which an object or group of selected objects is centered on the page.
 | connector label A connector label is a special type of label that is attached to a connector. When the connector moves, the connector label follows.
 | connector segment A segment is a "leg" of a connector that runs in a straight line from a figure or junction to another figure or junction.
 | connector A connector is a line that connects two figures. A connector usually represents a path between two figures or some other logical relationship. Each end of a connector can have an attached shape such as an arrowhead.
 | container A large diagram element such as a box that contains smaller elements showing a subsection of a diagram.
 | context menus These are pop-up menus that appear when you right click the mouse on a diagram object - also called right-click menus. They contain menu operations that apply to the object that is selected or clicked on.
 | copy An operation in which you send a duplicate of the selected objects to the Windows clipboard where they can later be pasted to a different part of the diagram or to a different diagram altogether, even to a different program.
 | cursor A shape on the screen that identifies where the mouse is pointing.
 | curvature (of a connector) A connector is either straight, curved, smoothed, or rounded.
 | curved connector Curved connectors are simply connectors that follow a curve starting at one end and always curving toward the next junction point but not passing through it.
 | cut An operation in which an object or group of selected objects are removed from the current diagram and placed in the Windows clipboard where they can be pasted to another location within the diagram or to another program.
D | ^
 | diagram A diagram is a complete set of objects, styles, definitions, and properties which are saved together in one file.
 | drop shadow A shadow that shows from beneath a figure giving the figure a three dimensional appearance.
 | duplicating Duplicating is like copying but it is faster and does not send data to the clipboard. To duplicate, you click on an object or selected objects while holding down the control key and drag a copy of the selected objects to a new location.
E | ^
 | embed When a diagram is embedded in another document, it does not need a file of its own. It's entire definition is stored in the other document.
 | EMF An EMF (Enhanced Windows Metafile) is a vector (scalable) graphic file format supported as the standard exchange format between 32-bit windows applications.
 | export The process of saving a diagram on disk in a format that is useful to another program such as a graphics format like JPG or WMF or BMP.
F | ^
 | figure symbol gallery A library (on disk) of shapes that are available for use by the program to define the shape of figures.
 | figure symbol A mathematical description of the shape of a figure and the number, size, and locations of text areas within the figure.
 | figure A figure is the most common type of object in a diagram. It can be a circle or a box or any other shape. It can have descriptive text, and it can be connected to other figures with connectors.
 | fit to text An operation in which a figure is shrunk as much as possible to exactly be the right size to contain its text.
 | flip An operation that can be performed on a connector so that it points the other way.
 | flow symbols Flow symbols are shapes drawn along the length of a connector line at the size and spacing you choose. They can be dots, arrows, or many other shapes provided.
G | ^
 | gallery A library (on disk) of shapes that are available for use by the program to define the shape of figures or end symbols.
 | GIF A GIF image is a graphic image that contains bit-mapped graphics data of up to 256 colors. It is most often used to store non-photographic quality images or icons such as button designs and simple graphics. With JPEG, it is one of the most common graphic formats found on the internet.
 | group A number of objects acting together to behave like a single unit.
 | guided orthogonal connectors A property of a connector that guides the creation of an orthogonal connector (only horizontal and vertical segments). When you create a connector, it becomes vertical or horizontal if it is approximately straight, but you can still create diagonal lines. Unlike automated orthogonal connectors, other figures are not moved to force it to stay orthogonal.
H | ^
 | HTML Hypertext Mark-up Language is a text-based language for writing simple web pages.
I | ^
 | in-line connector label A text label that appears on a connector where the path of the line breaks across the label.
J | ^
 | JPEG A JPEG or JPG image is a graphic image that contains compressed bit-mapped graphics data. It is most often used to store photographic quality images of large numbers of colors. It is the most common graphic format found on the internet.
 | junction A junction is the point at which two or more connector segments meet and bend in a different direction.
L | ^
 | label A label is a text object located anywhere in a diagram. A label can be used for a note, a title, a comment, an annotation, and so on.
 | landscape A page orientation in which the page is printed lengthwise - the longer end is at the top and bottom of the page.
 | lateral connector label A text label that is attached alongside a connector and moves with the connector. A lateral connector label can be positioned above or below (or to the right or left) of a connector.
 | linked When a diagram is linked to another document in the OLE sense, it still reqquires a file of its own, but the document contains a link ot that file. In another sense of this term, diagrams can be linked together such that by clicking on a link in one diagram, another is opened in it place.
M | ^
 | message bar The area below the diagram that contains help messages, the zoom percentage, and keyboard status.
O | ^
 | object An object is any component of a diagram such as a figure, label, connector, or junction.
 | orthogonal An orthogonal connector is made up of only vertical and horizontal lines at right angles.
P | ^
 | page orientation When output is printed on a page, it can either be printed like a letter (portrait) such that the shorter dimension of the page is on top and bottom, or sideways (landscape) such that the longer dimension of the page is on top and bottom.
 | parent link A diagram can contain knowledge that another diagram is its parent such that when you clickon the go to parent toolbar button, the parent diagram is opened in its place.
 | paste An operation in which you cause data in the Windows clipboard to be duplicated in the current diagram. Most often used as a copy-paste operation to create a duplicate of an object or group of objects, or a cut-paste operation to move an object or group of objects.
 | patterned lines A connector can be drawn with a line that is patterned, either solid, dashe, dotted, or one of many other defined line patterns.
 | portrait A page orientation in which the page is printed widthwise - the shorter end is at the top and bottom of the page.
 | poster You can create a diagram that is larger than a single page by arranging several pages into a grid. When you print the pages, you can attach them together to make a large wall poster.
 | properties The internal attributes of an object such as size, shape, and color.
R | ^
 | regroup To recreate a group of objects that was recently ungrouped.
 | revert The Revert feature is located under the File menu and is used to discard all the changes made to a diagram since the last time it was saved.
 | right-click menus These are pop-up menus that appear when you right click the mouse on a diagram object - also called context menus. They contain menu operations that apply to the object that is selected or clicked on.
 | rotate text Text labels can be rotated 90 degress so they are vertical and read either top-to-bottom or bottom-to-top.
 | rounded connector A rounded connector is one in which the corners created by the intermediate junction points form rounded arcs from one line segment or the next.
S | ^
 | select mode When you are in this mode, you can select and move objects and perform many other operations. When you are in this mode, the cursor looks like the standard Windows cursor.
 | seltext mode This mode is a combination of select mode and text mode. You can select items but you can also edit text. The enter seltext mode, press the tool bar button that has an arrow cursor and the letter "T".
 | smoothed connector A smoothed connector follows a path that curves smoothly through each of it's junction points on the way to the next.
 | snap grid The invisible grid that control how objects "snap" to particular sizes and locations. You can turn the snap grid on or off by pressing the tool bar button that looks like a magnet.
 | snipping Snipping a connector is like cutting a string with a scissors so that you can manipulate each of the remaining ends independently.
 | space evenly An operation in which space out a goup of objects such that the space between them is equal.
 | stamp A method of creating diagram elements by "stamping" them onto the diagram. A representation of the new element serves as a cursor and when you click the mouse on the diagram the element appears where you click. A feature of connector styles allows you to define a fixed length and orientation so that you can create connectors in this way with the style.
 | standard sizes Several properties have a small list of pre-defined sizes available for you to select from in a list. For example, you can select a line width that is "Fine", "Medium", "Heavy", or "Very Heavy" in addition to specifying an exact point size. The standard sizes are intended to be common, attractive, and useful selections.
 | style bar button These are the buttons located on the style bar on the left side of your screen. You can click on one of these buttons to create an object of the style it represents.
 | style bar The style bar is the large area to the left of the diagram that contains buttons and list boxes. All of the controls on the style bar help you choose a style in order to create a new object.
 | style A style is a basic object definition. Like paragraph styles in word processors, LanFlow has figure styles, connector styles, and label styles. When you create any of these types of objects, the style defines the initial characteristics of the object.
T | ^
 | template A file that contains predefined styles. When you create a new diagram you can begin with a diagram template.
 | text area A rectangular area within a figure where text is permitted.
 | text mode In text mode, you can create labels and edit figure text. Enter text mode by clicking on the "T" button or by choosing a label style. When you are in text mode, the cursor looks like a text caret.
 | tool bar The tool bar is the area above the diagram that contains small square buttons. Tool bar buttons provide a shortcut for commands that can also be found in menus.
U | ^
 | unattached connector Most connectors are attached to figures and move when the figures move. Unattached connectors are free-standing and have to be moved separately.
 | unattached connectors Connectors that are not attached to a figure. Unattached connectors do not move automatically when other figures move. You can use unattached connectors to connect a line anywhere on a figure.
 | undo An operation that allows you to undo the last change you made to the diagram.
 | ungroup To break apart a group into its original component objects.
V | ^
 | vertex A point at which a line changes direction. In this program a vertex is referred to as a connector junction.
 | visible grid The grey-colored grid that appears beneath the diagram objects. The visible grid is a visual aid only. It helps you line up objects by sight.
W | ^
 | wizard When you create a new diagram, a wizard helps you choose diagram options step by step.
 | WMF An WMF (Windows Metafile Format) is a vector (scalable) graphic file format supported as the standard exchange format between 16-bit windows applications. It is also used by 32-bit Windows applications but has less power than the newer EMF.
Z | ^
 | zoom An operation in which the view of the screen "zooms" either larger or smaller to display more or less detail.


Frequently Asked Questions

  1. How do I create a new page? How do I create a large LanFlow diagram that doesn't fit on one page?
  2. How do I change how an object looks in my LanFlow diagram without affecting how future LanFlow diagrams will look?
  3. What's the difference between "properties" and "styles"?
  4. What does the "bind" concept mean?
  5. Why when I import a JPEG image, doesn't it look as good as I like when it scales?
  6. I want a shape that is not included. How can I create it or obtain it?
  7. How can I change page orientation such as portait to landscape?
  8. Is it possible to make a connector that is a double line?
  9. How can I decrease file sizes and diagrams embedded in documents?

1. How do I create a new page? How do I create a large LanFlow diagram that doesn't fit on one page?

In this program you always work with a LanFlow diagram as a whole. Think of your diagram workspace as a very large virtual chalkboard. When your LanFlow diagram gets too large for a single page, there are several options.

  • Use a larger page. If you have access to a printer that can print a bigger page, or even a plotter, this program can probably handle it. Use Page Setup to select a different page size for your diagram. The page information is saved with each diagram.
  • Break the LanFlow diagram into smaller parts and store each part in a different diagram file.
  • Use the Postering feature in Page Setup. With this feature you can lay out your diagram on a grid of pages. The usual intent is to tape the pages together to build a large wall poster of your diagram. However, you may also split your diagram up into several pages and use the grid only to manage and print the pages separately.
  • Finally, if you really require a multi-page book-type diagram, you can create it in a word processor and use OLE to insert diagrams onto each page. For example, use MS Word to create a multi-page document. On each page, use Insert Object to embed or link a different diagram. This way the Word document will contain the diagrams. You can read and print the document on any computer, but to edit the diagrams, you'll need a computer with this program installed.

2. How do I change how an object looks in my LanFlow diagram without affecting how future LanFlow diagrams will look?

When you create a LanFlow diagram, that diagram contains a "copy" of all the styles that were in the diagram template you selected. Therefore, changes to styles in your LanFlow diagram affect only that diagram UNLESS you intentionally edit the diagram template file. For example, suppose you create a LanFlow diagram but for this particular LanFlow diagram, you want all the shapes to have thicker borders than usual. After you do the New to create the diagram, go into Figures Styles and select each shape and change its border width, then make your LanFlow diagram and save it. If you wanted this change to apply for all future LanFlow diagrams you create, open the diagram template file and make the change there. Better yet, create a new template of your own so that the next time you update the program you won't lose it - future upgrades will overwrite the current template files.

3. What's the difference between "properties" and "styles"?

A style is like a model or template for creating new objects. Once you create an object, that object's style determines its initial properties. Properties are specific to a particular object.

4. What does the "bind" concept mean?

Every object you create begins with a style. The style determines certain things about how that object will look, its color is a good example. When an object is bound to its style, it automatically updates if you update the style. For example, if you change the Process style color from white to red, all process boxes that you've added to your diagram will become red, except those that are not bound. You can change whether an object is bound to its style by changing the Bind checkbox in the object's properties. It gets a little tricky when you discover that each style also has a Bind checkbox. The bind field in a style just determines the default bind state for objects created with the style.

5. Why when I import a JPEG image, doesn't it look as good as I like when it scales?

JPEG graphics are converted to bitmaps for internal usage. Therefore when you resize the image in your diagram it becomes distorted as with all raster graphics. Often JPEG images are photographic quality and this distortion is very noticeable. If you import it and do not resize it, it will not distort (even though it may look distorted because of your zoom settings). If you want to scale a JPEG image so it does not distort as badly, do so with a drawing tool before you import it.

6. I want a shape that is not included. How can I create it or obtain it?

There are several options. The simplest way is to create it as a bitmap with a paint program and then import it as the shape in a new figure style. However, this method will leave the shape rather limited in functionality unlike the built-in shapes. For other possibilities please contact the publisher.

7. How can I change page orientation such as portait to landscape?

Page set-up is controlled through the Print Set-up properties under the file menu. Even though you set your page set-up in the Print set-up area, the settings are saved within your diagram and do not effect your permanent printer settings.

8. Is it possible to make a connector that is a double line?

You can't actually do this outright, but you can use an alternative method. Create a connector and add flow symbols to it (the one that look like a double line). Position the flow symbol close enough together so that they overlap, for example use a size of 5 pts and a spacing of 4 pts. The result will be a rough but usable double line.

9. How can I decrease file sizes and diagrams embedded in documents?

There are a couple of ways to reduce the impact of large embedded diagrams on the documents that contain them. One method is to use links in your document to diagram files on disk rather than embedding them. This will keep your embedding documents small and still allow you to edit each object any way you want in tthe future. The downside to this method is that you will need to keep the document and the diagrams files together (the document will contain links to other files that will have to be present in order to edit the embedded diagram objects). Another method is to copy and paste diagrams into documents using Paste As Pictures. This will keep your documents small but they will contain only a picture of the diagram. This is best for diagrams that you will not change frequently. When you do change the diagrams using this technique you will need to manually update the embedded pictures.

One way to reduce a saved file's size is to delete any unused figure styles from the file. This will reduce the file size considerably. However, when you open the file in the future, you will not be able to add objects to the diagram using the style definitions you removed.

There are a couple of ways to reduce the impact of large embedded diagrams on the documents that contain them. One method is to use links in your document to diagram files on disk rather than embedding them. This will keep your embedding documents small and still allow you to edit each object any way you want in the future. The downside to this method is that you will need to keep the document and the diagrams files together (the document will contain links to other files that will have to be present in order to edit the embedded diagram objects). Another method is to copy and paste diagrams into documents using Paste As Pictures. This will keep your documents small but they will contain only a picture of the diagram. This is best for diagrams that you will not change frequently. When you do change the diagrams using this technique you will need to manually update the embedded pictures.


Troubleshooting

  1. How can I improve program performance?
  2. Connectors, text, and borders don't draw in the color I want.
  3. EMF import problem.
  4. Underlines get broken up.
  5. Page is blank when I print.
  6. Connector line "corners" do not reflect the corner type I chose.

1. How can I improve program performance?

First, make sure your computer has adequate memory. It's also important to know what parts of diagrams are the slowest to process so you can avoid them unless necessary. First of all the overall complexity of the diagram is very important, such as the number of figures and connectors. You can increase performance by breaking a large complex diagram into multiple smaller ones. Avoid excessive imported graphics. They require a large number of steps to draw. Also slower are (in order of most to least slow) (a) Curved connectors, especially smoothed (b) Connectors with thick and/or patterned lines (dashed or dotted) (c) Connectors with flow symbols - these can really slow down redraws.

2. Connectors, text, and borders don't draw in the color I want.

Connectors, text, and figure borders (anything drawn with lines), has to be drawn in a color that is solid on the output device. In the case of a black and white printer, the only solid colors are black and white. On a 16 color video display, there are 16 different solid colors. Windows can create other colors on the screen for fills by dithering (adding patterns of multiple colors) but it cannot do so for lines or text. Therefore, it you choose a dithered color like blue-green and try to use that color as a connector color, the connector will actually be drawn in the nearest solid color (blue or green on the display, black on a black and white printer.)

3. EMF import problem.

When importing an EMF which contains an embedded bitmap, the position of the bitmap may be incorrect. We believe this to be an error in Windows format conversion - we cannot fix it. Try importing it into another program like MS Word, then cut and paste.

4. Underlines get broken up.

When copying objects to metafiles or cutting and pasting into other programs, underlined words will occasionally display breaks or gaps in the underline between some characters. This is a natural consequence of the way the program positions and formats text to keep it aligned properly with the figures. you can minimize the effect by avoiding scaling the image after the paste.

5. Page is blank when I print.

If your diagram looks fine on the screen but you get only a blank page when you print, you have probably positioned your objects on the wrong part of the page. To view your objects in the diagram choose "Zoom" and "All Objects" from the menu. You wil see your entire diagram and should see the current page also. The white rectangle represents the portion of your diagram that is on the page. Any part of your diagram that is not over the white rectangle will not be printed. You can move all of your objects by choosing "Select All" from the "Edit" menu and dragging the objects over the page with your mouse.

6. Connector line "corners" do not reflect the corner type I chose.

Connector lines can have different corner types (also known as joins). These can be rounded, mitered, or beveled. There are a few cases where even after you set a corner type, the line will still be drawn rounded regardless of the type you choose. This is a know deficiency of patterned lines (dashed and dotted). Mitered and beveled corners may not print correctly on your printer either if your printer doesn't support line joins.


Support

We are committed to supporting LanFlow with the same high standards with which we develop products. If you contact us, we will do our best to respond in a timely manner, solve your problem or answer your question. However, please consult the on-line help and/or User's Guide first - you may find your answer there. You may use our support even if you have not yet purchased a license, though licensed customers will receive higher priority. Comments and suggestions are always welcome.

E-Mail (preferred method, fastest response)

mail@pacestar.com

Internet

Our web site contains the most complete and accurate information on our products, our policies, pricing, discounts, and online ordering:
http:⁄⁄www.pacestar.com⁄lanflow

Fax/Phone

You may also FAX or phone your support questions and orders. Our FAX and telephone numbers are listed on our web site. Phone support is available only during business hours (9-5 weekdays) and is subject to occasional periods of delays. If you need to speak to an agent but cannot reach us immediately by phone, try emailing a callback request.


Choose a Connector Style Dialog Box

You get to the Choose a Connector Style dialog box by selecting the ellipsis (...) from the Connectors drop menu. This dialog box contains all of the styles with complete names, pictures, and descriptions and lets you choose which styles appear on buttons and in drop menus.

To choose a connector style

  1. Scroll to preview all of the available styles.
  2. Click on the style to select it.
  3. Press Ok. Alternately, double-click on the style.
Category

Use this control to select which category of styles to choose from. Choose a specific category, all categories, or just the styles that don't have categories.

Edit / Add / Remove Styles

While you're here you may want to add, change, or delete connector styles from your diagram. This button just provides a convenient shortcut to the Define Connector Styles dialog box just like choosing Styles from the connectors menu.

Menu

Check or uncheck this button for each style to control whether the connectors drop menu contains a representation of the particular style.

Button

Check or uncheck this button for each style to control whether the style is represented by a button in the style bar. Reserve buttons only for your most common styles.


Choose a Figure Style Dialog Box

You get to the Choose a Figure Style dialog box by selecting the ellipsis (...) from the Figures drop menu. This dialog box contains all of the styles with complete names, pictures, and descriptions and lets you choose which styles appear on buttons and in drop menus.

To choose a figure style

  1. Scroll to preview all of the available styles.
  2. Click on the style to select it.
  3. Press Ok. Alternately, double-click on the style.
Category

Use this control to select which category of styles to choose from. Choose a specific category, all categories, or just the styles that don't have categories.

Edit / Add / Remove Styles

While you're here you may want to add, change, or delete figure styles from your diagram. This button just provides a convenient shortcut to the Define Figure Styles dialog box just like choosing Styles from the Figures menu.

Menu

Check or uncheck this button for each style to control whether the Figures drop menu contains a representation of the particular style.

Button

Check or uncheck this button for each style to control whether the style is represented by a button in the style bar. Reserve buttons only for your most common styles.


Choose a Label Style Dialog Box

You get to the Choose a Label Style dialog box by selecting the ellipsis (...) from the Labels drop menu. This dialog box contains all of the styles with complete names, pictures, and descriptions and lets you choose which styles appear on buttons and in drop menus.

To choose a label style

  1. Scroll to preview all of the available styles.
  2. Click on the style to select it.
  3. Press Ok. Alternately, double-click on the style.
Edit / Add / Remove Styles

While you're here you may want to add, change, or delete label styles from your diagram. This button just provides a convenient shortcut to the Label Styles dialog box just like choosing Styles from the Labels menu.

Menu

Check or uncheck this button for each style to control whether the Labels drop menu contains a representation of the particular style.

Button

Check or uncheck this button for each style to control whether the style is represented by a button in the style bar. Reserve buttons for your most commonly used styles.


Connection Point Options

There are several options that let you control the use of connection points in your diagram. In addition to the ability to add, move, and delete connection points from figures, there are options to control how they are used for connections, how they appear on the screen, and how they are indicated on output. Each of these is covered in detail elsewhere:

  • By selecting different attach methods (from the Connector menu), you can choose to attach to connection points, or ignore them while creating connectors.
  • You can control how the connection points appear (on the screen) by turning them on or off from the View tab of the Options dialog box, and set their color in the Colors tab of the Options dialog box.
  • You can control whether the point where a connector attaches to a connection point is marked with a dot (on screen and output), by setting Dots where connectors attach to connection points in the Diagram Properties dialog box.
  • By choosing different options within the Connections tab of the Figure Properties (and Styles) dialog boxes, you can control whether only the connection points are attached to (i.e., not the centers of the figure) and whether connections to connect points extend all the way to the connect point or terminate at the edge of the figure.


Connection Point Tool

An additional method for setting the connection points of a figure is to use the connection point tool. The connection point tool is a special mode that lets you add, move, and remove connection points right on the figure in your diagram.

To use the connection point tool, click on the icon in the tool bar. The cursor will change to a small hand. When you are done editing connection points you can quit using the connection point tool and return to another mode by clicking on the select mode button or any of the usual alternate modes.

Adding Connection Points with the Connection Point Tool

To add new connection points to a figure using the connection point tool, move the mouse over the figure and click (or right-click and choose Add Connection Point from the menu). Right click on the new point and choose Connection Point Properties to add a name or description for the new point.

Moving Connection Points with the Connection Point Tool

To move a connection point using the connection point tool, position the mouse over the connection point so that it is highlighted. Then click and drag the connection point to a new location. Use the snap grid to help by clicking on the Snap Grid On/Off toolbar button.

Deleting Connection Points with the Connection Point Tool

To delete a connection point using the connection point tool, position the mouse over the connection point so that it is highlighted. Then right-click on the connection point and choose Delete Connection Point from the menu.

After making changes to the connection points of a figure, you can update the figure style to reflect the new connection points. To do so, exit the connect point tool, right click on the figure, and choose Update Style From.. This will update the style and all other figures of the style.


Connector Properties Behaviors Tab

Use the Behaviors tab of the Connector Properties dialog box to view and edit the properties that affect the way the connector behaves within your diagram.

Do not treat as a flow (no drop-ins)

When checked, “flow” properties will be disabled for this connector. For example, you will not be able to drop a new or existing figure into the flow of the connector, automatically connecting the figure in-line with the connector. This behavior only has meaning if the “Snap figures into flows” option is enabled in Tools Options. This property is useful when a connector is used as a simple line rather than for connecting figures.

No crossovers (jogs)

When checked, this connector will not use jogs when crossing over other connectors, nor will other connectors use jogs when crossing over this connector. This behavior only has meaning if jogs are enabled in the diagram properties (see Diagram Properties Paths). This property is useful when a connector is used as a simple line rather than for connecting figures.


Connector Properties Dialog Box

Use the Connector Properties dialog box to view and modify the properties of one or more connectors.

This dialog box contains several different groupings of properties organized under tabs with an appropriate heading. To change to a different grouping of properties and their controls, press the corresponding tab. Controls located under each tab are described below.

Connector Properties General Tab

Connector Properties Line Tab

Connector Properties Ends Tab

Connector Properties Behaviors Tab

To cause a particular property to be applied to the selected objects, you must actually modify that property. For example, if you select five connectors that all have different colors and thicknesses, and you edit their properties and change only the Color field not even touching the Thickness field, all five connectors will acquire the new color and retain their previous thickness.

Once you have set all of the properties of the connector that you want to change, press one of the following buttons:

Apply

Applies the property changes to the selected connector or connectors without exiting the dialog box.

Ok

Applies the property changes to the selected connector or connectors and exits the dialog box.

Cancel

Exits the dialog box and discards any changes you made since last pressing the Apply button. Once you apply changes, those changes remain in effect even if you press Cancel.


Connector Properties Ends Tab

Use the Ends tab of the Connector Properties dialog box to view and edit the appearance of the symbols that are drawn at the ends of the connector (such as arrowheads).

End symbol 1

To change the originating end of the connector, choose a color, size, and end symbol.

End symbol 1: Symbol

Select the end symbol shape from the end symbol drop menu. The symbols above the line are always available. The symbols below the line (if any) are the non-built-in symbols used in this diagram. Click on the three dots on the lower right to choose from more symbols in the End symbol Gallery. End symbol Gallery

End symbol 1: Fill color

Choose a fill color for this end symbol.

End symbol 1: Symbol size

Choose a size for this end symbol.

End symbol 2

To change the terminating end of the connector, choose a color, size, and end symbol.

End symbol 2: Symbol

Select the end symbol shape from the end symbol drop menu. The symbols above the line are always available. The symbols below the line (if any) are the non-built-in symbols used in this diagram. Click on the three dots on the lower right to choose from more symbols in the End symbol Gallery. End symbol Gallery

End symbol 2: Fill color

Choose a fill color for this end symbol.

End symbol 2: Symbol size

Choose a size for this end symbol.

Borders

To change the width of the borders around the connector ends, enter a border width or use the up and down spin buttons.


Connector Properties General Tab

Use the General tab of the Connector Properties dialog box to view and edit the basic properties of the selected connector such as its location, size, appearance, and color.

Based on style

To change the connector's style, choose a new style from the combo box or the style drop menu located to the left. This will change the appearance of the connector and it will inherit all the properties from the new style you choose.

Styles

This button is a drop menu for the same purpose as Based on style described above.

Bind to style

Check this box to choose whether or not a connector's properties are bound to the style. If a connector's properties are bound to its style, then anytime the style properties change, the connector gets the new properties automatically. You will want to set this option for most normal connectors.

Orthogonal

This property can provide some assistance in creating and keeping connectors orthogonal (all lines vertical or horizontal). Guided provides adequate help for most cases.


Connector Properties Line Tab

Use the Line tab of the Connector Properties dialog box to view and edit the appearance of the line that is drawn along the connector's.

Line

A connector line can be one of many line styles such as solid, dashed, dotted, and so on. To change the connector's line style, choose a new line style from the drop menu.

Color

To change the color of the connector, choose a different color from the color selection drop menu.

Width

To change the line width of the connector, enter a width or use the up and down spin buttons. You can also choose a standard width by clicking on the drop menu.

Curvature

Select one of the curvature options for the connector. The path of the connector can be straight, curved. smoothed, or rounded.

Corners

Choose a corner style (also known as a line join style). These options apply to the way that thick straight connectors appear when two segments meet. Note that corners will appear rounded when imported into other documents.

Flow symbols along line

Check this box to enable flow symbols to be drawn along the path of the connector.

Kind

Choose the kind of flow symbol from the flow symbol drop menu.

Fill color

Choose a fill color for the flow symbols.

Border color

Choose a border color for the flow symbols.

Size

Choose the size for the flow symbols.

Spacing

Choose the spacing interval between flow symbols.

Border width

Choose the line width of the borders of the flow symbols.


Connector Styles Auto-Label Tab

Use the Auto-Label tab of the Connector Styles dialog box to view and edit the properties that affect the automatic labeling of connectors created with this style.

Automatically add a default label upon creation

Check this box to cause connectors of this style to be labeled with default text automatically when created. The label’s style and hence its size, color, font and so on are controlled by the current Connector Label Style defined in the Labels tab of the Diagram Properties dialog box.

Label text

Enter the default text of the auto-label.

Position

Select whether the automatically created label will apear in-line or alongside the connector above or below (or to the right or left of vertical connectors). The label will always be centered along the length of the connector and the text will be center-justified. Also note that if you create the connector with multiple segments, the label will appear on the first segment.


Connector Styles Behaviors Tab

Use the Behaviors tab of the Connector Styles dialog box to view and edit the properties that affect the way connectors of this style behave within your diagram.

Do not treat as a flow (no drop-ins)

When checked, “flow” properties will be disabled for connectors of this style. For example, you will not be able to drop a new or existing figure into the flow of the connector automatically connecting the figure in-line with the connector. This behavior only has meaning if the “Snap nodes into flows” option is enabled in Tools Options. This property is useful when a path is used as a simple line rather than for connecting nodes.

No crossovers (jogs)

When checked, connectors of this style will not use jogs when crossing over other connectors, nor will other connectors use jogs when crossing over connectors of this style. This behavior only has meaning if jogs are enabled in the diagram (see Diagram Properties Paths). This property is useful when a connector is used as a simple line rather than for connecting figures.


Connector Styles Ends Tab

Use the Ends tab of the Define Connector Styles dialog box to view and edit the appearance of the symbols that are drawn at the ends of the connector (such as arrowheads).

End symbol 1

To change the originating end of the connector, choose a color, size, and end symbol.

Symbol

Select the end symbol shape from the end symbol drop menu. The symbols above the line are always available. The symbols below the line (if any) are the non-built-in symbols used in this diagram. Click on the three dots on the lower right to choose from more symbols in the End Symbol Gallery. End symbol Gallery

Fill color

Choose a fill color for this end symbol.

Symbol size

Choose a size for this end symbol.

End symbol 2

To change the terminating end of the connector, choose a color, size, and end symbol.

Symbol

Select the end symbol shape from the end symbol drop menu. The symbols above the line are always available. The symbols below the line (if any) are the non-built-in symbols used in this diagram. Click on the three dots on the lower right to choose from more symbols in the End symbol Gallery. End symbol Gallery

Fill color

Choose a fill color for this end symbol.

Symbol size

Choose a size for this end symbol.

Borders

To change the width of the borders around the connector ends, enter a border width or use the up and down spin buttons.


Connector Styles General Tab

Use the General tab of the Define Connector Styles dialog box to view and edit the basic properties of the selected connector style.

Belongs to category

Select a category to which the style belongs. The category is optional and helps arrange the styles within submenus of the Connector Styles Drop Menu for easy identification. You can select an existing category from the combo box or type in a new category name. Choose (no category) to eliminate the category.

Description

The description is a short text description of the style. This description is displayed in the status bar when the style is selected.

Bind to style

Check this box to choose whether or not a connector's properties are bound to the style. If a connector's properties are bound to its style, then anytime the style properties change, the connector gets the new properties automatically. You will generally want to set this option for normal connectors.

In drop menu

Check this box to have this style appear in the Connectors style drop menu.

Style bar button

Check this box to have the style appear on a button on the style bar.

Orthogonal

This property can provide some assistance in creating and keeping connectors orthogonal (all lines vertical or horizontal). Guided provides adequate help for most cases.


Connector Styles Line Tab

Use the Line tab of the Define Connector Styles dialog box to view and edit the line of the selected connector style.

Line

A connector line can be one of many line styles such as solid, dashed, dotted, and so on. To change the connector's line style, choose a new line style from the drop menu.

Color

To change the color of the connector, choose a different color from the color selection drop menu.

Width

To change the line width of the connector, enter a width or use the up and down spin buttons. You can also choose a standard width by clicking on the drop menu.

Curvature

Select one of the curvature options for the connector. The path of the connector can be straight, curved. smoothed, or rounded.

Corners

Choose a corner style (also known as a line join style). These options apply to the way that thick straight connectors appear when two segments meet. Note that corners will appear rounded when imported into other documents.

Flow symbols along line

Check this box to enable flow symbols to be drawn along the path of the connector.

Kind

Choose the kind of flow symbol from the flow symbol drop menu.

Fill color

Choose a fill color for the flow symbols.

Border color

Choose a border color for the flow symbols.

Size

Choose the size for the flow symbols.

Spacing

Choose the spacing interval between flow symbols.

Border width

Choose the line width of the borders of the flow symbols.


Connector Styles Stamp Tab

Use the Stamp tab of the Define Connector Styles dialog box to control how a connector of the style gets created. Whereas normally a connector is created by clicking one endpoint then the other, it can also be created as a stamp with a predetermined length and orientation.

Automatically add a default label upon creation

Checking this property allows you to create connectors of this style as a stamp similar to how you create figures. In other words, when you select the label style and enter connect mode, the cursor will become a representation of a fixed size segment of the connector that you can “stamp” onto your diagram rather than clicking twice to define the endpoints of the connector.

Length

A stamp connector requires a fixed (non-zero) length. This is the size of the connector that will be created when you stamp it onto your diagram.

Orientation

A stamp connector requires an orientation. The stamp path can point in any of the directions provided.

Note that the stamp attribute controls only how a connector is created. Once it is created it is identical to any other connector and can be adjusted in any of the usual ways.


Define Connector Styles Dialog Box

This dialog box allows you to view and modify attributes of the existing connector styles, delete old styles, and create new styles.

The Define Connector Styles dialog box contains tabs for General, Line, and Ends styles which are described in following sections. Common controls are described below.

Connector Styles General Tab

Connector Styles Line Tab

Connector Styles Ends Tab

Connector Styles Behaviors Tab

Connector Styles Auto-Label Tab

Connector Styles Stamp Tab

Model

The upper left corner of the dialog box contains a model of the connector style. The model is an illustration of how a connector of this style will appear in your diagram. As you modify style attributes that affect the appearance of the style, the model helps you to visualize the outcome.

Style Selection

Below the model is a list box containing names of all the connector styles presently included in your diagram. The style that is selected is the one being shown in the model and reflected throughout all the other controls in the dialog box. When you make a change, this is the style that is altered.

Above the list box is a button labeled Styles that provides a drop menu for changing the selected style.

New

Press this button to create a new style. The New Connector Style dialog box appears to prompt for the name of the new style.

Press OK immediately to accept the default name, or enter a more descriptive name of your own. The name must not match the name of any existing style.

We strongly recommend that you enter a descriptive name for the style. This will help you remember the style's purpose. Now is the time to do it, because if you want to change the name later, the only way to do it is to copy the style to one of a new name and delete the old style. This can be inconvenient because you may have to go back and define and existing objects of the old style to the new style (by editing its properties).

Copy

Press this button to create a new style that is a copy of the current style. Enter a descriptive name for the style as with New above.

Rename

Press this button to change the name of the currently selected style.

Delete

Press this button to delete the currently selected style. You will be asked to confirm the deletion before it takes effect. Be very careful. Deleting a style cannot be undone. If you have any doubts, save your diagram before deleting any styles.

When you delete a style, any objects in the diagram that were created with this style and bound to it become unbound.

Close

Press this button to exit the dialog box. If you have made changes to the currently selected style that you have not yet applied, you will be asked to do so before exiting.

Apply

Press this button to apply all the changes you have made to the currently selected connector style. You should apply your changes before switching to select a different style or closing the dialog box. If you forget, you will be asked whether to apply or discard the changes before going on.

The Selected Style


Define Figure Styles Dialog Box

This dialog box allows you to view and modify attributes of the existing styles, delete old styles, and create new styles.

The Define Figure Styles dialog box contains tabs for General, Text, and Behavior styles which are described in following sections. Common controls are described below.

Figure Styles General Tab

Figure Styles Text Tab

Figure Styles Connections Tab

Figure Styles Behaviors Tab

Figure Styles Auto Label

Figure Styles Fill Tab

Model

The upper left corner of the dialog box contains a model of the figure style. The model is an illustration of how a figure of this style will appear in your diagram. As you modify style attributes that affect the appearance of the style, the model helps you to visualize the outcome.

Style Selection

Below the model is a list box containing names of all the figure styles presently included in your diagram. The style that is selected is the one being shown in the model and reflected throughout all the other controls in the dialog box. When you make a change, this is the style that is altered.

Above the list box is a button labeled Styles that provides a drop menu for changing the selected style.

New

Press this button to create a new style. The New Figure Style dialog box appears to prompt for the name of the new style.

Press OK immediately to accept the default name, or enter a more descriptive name of your own. The name must not match the name of any existing style.

We strongly recommend that you enter a descriptive name for the style. This will help you remember the style's purpose. Now is the time to do it, because if you want to change the name later, the only way to do it is to copy the style to one of a new name and delete the old style. This can be inconvenient because you may have to go back and define and existing objects of the old style to the new style (by editing its properties).

Immediately after you create a new style, you will need to select a figure shape by pressing one of the Select or change shape buttons.

Copy

Press this button to create a new style that is a copy of the current style. Enter a descriptive name for the style as with New above.

Rename

Press this button to change the name of the currently selected style.

Delete

Press this button to delete the currently selected style. You will be asked to confirm the deletion before it takes effect. Be very careful. Deleting a style cannot be undone. If you have any doubts, save your diagram before deleting any styles.

When you delete a style, any objects in the diagram that were created with this style and bound to it become unbound.

Close

Press this button to exit the dialog box. If you have made changes to the currently selected style that you have not yet applied, you will be asked to do so before exiting.

Apply

Press this button to apply all the changes you have made to the currently selected figure style. You should apply your changes before switching to select a different style or closing the dialog box. If you forget, you will be asked whether to apply or discard the changes before going on.

The Selected Style

Setting Figure Style Symbol or Graphic


Define Label Styles Dialog Box

This dialog box allows you to view and modify attributes of the existing label styles, delete old styles, and create new styles.

The Define Label Styles dialog box contains tabs for General, Text, and Behavior styles which are described in following sections. Common controls are described below.

Label Styles General Tab

Label Styles Text Tab

Label Styles Behaviors Tab

Model

The upper left corner of the dialog box contains a model of the label style. The model is an illustration of how a label of this style will appear in your diagram. As you modify style attributes that affect the appearance of the style, the model helps you to visualize the outcome.

Style Selection

Below the model is a list box containing names of all the label styles presently included in your diagram. The style that is selected is the one being shown in the model and reflected throughout all the other controls in the dialog box. When you make a change, this is the style that is altered.

Above the list box is a button labeled Styles that provides a drop menu for changing the selected style.

New

Press this button to create a new style. The New Label Style dialog box appears to prompt for the name of the new style.

Press OK immediately to accept the default name, or enter a more descriptive name of your own. The name must not match the name of any existing style.

We strongly recommend that you enter a descriptive name for the style. This will help you remember the style's purpose. Now is the time to do it, because if you want to change the name later, the only way to do it is to copy the style to one of a new name and delete the old style. This can be inconvenient because you may have to go back and define and existing objects of the old style to the new style (by editing its properties).

Copy

Press this button to create a new style that is a copy of the current style. Enter a descriptive name for the style as with New above.

Rename

Press this button to change the name of the currently selected style.

Delete

Press this button to delete the currently selected style. You will be asked to confirm the deletion before it takes effect. Be very careful. Deleting a style cannot be undone. If you have any doubts, save your diagram before deleting any styles.

When you delete a style, any objects in the diagram that were created with this style and bound to it become unbound.

Close

Press this button to exit the dialog box. If you have made changes to the currently selected style that you have not yet applied, you will be asked to do so before exiting.

Apply

Press this button to apply all the changes you have made to the currently selected label style. You should apply your changes before switching to select a different style or closing the dialog box. If you forget, you will be asked whether to apply or discard the changes before going on.

The Selected Style


End symbol Gallery

The End symbol Gallery is a library of the pre-defined end symbols (arrowheads and such) available to your diagram. Use the end symbol gallery to select an end symbol to use as the shape of a connector's arrowhead.

End symbols

The program comes with an initial collection of end symbols including a number of built-in arrows that are always visible in the drop menu. These are categorized by shape and by diagram type. You can add new symbols to your gallery by obtaining extension packs from the publisher.

End symbols are stored in .EDE files (one per category) on your hard disk in the program's Symbols folder. These are ASCII text files that you can use to create new symbols. For a complete reference to creating and editing custom symbols see the Formats and Customization Guide.

End symbol Gallery Dialog Box


End symbol Gallery Dialog Box

Use the End symbol Gallery dialog box to select an end symbol as the shape of a connector end (such as an arrow head).

Symbol List
Select a symbol by scrolling through the complete list and clicking on the symbol of your choice.

Symbol:
This field describes the name of the symbol.

File:

This field identifies the file where the symbol was located.

Centered

If checked it means the selected end symbol is centered at the endpoint of the connector.

Rotates

If checked it means that the end symbol is rotated in the direction of the connector.

Description box

The description area at the bottom displays the comment fields from the file that contains the symbol definition. By convention, the comments describe the symbol collection name and the producer of the symbols.

OK

Press OK to exit the dialog box and select the symbol that you highlighted in the list.

Cancel

Press Cancel to exit the dialog box and keep the previously defined symbol or graphic.


Figure Properties Behaviors Tab

Use the Behaviors tab of Figure Properties dialog box to view and edit the properties that affect the way the figure behaves within your diagram.

Line too long

This property controls what happens when typed text becomes too wide for the figure. If set to Prevent, additional characters are not allowed. If set to Expand, the figure automatically grows wider as you continue typing. The direction of expansion is controlled by the Horizontal expansion property. If set to Wrap, the width of the figure does not change and the text word-wraps automatically to the next line.

Horizontal expansion

This property controls in which direction the figure expands when it expands automatically in the horizontal direction, such as when you type more text than will fit in the current width of the figure.

Too many lines

This property controls what happens when typed text exceeds the number of lines that fit in a figure of this style. If set to Prevent, additional lines are not allowed. If set to Expand, the figure automatically grows taller as you add lines. The direction of expansion is controlled by the Vertical expansion property.

Vertical expansion

This property controls in which direction the figure expands when it expands automatically in the vertical direction, such as when you type more lines of text than will fit in the current height of the figure.

Horizontal center snaps to grid

Check this property to cause the figure's horizontal center to snap to the grid when you create it or move it, provided snap is enabled. You will generally want to set this property for figures that are connected to other figures as it will aid in keeping nodes aligned horizontally.

Vertical center snaps to grid

Check this property to cause the figure's vertical center to snap to the grid when you create it or move it, provided snap is enabled. You will generally want to set this property for figures that are connected to other figures as it will aid in keeping nodes aligned vertically.

Width snaps to grid

When this property is checked (and the snap grid is enabled), the figure's width remains an even multiple of the snap grid when you resize the figure.

Height snaps to grid

When this property is checked (and the snap grid is enabled), the figure's height remains an even multiple of the snap grid when you resize the figure.

Left and right edges snap to grid

When this property is checked and the snap grid is enabled, the figure's left and right edges snap to the grid when you move, create, or resize the figure. But not if you move or resize it along with a group of selected objects, or if you create it with its default size without intentionally resizing it.

If the figure's width is not an even multiple of the snap grid and you drag the figure, it would obviously not be possible for both edges to be aligned to the grid without resizing the figure. In this case, either edge (the one that is closest) is aligned to the grid. And if the center is closest to the grid and 'Horizontal center snaps to grid' is also enabled, the figure can snap there as well. There are also cases where the figure is allowed to snap in other positions to help keep lines straight. If the figure's width is not an even multiple of the snap grid and you resize the figure by dragging a resize handle, only the edge that the handle is on (the one you are dragging) aligns to the grid. To resize it so that both edges are aligned to the grid, resize it using both the left handle and the right handle.

This property and 'Horizontal center snaps to grid' are mutually exclusive. Only one can be in effect. This property is most useful when 'Center stationary when resizing horizontally' is disabled.

Top and bottom edges snap to grid

When this property is checked and the snap grid is enabled, the figure's top and bottom edges snap to the grid when you move, create, or resize the figure. (But not if you move or resize it along with a group of selected objects, or if you create it with its default size without intentionally resizing it.)

If the figure's height is not an even multiple of the snap grid and you drag the figure, it would obviously not be possible for both edges to be aligned to the grid without resizing the figure. In this case, either edge (the one that is closest) is aligned to the grid. And if the center is closest to the grid and 'Vertical center snaps to grid' is also enabled, the figure can snap there as well. There are also cases where the figure is allowed to snap in other positions to help keep lines straight. If the figure's height is not an even multiple of the snap grid and you resize the figure by dragging a resize handle, only the edge that the handle is on (the one you are dragging) aligns to the grid. To resize it so that both edges are aligned to the grid, resize it using both the top handle and the bottom handle.

This property and 'Vertical center snaps to grid' are mutually exclusive (only one can be in effect). This property is most useful when 'Center stationary when resizing vertically' is turned off.

Center stationary when resizing horizontally

Check this property to cause the center of the figure to remain in the same place when you resize it horizontally by dragging the handles.

This property is useful when figures are lined up vertically one above the other and potentially connected by a single connector from the horizontal center of one figure to the horizontal center of another above or below it. With this property, the figure will remain aligned with the other if it is resized horizontally.

Center stationary when resizing vertically

Check this property to cause the center of the figure to remain in the same place when you resize it vertically by dragging the handles.

This property is useful when figures are lined up horizontally one alongside the other and potentially connected by a single connector from the vertical center of one figure to the vertical center of another to its right or left. With this property, the figure will remain aligned with the others if it is resized vertically.

Keep sized to text

When this property is checked, the figure is always sized to exactly fit the amount of text it contains. For example, if you edit text for a figure such that the figure has less text than it had before, the figure will automatically resize itself to shrink down around the new text as soon as you complete editing the text. This property is primarily useful for labels. Used with non-labels, it can cause confusion.

Preserve aspect ratio

When this property is checked, the figure retains its current aspect ratio (its height compared to its width) when you resize the figure by dragging the corner handles or when the figure expands due to typing text. You can still change the aspect ratio of the figure by dragging the side handles, setting the size directly in the General tab, or using the From Selected button. Note: aspect ratio is always locked regardless of the value of this flag if the figure has the automatic text scaling property (see below).

Automatic text scaling

When this property is checked, the figure text scales automatically when you resize the figure. Figures having this property always maintain a fixed aspect ratio (height vs. width) over-riding the Preserve Aspect Ratio property.

Do not print or export

When this property is checked, the object will not appear in print-outs or when the diagram is copied or exported. This property is useful for hiding objects that exist only for visual notation on the screen ,and for implementing hyperlinks to other diagrams or documents .

Active container - keep contained objects together

When this property is checked, the figure serves as a container object that automatically keeps objects contained within its bounds together as a unit. Moving the container results in moving along the contents. Copying the container copies the contents. Deleting the container deletes the contents, and so on. Note, if the container is filled, only objects on top of the container are kept together. If it has no fill, all objects above or below are kept together.

This property is usually set along with others for the purpose of creating a container, a special type of figure that identifies a subset of your diagram.


Figure Properties Connections

Use the Connections tab of the Figure Properties dialog box to view and edit the figure's connection points and properties.

Connection points

This area shows the location of any connection points within the figure. One connection point is always selected and highlighted. You can use the mouse to drag and reposition connection points, select a different point. or right click to delete a connection point or add a new one. The arrow buttons cycle through the selected connection point. The Add button adds a new point, and the Delete button deletes the highlighted point.

Name or Description

Each connection point can have a name or description. Use this control to view and edit the name of the selected connection point.

Remove when not in use

When a connection point is added during the creation of a connector using the click point attach method, it is temporary by default and will remove itself when all attached connectors are deleted. Using this control, you can make such a connection point permanent.

Snap to center and edges

Check this box to have the mouse snap to the centers and edges of the figure while you drag a connection point with the mouse (in this dialog box).

Snap to grid

Check this box to have the mouse snap to the diagram grid while you drag a connection point with the mouse (in this dialog box).

Terminate connections to connection points at border

Check this box to cause connections to terminate at the border of the figure rather than extending all the way to the connection points.

Enable standard center connect (terminated at border)

Check this box to enable connectors to attach at the center of the figure. This option is useful if you have a figure with connection points. You can choose to allow connectors to attach only at the connection points, or to the figure center also.


Figure Properties Dialog Box

Use the Figure Properties Dialog Box to view and modify the properties of one or more figures.This dialog box contains several different groupings of properties organized under tabs with an appropriate heading. To change to a different grouping of properties and their controls, press the corresponding tab. Controls located under each tab are described below.

Figure Properties General Tab

Figure Properties Text Tab

Figure Properties Connections

Figure Properties Behaviors Tab

Figure Properties Fill Tab

To cause a particular property to be applied to the selected objects, you must actually modify that property. For example, if you select five figures that all have different heights and widths, and you edit their properties and change only the Width field not even touching the Height field, all five figures will acquire the new width and retain their previous height.
Once you have set all of the properties of the figure that you want to change, press one of the following buttons:
Apply

Applies the property changes to the selected figure or figures without exiting the dialog box.

Ok

Applies the property changes to the selected figure or figures and exits.

Cancel

Exits the dialog box and discards any changes you made since last pressing the Apply button. Once you apply changes, those changes remain in effect even if you press Cancel.

Changing properties for multiple figures

You can change a property, or any number of different properties, to a number of figures at the same time. To do so, select the figures and use the dialog box as usual. Only the properties you actually modify will be applied to the selected objects. For example, if you select five figures that all have different heights and widths, and you edit their properties and change only the Width field, all five figures will acquire the new width and retain their previous height.

Several figure properties can also be changed simply by selecting the figure(s) and clicking on the buttons and controls on the property bar or under the Figure menu. These are simply shortcuts to the same changes in the Figure Properties dialog box.


Figure Properties Fill Tab

Use the Fill tab of the Figure Properties dialog box to view and edit figure fill properties.

Fill method

Select the type of fill. The remainder of controls on this screen depend on which method is selected.

Color

A single color control is available when the fill method is 'Solid color'. Use this control to select the solid fill color.

From/To

The 'From' and 'To' color selection controls are available when the fill method is 'Linear gradient' or 'Elliptical gradient'. Use these controls to select the start and end colors that are blended across the gradient.

Gamma Correction

Check this box to improve the uniformity of how colors blend across gradients with respect to color intensity.

Blend

The 'Blend' control is available when a gradient fill method is selected. Use this control to choose how the 'From' color is blended into the 'To' color across the gradient. Linear blend means simply that the 'From' color is blended uniformly into the 'To' color. When 'Bell curve' is selected, the 'From' color blends into the 'From' color based on a normal distribution bell curve contributing to a natural 3D shading effect. When 'Platform' is selected, the gradient begins with the 'From' color, gradually blends to a color midway between 'To' and 'From', remains constant for a certain distance, and then blends to the 'To' color.

Angle

The 'Angle' control is available when the linear gradient fill method is selected. Use this control to select an angle for the blend. For cylindrical blends, angles of 180 or greater cause the swapping of the 'From' and 'To' colors.

Intensity

The 'Intensity' control is available when a gradient fill method is selected. Use this control to select how prominent the 'From' color appears in the blend. A value of 100 is most intense, while a value of zero makes the 'From' color undetectable. Intensity is most useful when used with a white or black 'From' color in order to acheive a gradient between two shades of the same color but without having to actually choose two shades of the color separately.

Center

The 'Center' control is available only with the linear gradient fill method. Use this control to position the midpoint of the gradient from 0 to 100. If the 'Blend' is set to 'Platform' this control affects the size of center rather than the position.

X Offset, Y Offset

These controls are available only for the elliptical gradient fill method. Choose values from 0 to 100 to position the center of the elliptical gradient anywhere on the figure. An off-center elliptical gradient produces a 3D appearance.

Spread

This control is available only for the elliptical gradient fill method. Choose a value from 0 to 100 to increase the size of the center region of the gradient.

Presets

Choose a preset fill as a shorthand for popular combinations of the above options. Presets combine all of the fill properties except for the 'To' color which is independently controllable.


Figure Properties General Tab

Use the General tab in the Figure Properties dialog box to view and edit the basic properties of the selected figure such as its location, size, appearance, and color.

Based on style

To change the figure's style, choose a new style from the combo box or the style drop menu located to the left. This will change the appearance of the figure and it will inherit all the properties from the new style you choose. For example, use this control if you created a box and later determine that it should really be a circle.

Styles

This button is a drop menu to choose a style graphically for the same purpose as Based on style described above.

Left

To change the position of the figure, enter a new location for the left-most edge. The value is the distance from the origin point on the ruler bar (0,0) or equivalently from the left edge of the page (positive measurements are to the right).

Top

To change the position of the figure, enter a new location for the top-most edge. The value is the distance from the origin point on the ruler bar (0,0) or equivalently from the top edge of the page (positive measurements are downward).

Width

To change the width of the figure, enter a new width.

Height

To change the height of the figure, enter a new height.

Text Color

To change the color of the figure's text, choose a different color from the color selection drop menu.

Border Color

To change the color of the figure's border, choose a different color from the color selection drop menu.

Fill Color

To change the color of the interior of the figure, choose a different color from the color selection drop menu.

Bind to style

Check this box to choose whether or not a figure's properties are bound to the style. If a figure's properties are bound to its style, then anytime the style properties change, the figure gets the new properties automatically.

Border width

To change the thickness of the lines that make up the border (outline) of the figure, enter a new border width. You can also change the border width by pressing the up and down spin buttons to the right. Or you can choose one of the standard border widths by pressing the Width drop menu button itself.

Line Pattern

Select a line pattern for drawing borders such as solid, dashed, dotted, and so on. The line style is used to draw for the entire outline of the shape, not just the outside edges so consider carefully before using a pattern other than solid. Also note that some older shapes cannot use this property.

Drop Shadow

Check this box to add a drop shadow to the figure to give it a three-dimensional look. You control the size and color from within the Diagram Properties dialog box.

The remainder of the controls in the General tab of the figure Properties dialog box allow you to change the shape of the figure.


Figure Properties Text Tab

Use the Text tab of the Figure Properties dialog box to view and edit the figure text and the properties of the figure that affect the display and format of the text.

Text box

This area shows a model of the shape of the figure. The dotted rectangles show the boundaries of the text region(s) in the figure. If the figure shape contains more than one text region, the arrows control which region is selected and marked by a dark gray dotted box.

Text

The text control to the right of the model displays the text that is contained in the figure in the selected text region. The text here can be edited using the usual Windows edit box controls including copy and paste. Notice that text in this box just shows the words. It does not reflect the font, text size, boldness, or alignment as it would in the figure itself. Furthermore, if you edit the text here, you will lose all embedded font controls. For example, if the text as a whole was not bold but you had bolded one word, then if you edit the text through this edit box, that bold word along with the rest of the text in the figure will revert back to the figure font attributes shown in this dialog box.

Hidden

When checked, the selected text area is hidden and cannot be edited on-screen. Hiding text areas is useful when creating transparent shapes that have outlines but no fill. To make a shape completely transparent you need to use a null fill and make the text areas hidden, otherwise objects beneath the shape will not be selectable.

Alignment

Use the alignment controls to determine how the text is aligned horizontally (left, center, or right) and vertically (top, middle, or bottom).

Font

Choose the font family to display the font.

Bold, Italic, and Underline

Select common font attributes.

Size

Use the drop down box to select a point size for the font.

Text color

To change the color of the figure's text, choose a different color from the color selection drop menu.

Ellipsis (...)

Use the button with the three dots to choose the font attributes using the standard Windows font selection dialog box shown below. Controls in this dialog are self-explanatory.


Figure Styles Auto Label

Use the Auto Label tab of the Define Figure Styles dialog box to view and edit the style's auto label.

Automatically label figures created using this style

Check this box to enable auto-label for this style.

Label Text

Enter the text for the auto label.

For auto-labels to appear when you create a figure of this style, the Auto-label option must be enabled (See Tools Options).

The position (slot) used for auto-labels is determined by the "Primary position" setting for figure labels (See Diagram Properties - Labels).


Figure Styles Behaviors Tab

Use the Behaviors tab of the Define Figure Styles dialog box to view and edit the properties that affect the way figures of this style behave within your diagram.

Line too long

This property controls what happens when typed text becomes too wide for the figure. If set to Prevent, additional characters are not allowed. If set to Expand, the figure automatically grows wider as you continue typing. The direction of expansion is controlled by the Horizontal expansion property. If set to Wrap, the width of the figure does not change and the text word-wraps automatically to the next line.

Horizontal expansion

This property controls in which direction the figure expands when it expands automatically in the horizontal direction, such as when you type more text than will fit in the current width of the figure.

Too many lines

This property controls what happens when typed text exceeds the number of lines that fit in a figure of this style. If set to Prevent, additional lines are not allowed. If set to Expand, the figure automatically grows taller as you add lines. The direction of expansion is controlled by the Vertical expansion property.

Vertical expansion

This property controls in which direction the figure expands when it expands automatically in the vertical direction, such as when you type more lines of text than will fit in the current height of the figure.

Horizontal center snaps to grid

Check this property to cause the figure's horizontal center to snap to the grid when you create it or move it, provided snap is enabled. You will generally want to set this property for figures that are connected to other figures as it will aid in keeping nodes aligned horizontally.

Vertical center snaps to grid

Check this property to cause the figure's vertical center to snap to the grid when you create it or move it, provided snap is enabled. You will generally want to set this property for figures that are connected to other figures as it will aid in keeping nodes aligned vertically.

Width snaps to grid

When this property is checked (and the snap grid is enabled), the figure's width remains an even multiple of the snap grid when you resize the figure.

Height snaps to grid

When this property is checked (and the snap grid is enabled), the figure's height remains an even multiple of the snap grid when you resize the figure.

Left and right edges snap to grid

When this property is checked and the snap grid is enabled, the figure's left and right edges snap to the grid when you move, create, or resize the figure. But not if you move or resize it along with a group of selected objects, or if you create it with its default size without intentionally resizing it.

If the figure's width is not an even multiple of the snap grid and you drag the figure, it would obviously not be possible for both edges to be aligned to the grid without resizing the figure. In this case, either edge (the one that is closest) is aligned to the grid. And if the center is closest to the grid and 'Horizontal center snaps to grid' is also enabled, the figure can snap there as well. There are also cases where the figure is allowed to snap in other positions to help keep lines straight. If the figure's width is not an even multiple of the snap grid and you resize the figure by dragging a resize handle, only the edge that the handle is on (the one you are dragging) aligns to the grid. To resize it so that both edges are aligned to the grid, resize it using both the left handle and the right handle.

This property and 'Horizontal center snaps to grid' are mutually exclusive. Only one can be in effect. This property is most useful when 'Center stationary when resizing horizontally' is disabled.

Top and bottom edges snap to grid

When this property is checked and the snap grid is enabled, the figure's top and bottom edges snap to the grid when you move, create, or resize the figure. (But not if you move or resize it along with a group of selected objects, or if you create it with its default size without intentionally resizing it.)

If the figure's height is not an even multiple of the snap grid and you drag the figure, it would obviously not be possible for both edges to be aligned to the grid without resizing the figure. In this case, either edge (the one that is closest) is aligned to the grid. And if the center is closest to the grid and 'Vertical center snaps to grid' is also enabled, the figure can snap there as well. There are also cases where the figure is allowed to snap in other positions to help keep lines straight. If the figure's height is not an even multiple of the snap grid and you resize the figure by dragging a resize handle, only the edge that the handle is on (the one you are dragging) aligns to the grid. To resize it so that both edges are aligned to the grid, resize it using both the top handle and the bottom handle.

This property and 'Vertical center snaps to grid' are mutually exclusive (only one can be in effect). This property is most useful when 'Center stationary when resizing vertically' is turned off.

Center stationary when resizing horizontally

Check this property to cause the center of the figure to remain in the same place when you resize it horizontally by dragging the handles.

This property is useful when figures are lined up vertically one above the other and potentially connected by a single connector from the horizontal center of one figure to the horizontal center of another above or below it. With this property, the figure will remain aligned with the other if it is resized horizontally.

Center stationary when resizing vertically

Check this property to cause the center of the figure to remain in the same place when you resize it vertically by dragging the handles.

This property is useful when figures are lined up horizontally one alongside the other and potentially connected by a single connector from the vertical center of one figure to the vertical center of another to its right or left. With this property, the figure will remain aligned with the others if it is resized vertically.

Keep sized to text

When this property is checked, the figure is always sized to exactly fit the amount of text it contains. For example, if you edit text for a figure such that the figure has less text than it had before, the figure will automatically resize itself to shrink down around the new text as soon as you complete editing the text.

Preserve aspect ratio

When this property is checked, the figure retains its current aspect ratio (its height compared to its width) when you resize the figure by dragging the corner handles or when the figure expands due to typing text. You can still change the aspect ratio of the figure by dragging the side handles, setting the size directly in the General tab, or using the From Selected button. Note: aspect ratio is always locked regardless of the value of this flag if the figure has the automatic text scaling property (see below).

Automatic text scaling

When this property is checked, the figure text scales automatically when you resize the figure. Figures having this property always maintain a fixed aspect ratio (height vs. width) over-riding the Preserve Aspect Ratio property.

Do not print or export

When this property is checked, the object will not appear in print-outs or when the diagram is copied or exported. This property is useful for hiding objects that exist only for visual notation on the screen ,and for implementing hyperlinks to other diagrams or documents .

Active container - keep contained objects together

When this property is checked, the figure serves as a container object that automatically keeps objects contained within its bounds together as a unit. Moving the container results in moving along the contents. Copying the container copies the contents. Deleting the container deletes the contents, and so on. Note, if the container is filled, only objects on top of the container are kept together. If it has no fill, all objects above or below are kept together.

This property is usually set along with others for the purpose of creating a container, a special type of figure that identifies a subset of your diagram.


Figure Styles Connections

Use the Connections tab of the Figure Properties dialog box to view and edit the figure's connection points and properties.

Connection points

This area shows the location of any connection points within the figure. One connection point is always selected and highlighted. You can use the mouse to drag and reposition connection points, select a different point. or right click to delete a connection point or add a new one. The arrow buttons cycle through the selected connection point. The Add button adds a new point, and the Delete button deletes the highlighted point.

Name or Description

Each connection point can have a name or description. Use this control to view and edit the name of the selected connection point.

Snap to center and edges

Check this box to have the mouse snap to the centers and edges of the figure while you drag a connection point with the mouse (in this dialog box).

Snap to grid

Check this box to have the mouse snap to the diagram grid while you drag a connection point with the mouse (in this dialog box).

Terminate connections to connection points at border

Check this box to cause connections to terminate at the border of the figure rather than extending all the way to the connection points.

Enable standard center connect (terminated at border)

Check this box to enable connectors to attach at the center of the figure. This option is useful if you have a figure with connection points. You can choose to allow connectors to attach only at the connection points, or to the figure center also.


Figure Styles Fill Tab

Use the Fill tab of the Figure Styles dialog box to view and edit figure fill properties for the style.

Fill method

Select the type of fill. The remainder of controls on this screen depend on which method is selected.

Color

A single color control is available when the fill method is 'Solid color'. Use this control to select the solid fill color.

From/To

The 'From' and 'To' color selection controls are available when the fill method is 'Linear gradient' or 'Elliptical gradient'. Use these controls to select the start and end colors that are blended across the gradient.

Gamma Correction

Check this box to improve the uniformity of how colors blend across gradients with respect to color intensity.

Blend

The 'Blend' control is available when a gradient fill method is selected. Use this control to choose how the 'From' color is blended into the 'To' color across the gradient. Linear blend means simply that the 'From' color is blended uniformly into the 'To' color. When 'Bell curve' is selected, the 'From' color blends into the 'From' color based on a normal distribution bell curve contributing to a natural 3D shading effect. When 'Platform' is selected, the gradient begins with the 'From' color, gradually blends to a color midway between 'To' and 'From', remains constant for a certain distance, and then blends to the 'To' color.

Angle

The 'Angle' control is available when the linear gradient fill method is selected. Use this control to select an angle for the blend. For cylindrical blends, angles of 180 or greater cause the swapping of the 'From' and 'To' colors.

Intensity

The 'Intensity' control is available when a gradient fill method is selected. Use this control to select how prominent the 'From' color appears in the blend. A value of 100 is most intense, while a value of zero makes the 'From' color undetectable. Intensity is most useful when used with a white or black 'From' color in order to acheive a gradient between two shades of the same color but without having to actually choose two shades of the color separately.

Center

The 'Center' control is available only with the linear gradient fill method. Use this control to position the midpoint of the gradient from 0 to 100. If the 'Blend' is set to 'Platform' this control affects the size of center rather than the position.

X Offset, Y Offset

These controls are available only for the elliptical gradient fill method. Choose values from 0 to 100 to position the center of the elliptical gradient anywhere on the figure. An off-center elliptical gradient produces a 3D appearance.

Spread

This control is available only for the elliptical gradient fill method. Choose a value from 0 to 100 to increase the size of the center region of the gradient.

Presets

Choose a preset fill as a shorthand for popular combinations of the above options. Presets combine all of the fill properties except for the 'To' color which is independently controllable.


Figure Styles General Tab

Use the General tab of the Define Figure Styles dialog box to view and edit the basic properties of the selected figure style such as its description, default dimensions, and colors.
Belongs to category

Select a category to which the style belongs. The category is optional and helps arrange the styles within submenus of the Connector Styles Drop Menu for easy identification. You can select an existing category from the combo box or type in a new category name. Choose (no category) to eliminate the category.

Description

The description is a short text description of the style. This description is displayed in the status bar when the style is selected.

Width

Enter the default width for figures of this style here. Figures that you create of this style will begin at this size.

Height

Enter the default height for Figures of this style here. Figures that you create of this style will begin at this size.

From Selected

Rather than typing dimensions for Width and Height, you can select a single figure before entering the figure style dialog box, then press this button to use the width and height of that figure as the style's defaults. This button will be grayed unless a single figure is selected in your diagram when you invoke the dialog box.

Text color

To change the color of the text for figures of this style, choose a color from the color selection drop menu. If you select a color that cannot be drawn solid, Windows draws the text in the nearest solid color.

Border color

To change the color of the border for figures of this style, choose a color from the color selection drop menu. Borders must be a color that can be drawn solid on your screen. If you select a color that cannot be drawn solid, Windows draws the border in the nearest solid color.

Fill color

To change the interior fill color for figures of this style, choose a color from the color selection drop menu. There are no restrictions on the fill color, it does not have to be solid.

Border width

To change the thickness of the lines that make up the border (outline) of figures of this style, enter a new border width. You can also change the border width by pressing the up and down spin buttons to the right.

Line Pattern

Select a line pattern for drawing borders such as solid, dashed, dotted, and so on. The line style is used to draw for the entire outline of the shape, not just the outside edges so consider carefully before using a pattern other than solid. Also note that some older shapes cannot use this property.

Drop Shadow

Check this box to add a drop shadow to the figure style to give it a three-dimensional look. All drop shadows in a diagram are the same size and color. You control the size and color from within the Diagram Properties dialog box.

Bind to style

When this property is checked, any object created with this style is automatically bound to the style. This means that if the style changes in the future, the object will change as well. If an object is not bound to the style, future changes to the style will not effect the object.

In drop menu

If this button is checked, the style appears in the figure style drop menus, otherwise it does not. This is the same as checking Menu in the Choose a Figure Style dialog box.

Style bar button

If this button is checked, a button with a representation of the style is included in on the style bar. Style bar buttons are useful for frequently used styles. Because the representation on a style bar button is not exact (contains no color or line thickness), they are not useful for every style. This is the same as checking Button in the Choose a Figure Style dialog box.

The remainder of the controls in the General tab of the figure Styles dialog box allow you to change the shape of the figure.


Figure Styles Text Tab

Use the Text tab of the Define Figure dialog box to view and edit the style's text and the properties of the style that affect the display and format of the text.

Text box

This area shows a model of the shape of the figure. The dotted rectangles show the boundaries of the text region(s) in the figure. If the figure shape contains more than one text region, the arrows control which region is selected and marked by a dark gray dotted box.

Text

The text control to the right of the model displays the text that is contained in the figure in the selected text region. The text here can be edited using the usual Windows edit box controls including copy and paste. Notice that text in this box just shows the words. It does not reflect the font, text size, boldness, or alignment as it would in the figure itself.

Hidden

When checked, the selected text area is hidden and cannot be edited on-screen. Hiding text areas is useful when creating transparent shapes that have outlines but no fill. To make a shape completely transparent you need to use a null fill and make the text areas hidden, otherwise objects beneath the shape will not be selectable.

Alignment

Use the alignment controls to determine how the text is aligned horizontally (left, center, or right) and vertically (top, middle, or bottom).

Font

Choose the font family to display the font.

Bold, Italic, and Underline

Select common font attributes.

Size

Use the drop down box to select a point size for the font.

Text color

To change the color of the figure's text, choose a different color from the color selection drop menu. If you select a color that cannot be drawn solid, Windows draws the text in the nearest solid color.

Ellipsis (...)

Use the button with the three dots to choose the font attributes using the standard Windows font selection dialog box shown below. This method also allows you to preview a sample of the font as you select it. Controls in this dialog are self-explanatory.


Figure Symbol Gallery Dialog Box

Use the Figure Symbol Gallery dialog box to select a figure symbol.

This dialog box displays the installed figure symbols. The highlighted box indicates the selected symbol. At the left is a list of categories. Check Show text areas to display the text areas within the symbols. Select a symbol by clicking on it and pressing OK, or by double-clicking on it.

Categories

Each item in the categories list identifies a category of symbols, either a collection of similar symbols, or symbols used in a particular type of diagram. Select a list item to display the symbols of the category in the symbols window to the right.

Symbols

The large symbols window displays all of the symbols available in the selected category. Use the scroll bar to reveal any that are not visible. Click on a symbol to select it.

Show text areas

When checked the text areas within each symbol are show as rectangles with dotted lines.

Symbol

The name of the selected symbol is repeated here.

OK

Press OK to exit the dialog box and select the symbol that you highlighted.

Cancel

Press Cancel to exit the dialog box and keep the previously defined symbol or graphic.


File Operations

Managing Windows and Files

A number of features are available from the File menu to perform file-level or system operations. These features allow you to load files (diagrams), save files, print files, and so on. This chapter describes each of these features and the features that manage the windows in which files are displayed.

Multiple Document Interface

Managing Windows

Creating a New LanFlow diagram

New Diagram Wizard

Creating Custom Templates

Opening an Existing LanFlow Diagram

Opening an Additional View of a LanFlow Diagram

Saving a LanFlow Diagram

Saving as an HTML Web Page

Page Setup

Printing

Object Linking and Embedding (OLE)


Find Dialog Box

Use the Find dialog box to locate figures and labels in the currently open diagram that contain some particular search text.

The Find dialog box contains the following controls:

Find what:

Type the text you wish to locate here.

Match whole word only

Check this box to locate only text that contains the search text as a complete word. For example, if your search text is "the", it will not find the text within words like "these" or "other" only the word "the" by itself.

Match case

Check this box to locate only text that exactly matches the case of the search text. For example, if your search text is "the", it will not find "The" or "THE".

Find Next

Type the text you wish to locate here.

Cancel

Closes the dialog box.


FreeImage Public License

FreeImage Public License - Version 1.0

1. Definitions.

1.1. "Contributor" means each entity that creates or contributes to the creation of Modifications.

1.2. "Contributor Version" means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.

1.3. "Covered Code" means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.

1.4. "Electronic Distribution Mechanism" means a mechanism generally accepted in the software development community for the electronic transfer of data.

1.5. "Executable" means Covered Code in any form other than Source Code.

1.6. "Initial Developer" means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.

1.7. "Larger Work" means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.

1.8. "License" means this document.

1.9. "Modifications" means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:

A. Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.

B. Any new file that contains any part of the Original Code or previous Modifications.

1.10. "Original Code" means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.

1.11. "Source Code" means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or a list of source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.

1.12. "You" means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, "You" includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, "control" means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of fifty percent (50%) or more of the outstanding shares or beneficial ownership of such entity.

2. Source Code License.

2.1. The Initial Developer Grant. The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:

(a) to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, or as part of a Larger Work; and

(b) under patents now or hereafter owned or controlled by Initial Developer, to make, have made, use and sell ("Utilize") the Original Code (or portions thereof), but solely to the extent that any such patent is reasonably necessary to enable You to Utilize the Original Code (or portions thereof) and not to any greater extent that may be necessary to Utilize further Modifications or combinations.

2.2. Contributor Grant. Each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:

(a) to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code or as part of a Larger Work; and

(b) under patents now or hereafter owned or controlled by Contributor, to Utilize the Contributor Version (or portions thereof), but solely to the extent that any such patent is reasonably necessary to enable You to Utilize the Contributor Version (or portions thereof), and not to any greater extent that may be necessary to Utilize further Modifications or combinations.

3. Distribution Obligations.

3.1. Application of License. The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.

3.2. Availability of Source Code. Any Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.

3.3. Description of Modifications. You must cause all Covered Code to which you contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.

3.4. Intellectual Property Matters

(a) Third Party Claims. If You have knowledge that a party claims an intellectual property right in particular functionality or code (or its utilization under this License), you must include a text file with the source code distribution titled "LEGAL" which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If you obtain such knowledge after You make Your Modification available as described in Section 3.2, You shall promptly modify the LEGAL file in all copies You make available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.

(b) Contributor APIs. If Your Modification is an application programming interface and You own or control patents which are reasonably necessary to implement that API, you must also include this information in the LEGAL file.

3.5. Required Notices. You must duplicate the notice in Exhibit A in each file of the Source Code, and this License in any documentation for the Source Code, where You describe recipients' rights relating to Covered Code. If You created one or more Modification(s), You may add your name as a Contributor to the notice described in Exhibit A. If it is not possible to put such notice in a particular Source Code file due to its structure, then you must include such notice in a location (such as a relevant directory file) where a user would be likely to look for such a notice. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.

3.6. Distribution of Executable Versions. You may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer.

3.7. Larger Works. You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.

4. Inability to Comply Due to Statute or Regulation.

If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.

5. Application of this License.

This License applies to code to which the Initial Developer has attached the notice in Exhibit A, and to related Covered Code.

6. Versions of the License.

6.1. New Versions. Floris van den Berg may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.

6.2. Effect of New Versions. Once Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License published by Floris van den Berg No one other than Floris van den Berg has the right to modify the terms applicable to Covered Code created under this License.

6.3. Derivative Works. If you create or use a modified version of this License (which you may only do in order to apply it to code which is not already Covered Code governed by this License), you must (a) rename Your license so that the phrases "FreeImage", `FreeImage Public License", "FIPL", or any confusingly similar phrase do not appear anywhere in your license and (b) otherwise make it clear that your version of the license contains terms which differ from the FreeImage Public License. (Filling in the name of the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)

7. DISCLAIMER OF WARRANTY.

COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN "AS IS" BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.

8. TERMINATION.

This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.

9. LIMITATION OF LIABILITY.

UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO YOU OR ANY OTHER PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THAT EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.

10. U.S. GOVERNMENT END USERS.

The Covered Code is a "commercial item," as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of "commercial computer software" and "commercial computer software documentation," as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth herein.

11. MISCELLANEOUS.

This License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by Dutch law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. With respect to disputes in which at least one party is a citizen of, or an entity chartered or registered to do business in, the The Netherlands: (a) unless otherwise agreed in writing, all disputes relating to this License (excepting any dispute relating to intellectual property rights) shall be subject to final and binding arbitration, with the losing party paying all costs of arbitration; (b) any arbitration relating to this Agreement shall be held in Almelo, The Netherlands; and (c) any litigation relating to this Agreement shall be subject to the jurisdiction of the court of Almelo, The Netherlands with the losing party responsible for costs, including without limitation, court costs and reasonable attorneys fees and expenses. Any law or regulation which provides that the language of a contract shall be construed against the drafter shall not apply to this License.

12. RESPONSIBILITY FOR CLAIMS.

Except in cases where another Contributor has failed to comply with Section 3.4, You are responsible for damages arising, directly or indirectly, out of Your utilization of rights under this License, based on the number of copies of Covered Code you made available, the revenues you received from utilizing such rights, and other relevant factors. You agree to work with affected parties to distribute responsibility on an equitable basis.

EXHIBIT A.

"The contents of this file are subject to the FreeImage Public License Version 1.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://home.wxs.nl/~flvdberg/freeimage-license.txt

Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language governing rights and limitations under the License.


Label Properties Behaviors Tab

Use the Behaviors tab of the Label Properties dialog box to view and edit the properties that affect the way the label behaves within your diagram.

Line too long

This property controls what happens when typed text becomes too wide for the label. If set to Prevent, additional characters are not allowed. If set to Expand, the label automatically grows wider as you continue typing. The direction of expansion is controlled by the Horizontal expansion property. If set to Wrap, the width of the label does not change and the text word-wraps automatically to the next line.

Horizontal expansion

This property controls in which direction the label expands when it expands automatically in the horizontal direction, such as when you type more text than will fit in the current width of the label.

Too many lines

This property controls what happens when typed text exceeds the number of lines that fit in a label of this style. If set to Prevent, additional lines are not allowed. If set to Expand, the label automatically grows taller as you add lines. The direction of expansion is controlled by the Vertical expansion property.

Horizontal center snaps to grid

It is generally best to disable this property for labels.

Vertical center snaps to grid

It is generally best to disable this property for labels.

Width snaps to grid

It is generally best to disable this property for labels.

Height snaps to grid

It is generally best to disable this property for labels.

Left and right edges snap to grid

It is generally best to disable this property for labels.

Top and bottom edges snap to grid

It is generally best to disable this property for labels.

Center stationary when resizing horizontally

Check this property to cause the center of the label to remain in the same place when you resize it horizontally by dragging the handles.

Center stationary when resizing vertically

Check this property to cause the center of the label to remain in the same place when you resize it vertically by dragging the handles.

Keep sized to text

When this property is checked, the label is always sized to exactly fit the amount of text it contains. For example, if you edit text for a label such that the label has less text than it had before, the label will automatically resize itself to shrink down around the new text as soon as you complete editing the text. You will generally want to set this property for labels.

Preserve aspect ratio

When this property is checked, the figure retains its current aspect ratio (its height compared to its width) when you resize the figure by dragging the corner handles or when the figure expands due to typing text. You can still change the aspect ratio of the figure by dragging the side handles, setting the size directly in the General tab, or using the From Selected button. Note: aspect ratio is always locked regardless of the value of this flag if the label has the automatic text scaling property (see below).

Automatic text scaling

When this property is checked, the label text scales automatically when you resize the label. Labels having this property always maintain a fixed aspect ratio (height vs. width) over-riding the Preserve Aspect Ratio property.


Label Properties Dialog Box

Use the Label Properties dialog box to view and modify properties for one or more labels. This dialog box contains several different groupings of properties organized under tabs with an appropriate heading. To change to a different grouping of properties and their controls, press the corresponding tab. Controls located under each tab are described below.

Label Properties General Tab

Label Properties Text Tab

Label Properties Behaviors Tab

To cause a particular property to be applied to the selected objects, you must actually modify that property. For example, if you select five labels that all have different heights and widths, and you edit their properties and change only the Width field not even touching the Height field, all five labels will acquire the new width and retain their previous height.

Once you have set all of the properties of the figure that you want to change, click one of the following buttons:

Apply

Applies the property changes to the selected label or labels without exiting the dialog box.

Ok

Applies the property changes to the selected label or labels and exits the dialog box.

Cancel

Exits the dialog box and discards any changes you made since last pressing the Apply button. Once you apply changes, those changes remain in effect even if you press Cancel.


Label Properties General Tab

Use the General tab of the Label Properties dialog box to view and edit the basic properties of the selected label such as its location, size, appearance, and color.

Based on style

To change the label's style, choose a new style from the combo box or the Styles drop menu located to the left. This will change the appearance of the label and it will inherit all the properties from the new style you choose.

Styles

This is a drop menu for the same purpose as Based on style described above.

Left

To change the position of the label, enter a new location for the left-most edge. The value is the distance from the origin point on the ruler bar (0,0) or equivalently from the left edge of the page (positive measurements are to the right).

Top

To change the position of the label, enter a new location for the top-most edge. The value is the distance from the origin point on the ruler bar (0,0) or equivalently from the top edge of the page (positive measurements are downward).

Width

To change the width of the label, enter a new width here.

Height

To change the height of the label, enter a new height here.

Text color

To change the color of the label's text, choose a different color from the color selection drop menu. Use of this drop menu is described elsewhere. If you select a color that cannot be drawn solid, Windows draws the text in the nearest solid color.

Bind to style

Check this box to choose whether or not a label's properties are bound to the style. If a label's properties are bound to its style, then anytime the style properties change, the label gets the new properties automatically.


Label Properties Text Tab

Use the Text tab of the Label Properties dialog box to view and edit the label's text and the properties of the label that affect the display and format of the text.

Text

The text control to the right of the model displays the text that is contained in the label in the selected text region. The text here can be edited using the usual Windows edit box controls including copy and paste. Notice that text in this box just shows the words. It does not reflect the font, text size, boldness, or alignment as it would in the label itself.

Alignment

Use the alignment controls to determine how the text is aligned horizontally (left, center, or right) and vertically (top, middle, or bottom).

Font

Choose the font family to display the font.

Bold, Italic, and Underline

Select common font attributes.

Size

Use the drop down box to select a point size for the font.

Text color

To change the color of the label's text, choose a different color from the color selection drop menu. Use of this drop menu is described elsewhere. If you select a color that cannot be drawn solid, Windows draws the text in the nearest solid color.

Ellipsis (...)

Use the button with the three dots to choose the font attributes using the standard Windows font selection dialog box shown below. This method also allows you to preview a sample of the font as you select it Controls in this dialog are self-explanatory.


Label Styles Behaviors Tab

Use the Behaviors tab of the Define Label Styles dialog box to view and edit the properties that affect the way labels of this style behave within your diagram.

Line too long

This property controls what happens when typed text becomes too wide for the figure. If set to Prevent, additional characters are not allowed. If set to Expand, the figure automatically grows wider as you continue typing. The direction of expansion is controlled by the Horizontal expansion property. If set to Wrap, the width of the figure does not change and the text word-wraps automatically to the next line.

Horizontal expansion

This property controls in which direction the figure expands when it expands automatically in the horizontal direction, such as when you type more text than will fit in the current width of the figure.

Too many lines

This property controls what happens when typed text exceeds the number of lines that fit in a figure of this style. If set to Prevent, additional lines are not allowed. If set to Expand, the figure automatically grows taller as you add lines. The direction of expansion is controlled by the Vertical expansion property.

Horizontal center snaps to grid

It is generally best to disable this property for labels.

Vertical center snaps to grid

It is generally best to disable this property for labels.

Width snaps to grid

It is generally best to disable this property for labels.

Height snaps to grid

It is generally best to disable this property for labels.

Left and right edges snap to grid

It is generally best to disable this property for labels.

Top and bottom edges snap to grid

It is generally best to disable this property for labels.

Center stationary when resizing horizontally

Check this property to cause the center of the label to remain in the same place when you resize it horizontally by dragging the handles.

Center stationary when resizing vertically

Check this property to cause the center of the label to remain in the same place when you resize it vertically by dragging the handles.

Keep sized to text

When this property is checked, the figure is always sized to exactly fit the amount of text it contains. For example, if you edit text for a figure such that the figure has less text than it had before, the figure will automatically resize itself to shrink down around the new text as soon as you complete editing the text.

Preserve aspect ratio

When this property is checked, the figure retains its current aspect ratio (its height compared to its width) when you resize the figure by dragging the corner handles or when the figure expands due to typing text. You can still change the aspect ratio of the figure by dragging the side handles, setting the size directly in the General tab, or using the From Selected button. Note: aspect ratio is always locked regardless of the value of this flag if the label has the automatic text scaling property (see below).

Automatic text scaling

When this property is checked, the label text scales automatically when you resize the label. Labels having this property always maintain a fixed aspect ratio (height vs. width) over-riding the Preserve Aspect Ratio property.


Label Styles General Tab

Use the General tab of the Define Label Styles dialog box to view and edit the basic properties of the selected label style such as its description, default dimensions, and colors.

Description

The description is a short text description of the style. This description is displayed in the status bar when the style is selected.

Width

Enter the default width for labels of this style here. This field is not particularly important for labels because they resize automatically to fit their text.

Height

Enter the default height for labels of this style here. This field is not particularly important for labels because they resize automatically to fit their text.

From Selected

Rather than typing dimensions for Width and Height, you can select a single figure or label before entering the label style dialog box, then press this button to use the width and height of that object as the style's defaults. This button will be grayed unless a single figure is selected in your diagram when you invoke the dialog box.

Text color

To change the color of the text for label of this style, choose a color from the color selection drop menu. If you select a color that cannot be drawn solid, Windows draws the text in the nearest solid color.

Bind to style

When this property is checked, any object created with this style is automatically bound to the style. This means that if the style changes in the future, the object will change as well. If an object is not bound to the style, future changes to the style will not effect the object.

In drop menu

If this button is checked, the style appears in the label style drop menus, otherwise it does not. This is the same as checking Menu in the Choose a Label Style dialog box.

Style bar button

If this button is checked, a button with a representation of the style is included in on the style bar. Style bar buttons are inappropriate for all but the simplest label styles.


Label Styles Text Tab

Use the Text tab of the Define Label Styles dialog box to view and edit the style's text and the properties of the style that affect the display and format of the text.

Text

The text control to the right of the model displays the text that is contained in the figure in the selected text region. The text here can be edited using the usual Windows edit box controls including copy and paste. Notice that text in this box just shows the words. It does not reflect the font, text size, boldness, or alignment as it would in the figure itself.

Alignment

Use the alignment controls to determine how the text is aligned horizontally (left, center, or right) and vertically (top, middle, or bottom).

Font

Choose the font family to display the font.

Bold, Italic, and Underline

Select common font attributes.

Size

Use the drop down box to select a point size for the font.

Text color

To change the color of the figure's text, choose a different color from the color selection drop menu. If you select a color that cannot be drawn solid, Windows draws the text in the nearest solid color.

Ellipsis (...)

Use the button with the three dots to choose the font attributes using the standard Windows font selection dialog box shown below. This method also allows you to preview a sample of the font as you select it. Controls in this dialog are self-explanatory.


Replace Dialog Box

Use the Replace dialog box to locate figures and labels in the currently open diagram that contain some particular search text and replace that text.

The Replace dialog box contains the following controls:

Find what:

Type the text you wish to locate here.

Replace with:

Type the replacement text here. You can leave this field blank to remove the search text.

Match whole word only

Check this box to locate only text that contains the search text as a complete word. For example, if your search text is "the", it will not find the text within words like "these" or "other" only the word "the" by itself.

Match case

Check this box to locate only text that exactly matches the case of the search text. For example, if your search text is "the", it will not find "The" or "THE".

Find Next

Type the text you wish to locate here.

Replace

After pressing Find Next to locate the next occurence of the search text it will appear selected. Press the Replace button to replace the selected text with your replacement text. Pressing Find Next then Replace repeatedly lets you determine which occurences of the search text you want to replace.

Replace All

Press this button to replace all occurences of the search text in the current diagram with the replacement text.

Cancel

Closes the dialog box.


Select or change shape

The remainder of the controls in the General tab of the Define Figure Styles dialog box help you to set the shape (graphic definition) of the figure style.

Symbol from Gallery

Press this button to select a shape for the figure style from the collection of built-in symbols contained in the symbol gallery. See the following section for detailed instructions.

See Setting Figure Style Symbol or Graphic

Graphic from File

Press this button to select a graphic definition for the figure style from an external graphics image file such as a Windows Metafile (.WMF or. EMF) or a Windows bitmap file (.BMP or.DIB). See the following section for detailed instructions.

Graphic from Selected

Press this button to copy a shape (symbol or graphic definition) for the figure style from a single figure that you selected in your diagram prior to entering this dialog box. For example, suppose you have copied and pasted a clipart image into your diagram and want to use that image as the shape of a figure style. Select the lone figure that appeared when you pasted the image into your diagram. Then open this dialog box, select the figure style (or create a new one), and press this button. This button will be grayed unless a single figure is selected in your diagram when you invoke the dialog box. See the following section for more details.

Graphic from Clipboard

Press this button to select a shape (graphic definition) for the figure style from an image that is stored in the Windows clipboard. For example, you can create an image in Microsoft Paintbrush and do a Copy of it, then return to this program and paste it right into a style definition. See the following section for detailed instructions.


Setting Figure Symbol or Graphic

The graphic definition can be either a predefined symbol or an imported graphics image. It can be anything as simple as a rectangular box or as complex as an elaborate drawing created by an artist in a drawing program.

Using a gallery symbol as a figure graphic

Press the Symbol from Gallery button to access the Figure Symbol Gallery dialog box to select a figure symbol. See the following section for instructions.

The Figure Symbol Gallery is a library of the pre-defined symbols available to your diagram. Use the figure symbol gallery to select a symbol when (a) changing a figure shape in the Figure Properties dialog box, (b) selecting a figure style shape in the Define Figure Styles dialog box, or (c) using the Insert Symbol feature.

The program comes with an initial collection of figure symbols. These are categorized by shape and by diagram type such as flowcharting symbols. You can add new symbols to your gallery by obtaining extension packs from the publisher.

Figure symbols are stored in .EDF files (one per category) on your hard disk in the program's Symbols folder. These are ASCII text files that you can use to create new symbols.

To choose a figure symbol as the figure graphic

  1. Go to the General tab and press the Symbol Gallery button to invoke the Figure Symbol Gallery dialog box. The Figure Symbol Gallery dialog box displays all of the installed figure symbols that are available for use.
  2. Click on a figure symbol.
  3. Press OK to use the symbol. (or double click on a symbol)

Figure Symbol Gallery Dialog Box

Using a graphic image as a figure shape

You can define a figure style using a graphic or clipart image imported from a file, from a figure in your diagram, or from the Windows clipboard. This program supports Microsoft standard Windows Metafiles (*.WMF and *.EMF) and Windows bitmap files (*.BMP and *.DIB). A complete discussion of supported formats is contained elsewhere (see Importing Graphics).

To import a graphic image from a file to serve as the figure style shape

  1. Press the Graphic from File button in the Define Figure Style dialog box.
  2. Choose the graphic file type in the List files by type box.
  3. Select a graphics file and press OK.
To copy a graphic image or symbol from an existing figure to serve as the figure style shape

  1. In your diagram, select the single figure that contains the graphic that you want to use as your figure style shape. This might be a figure that was created when you pasted a clipboard image into your diagram from another program.
  2. Enter the Define Figure Styles dialog box by choosing Styles from the Figures menu.
  3. Press the Graphic from Selected button in the General section of the dialog box.
To import a graphic image from the Windows clipboard to serve as the figure style shape

  1. Copy a graphic image into the Windows clipboard. In another program, this is usually as simple as selecting the image and choosing copy.
  2. Enter the Define Figure Styles dialog box by choosing Styles from the Figures menu.
  3. Press the Graphic from Selected button in the General section of the dialog box.


The Selected Style

The Styles dialog box usually displays the attributes of a single selected style. Each of the tabs groups a different set of attributes belonging to this same selected style.

You can tell which style is currently selected because it's name is highlighted in the list box of styles at the left side of the dialog box, and a picture of the style is shown in the model area above the list box.

You can select a different style by clicking on its name in the list box located at the left of the dialog box or by choosing a new style from the Styles drop menu. As you move from style to style changing or viewing attributes of the style, you will see the right half of the dialog box change to reflect the new style's attributes.

If you attempt to switch styles after making changes to the current style properties but before you apply those changes to the style, you will be asked whether you want to apply the changes before switching to the new style.

You can also select <All> instead of a single style. Changes you make to <All> will affect all styles in your diagram.


Using a Connector in your LanFlow diagram to Define a Style

When you create a connector in your LanFlow diagram, it will start out as defined by the style you chose to base it on. You may then set the properties of that new connector in special ways such as giving it a specific color. Once you have altered the connector you may then want to update the style it was based on to reflect the changes such that all existing objects of that style, and all new objects of that style reflect its properties.

Update Style From

With the Update Style From feature you can use an existing connector to redefine the style that it was created from.

To update a style based on an existing label of the style

  1. Right-click on the connector and choose Update Style From.. from the right-click menu.
  2. OR select the connector and choose Update Style From.. from the connectors menu.

New Style From

With the New Style From feature you can use an existing connector to define a new style.

To define a new style based on an existing connector

  1. Right-click on the connector and choose New Style From.. from the right-click menu.
  2. OR select the connector and choose New Style From.. from the Connectors menu.
  3. Enter a name for the style when prompted.


Using a Figure in your LanFlow diagram to Define a Style

When you create a figure in your LanFlow diagram, it will start out as defined by the style you chose to base it on. You may then set the properties of that new figure in special ways such as giving it a specific color, or a new font size. Once you have altered the figure you may then want to update the style it was based on to reflect the changes such that all existing objects of that style, and all new objects of that style reflect the properties of the figure.

Update Style From

With the Update Style From feature you can use an existing figure to redefine the style that it was created from.

To update a style based on an existing figure of the style

  1. Right-click on the figure and choose Update Style From.. from the right-click menu.
  2. Or, select the figure and choose Update Style From.. from the Figures menu.

New Style From

With the New Style From feature you can use an existing figure to define a new style.

To define a new style based on an existing figure

  1. Right-click on the figure and choose New Style From.. from the right-click menu.
  2. Or, select the figure and choose New Style From.. from the Figures menu.
  3. Enter a name for the style when prompted. The style will appear in the style bar on the left of the screen by default.


Using a Label in your LanFlow diagram to Define a Style

When you create a label in your LanFlow diagram, it will start out as defined by the style you chose to base it on. You may then set the properties of that new label in special ways such as giving it a specific color, or a new font size. Once you have altered the label you may then want to update the style it was based on to reflect the changes such that all existing objects of that style, and all new objects of that style reflect the properties of the label.

Update Style From

With the Update Style From feature you can use an existing label to redefine the style that it was created from.

To update a style based on an existing label of the style

  1. Right-click on the label and choose Update Style From.. from the right-click menu.
  2. OR select the label and choose Update Style From.. from the Labels menu.

New Style From

With the New Style From feature you can use an existing label to define a new style.

To define a new style based on an existing label

  1. Right-click on the label and choose New Style From.. from the right-click menu.
  2. OR select the label and choose New Style From.. from the Labels menu.
  3. Enter a name for the style when prompted.